<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.112pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

class GMapFPControllerAuteur extends GMapFPController
{
	function view()
	{
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$this->input->set( 'view', 'auteur' );
		$this->input->set( 'layout', 'default'  );

		parent::display();
	}

	function save()
	{
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('auteur');

		$return=$model->store($post);
		if ($return>0) {
			$msg = JText::_( 'GMAPFP_SAVED' );
		} else {
			$msg = JText::_( 'GMAPFP_SAVED_ERROR' );
		}

		$link = 'index.php?option=com_gmapfp&controller=gmapfp&task=view';
		// Check the table in so it can be edited.... we are done with it anyway
		$this->setRedirect($link, $msg);
	}

	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_gmapfp&controller=gmapfp&task=view', $msg );
	}
}
?>
