<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.112pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

class GMapFPControllerCSS extends GMapFPController
{
	function view()
	{
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$this->input->set( 'view', 'css' );
		$this->input->set( 'layout', 'form'  );
		$this->input->set('hidemainmenu', 0);

		parent::display();
	}

	function saveCss()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$model = $this->getModel('css');
		if ($model->store()) {
			$msg = JText::_( 'GMAPFP_SAVED');
		} else {
			$msg = JText::_( 'GMAPFP_SAVED_ERROR');
		}

		$link = 'index.php?option=com_gmapfp&controller=css&task=view';
		$this->setRedirect($link, $msg);
	}
}
?>
