<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.110pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_gmapfp')) {
	throw new JAccessExceptionNotallowed(JText::_('JERROR_ALERTNOAUTHOR'), 403);
}

$params 	= JComponentHelper::getParams('com_gmapfp');
$input		= JFactory::getApplication()->input;
$view   	= $input->get('view', 'gmapfps');

define('COM_GMAPFP_IMAGES_FOLDER', JPath::clean(JPATH_ROOT.'/images/gmapfp'));
define('COM_GMAPFP_IMAGES_HTTP_RELATIVE', 'images/gmapfp');
define('COM_GMAPFP_IMAGES_HTTP',    JURI::root().'/'.COM_GMAPFP_IMAGES_HTTP_RELATIVE);
define('COM_GMAPFP_VERSION_PRO',   true);
define('COM_GMAPFP_VERSION_OT',    false);
define('COM_GMAPFP_VERSION_CSV',   false);


jimport('joomla.access.access');
	$component = 'com_gmapfp';
	$assetName = $component.'.category.0';
	$level = 'category';
	//$level = 'component';
	$actions = JAccess::getActions($component, $level);
//die(print_r($actions));

require_once (JPATH_COMPONENT.'/controller.php');
require_once( JPATH_COMPONENT.'/helper.php' );

$classname	= 'GMapFPRenderProcess';
$url = JPATH_COMPONENT.'/libraries/renderprocess.php';
$classes	= JLoader::register($classname, $url);

// Require the base controller
$controllerName = $input->get('controller');

// Require specific controller if requested
if (!$controllerName)
	{$controllerName = 'accueil';};

// Perform the Request task
$task = $input->get('task');
if (!$task) {
	$task = 'view';
}else{
	$result = explode('.', $task);
	if (count($result) > 1){
		$controllerName = $result[0];
		$task = $result[1];
		unset($result);
	}
};

if ($view == 'marqueurs'){
	$controllerName = 'marqueurs';
	$task = 'view';
}

if($controllerName)
	{
   		$path = JPATH_COMPONENT.'/controllers/'.$controllerName.'.php';
    	if( file_exists($path))
    		{
        		require_once $path;
    		} else
    		{
        		$controllerName = '';
    		}
	}
$classname = 'GMapFPController'.$controllerName;
// die(print_r($path));

// Create the controller
$controllerName = new $classname();
// $controllerName = JControllerLegacy::getInstance('GMapFP');
$controllerName->execute( $task );
$controllerName->redirect();


?>
