<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.125pro
	* Creation date: Dcembre 2020
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined( '_JEXEC' ) or die;

class GMapFPModelAccueil extends JModelLegacy
{

	function getCustoms() {
		$params = JComponentHelper::getParams('com_gmapfp');

		if ($params->get('gmapfp_nom')) {
			$query = ' UPDATE #__gmapfp_params_custom_fields SET nom = "'.$params->get('gmapfp_nom').'" WHERE id = 7';
			$this->_db->setQuery( $query );
			$this->_db->query();
		}
		if ($params->get('gmapfp_message')) {
			$query = ' UPDATE #__gmapfp_params_custom_fields SET nom = "'.$params->get('gmapfp_message').'" WHERE id = 11';
			$this->_db->setQuery( $query );
			$this->_db->query();
		}
		if ($params->get('gmapfp_horaires_prix')) {
			$query = ' UPDATE #__gmapfp_params_custom_fields SET nom = "'.$params->get('gmapfp_horaires_prix').'" WHERE id = 12';
			$this->_db->setQuery( $query );
			$this->_db->query();
		}
		if ($params->get('gmapfp_nom_categorie')) {
			$query = ' UPDATE #__gmapfp_params_custom_fields SET nom = "'.$params->get('gmapfp_nom_categorie').'" WHERE id = 13';
			$this->_db->setQuery( $query );
			$this->_db->query();
		}
		
		return;
	}
	
	function getPublishedTabs() {
	
		$params = JComponentHelper::getParams('com_gmapfp');

		$tabs = array();

		if ($params->get('gmapfp_news')) {
			$onglet = new stdClass();
			$onglet->title = 'News';
			$onglet->name = 'News';
			$onglet->alert = false;
			$tabs[] = $onglet;
		}

/*		if ($params->get('gmapfp_news')) {
			$onglet = new stdClass();
			$onglet->title = 'Bugs in progress';
			$onglet->name = 'Bugs_Progress';
			$onglet->alert = false;
			$tabs[] = $onglet;
		}
*/
		if ($params->get('gmapfp_stats', 1)) {
			$onglet = new stdClass();
			$onglet->title = 'Stats';
			$onglet->name = 'Stats';
			$onglet->alert = false;
			$tabs[] = $onglet;
		}

		if ($params->get('gmapfp_version', 1)) {
			$onglet = new stdClass();
			$onglet->title = 'Versions';
			$onglet->name = 'Versions';
			$onglet->alert = false;
			$tabs[] = $onglet;
		}

		return $tabs;
	}

	function getVersions() {
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('name, manifest_cache')->from('#__extensions')->where('element LIKE "%gmapfp%"');
		$db->setQuery($query);
		$extensions = $db->loadObjectList();
		$result = "";
		foreach($extensions as $extension){
			$result .= '<p>'.$extension->name.'<br /><ul>'."\n";
			$datas = json_decode($extension->manifest_cache, true);
			foreach($datas as $key => $data){
				if (in_array($key, array("type", "version"))) $result .= '<li>'.$key.' => '.$data.'</li>'."\n";
			}
			$result .= '</ul></p>'."\n";
		}
		return $result;
	}
	
	function getImages() {
		$query = 'SELECT DISTINCT img FROM #__gmapfp ORDER BY img';		
		$this->_db->setQuery( $query );
		$result = $this->_db->loadColumn();
		return $result;
	}
	
	function miniatures_create_gallerie()
	{
		jimport( 'joomla.filesystem.folder' );
		jimport( 'joomla.filesystem.file' );

		$courent_folder = JRequest::getVar('courent_folder', 0, '', 'INT');
		$courent_file   = JRequest::getVar('courent_file', 0, '', 'INT');

		//rcupre les extentions images
		$config_media 	= JComponentHelper::getParams('com_media');
		$type_image = $config_media->get( 'image_extensions', 'bmp,gif,jpg,png,jpeg' );
		$type_image = explode(',', $type_image);;
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=miniatures_create_gallerie';

		//reconstruction des miniatures des galleries photos
		$folders = JFolder::listFolderTree(COM_GMAPFP_IMAGES_FOLDER, 'GA');
		//commence  analyser les rpertoires
		if (count($folders)){
			while ($courent_folder < count($folders)) {
				$files = JFolder::files($folders[$courent_folder]['fullname']);
				if (count($files)){
					while ($courent_file < count($files)) {
						$ext = strrchr($files[$courent_file],'.');
						$ext = strtolower($ext);
						$ext = substr($ext, 1);
						//test si fichier image
						if (in_array( $ext, $type_image )) {
							$erreur = $this->reconstruit_miniature($folders[$courent_folder]['fullname'], $files[$courent_file]);
							$courent_file ++;
							GMapFPRenderProcess::getProcessPage( $folders[$courent_folder]['relname'].'/'.$files[$courent_file-1], $courent_folder, $courent_file, $link, count($folders), count($files), JText::_( 'GMAPFP_CREAT_THUMBS_GALLERIE' ), $erreur);exit;
						}else{
							$courent_file ++;
						}
					}
				}
				$courent_file = 0;
				$courent_folder ++;
			}
			$courent_file = 0;
			$courent_folder = 0;
		}
		return;
	}
	
	function miniatures_create_main()
	{
		jimport( 'joomla.filesystem.folder' );
		jimport( 'joomla.filesystem.file' );

		$courent_file   = JRequest::getVar('courent_file', 0, '', 'INT');
		$courent_folder = 0;

		//rcupre les extentions images
		$config_media 	= JComponentHelper::getParams('com_media');
		$type_image = $config_media->get( 'image_extensions', 'bmp,gif,jpg,png,jpeg' );
		$type_image = explode(',', $type_image);;
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=miniatures_create_main';

		//reconstruction des miniatures principales
		$files = JFolder::files(COM_GMAPFP_IMAGES_FOLDER);
		if (count($files)){
			while ($courent_file < count($files)) {
				$ext = strrchr($files[$courent_file],'.');
				$ext = strtolower($ext);
				$ext = substr($ext, 1);
				//test si fichier image
				if (in_array( $ext, $type_image )) {
					$erreur = $this->reconstruit_main_miniature(COM_GMAPFP_IMAGES_FOLDER, $files[$courent_file]);
					$courent_file ++;
					GMapFPRenderProcess::getProcessPage( COM_GMAPFP_IMAGES_FOLDER.'/'.$files[$courent_file-1], 0, $courent_file, $link, 1, count($files), JText::_( 'GMAPFP_CREAT_MAIN_THUMBS' ), $erreur);exit;
				}else{
					$courent_file ++;
				}
			}
			$courent_file = 0;
		}
		return;
	}
	
	function miniatures_create_blank()
	{
		jimport( 'joomla.filesystem.folder' );
		jimport( 'joomla.filesystem.file' );

		$courent_file   = JRequest::getVar('courent_file', 0, '', 'INT');
		$courent_folder = 0;

		//rcupre les extentions images
		$config_media 	= JComponentHelper::getParams('com_media');
		$type_image = $config_media->get( 'image_extensions', 'bmp,gif,jpg,png,jpeg' );
		$type_image = explode(',', $type_image);;
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=miniatures_create_blank';

		//reconstruction des miniatures principales
		$files = JFolder::files(COM_GMAPFP_IMAGES_FOLDER.'/blank');
		if (count($files)){
			while ($courent_file < count($files)) {
				$ext = strrchr($files[$courent_file],'.');
				$ext = strtolower($ext);
				$ext = substr($ext, 1);
				//test si fichier image
				if (in_array( $ext, $type_image )) {
					$erreur = $this->reconstruit_main_blank(COM_GMAPFP_IMAGES_FOLDER, $files[$courent_file]);
					$courent_file ++;
					GMapFPRenderProcess::getProcessPage( COM_GMAPFP_IMAGES_FOLDER.'/blank/'.$files[$courent_file-1], 0, $courent_file, $link, 1, count($files), JText::_( 'GMAPFP_CREAT_MAIN_BLANK' ), $erreur);exit;
				}else{
					$courent_file ++;
				}
			}
			$courent_file = 0;
		}
		return;
	}
	
	function miniatures_del()
	{
		jimport( 'joomla.filesystem.folder' );
		jimport( 'joomla.filesystem.file' );

		//rcupre les extentions images
		$config_media 	= JComponentHelper::getParams('com_media');
		$type_image = $config_media->get( 'image_extensions', 'bmp,gif,jpg,png,jpeg' );
		$type_image = explode(',', $type_image);;
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=view';
		$html_content = "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>";

		//efface les miniatures des galleries photos : rpertoire GA
		$folders = JFolder::listFolderTree(COM_GMAPFP_IMAGES_FOLDER, 'GA');
		if (count($folders)){
			foreach ($folders as $folder) {
				$files = JFolder::files($folder['fullname']);
				if (count($files)){
					//efface les miniatures
					if (file_exists($folder['fullname'].'/thumbs')) {
						JFolder::delete($folder['fullname'].'/thumbs');
					}
					JFolder::create($folder['fullname'].'/thumbs');
					//reconstruit le fichier index.html
					JFile::write( $folder['fullname'].'/thumbs/index.html', $html_content);
				}
			}
		}
		//efface les miniatures des images principales
		$files = JFolder::files(COM_GMAPFP_IMAGES_FOLDER);
		if (count($files)){
			//efface les miniatures
			if (file_exists(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt')) {
				JFolder::delete(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt');
			}
			if (file_exists(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap')) {
				JFolder::delete(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap');
			}
			//die(print_r('test model del miniatures'));
			JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt');
			JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap');
			JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt/blank');
			JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap/blank');
			//reconstruit le fichier index.html
			JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt/index.html', $html_content);
			JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap/index.html', $html_content);
			JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt/blank/index.html', $html_content);
			JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap/blank/index.html', $html_content);
		}
		return true;
	}
	
	function reconstruit_main_miniature($path, $file) {
		$config 		= JComponentHelper::getParams('com_gmapfp');
		$errorMsg = "";

		//cre la miniature
		require_once( JPATH_COMPONENT.'/libraries/imagemagic.php' );
		$GMapFPImageMagic_class = new GMapFPImageMagic;		
		$filein = $path.'/'.$file;
		$fileout = $path.'/thumbsArt/'.$file;	
		$errorMsg = $GMapFPImageMagic_class->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img_art', 250), $config->get('gmapfp_hauteur_img_art', 250), $config->get('gmapfp_crop', 1), null, $errorMsg);
		if(!$errorMsg) {
			$fileout = $path.'/thumbsGMap/'.$file;				
			$errorMsg = $GMapFPImageMagic_class->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img', 100), $config->get('gmapfp_hauteur_img', 100), $config->get('gmapfp_crop', 1), null, $errorMsg);
		}
		//**
		return $errorMsg;
    }

	function reconstruit_main_blank($path, $file) {
		$config 		= JComponentHelper::getParams('com_gmapfp');
		$errorMsg = "";

		//cre la miniature
		require_once( JPATH_COMPONENT.'/libraries/imagemagic.php' );
		$GMapFPImageMagic_class = new GMapFPImageMagic;		
		$filein = $path.'/blank/'.$file;
		$fileout = $path.'/thumbsArt/blank/'.$file;				
		$errorMsg = $GMapFPImageMagic_class->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img_art', 250), $config->get('gmapfp_hauteur_img_art', 250), $config->get('gmapfp_crop', 1), null, $errorMsg);
		if(!$errorMsg) {
			$fileout = $path.'/thumbsGMap/blank/'.$file;				
			$errorMsg = $GMapFPImageMagic_class->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img', 100), $config->get('gmapfp_hauteur_img', 100), $config->get('gmapfp_crop', 1), null, $errorMsg);
		}
		//**
		return $errorMsg;
    }

	function reconstruit_miniature($path, $file) {
		$config 		= JComponentHelper::getParams('com_gmapfp');
		$errorMsg = "";

		//cre la miniature
		require_once( JPATH_COMPONENT.'/libraries/imagemagic.php' );
		$GMapFPImageMagic_class = new GMapFPImageMagic;		
		$filein = $path.'/'.$file;
		$fileout = $path.'/thumbs/'.$file;		
		$errorMsg = $GMapFPImageMagic_class->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img_gal', 80), $config->get('gmapfp_hauteur_img_gal', 80), $config->get('gmapfp_crop', 1), null, $errorMsg);
		//**
		return $errorMsg;
    }

	function getDataChamp() {
		$db = JFactory::getDBO();
		
		$query = 'SHOW COLUMNS FROM #__gmapfp';
		$db->setQuery( $query );
		$list['champs'] = $db->loadObjectList();
		
		$query = 'SELECT * FROM #__gmapfp_extension_type';
		$db->setQuery( $query );
		$list['customs'] = $db->loadObjectList('id');
		
		return $list;
	}

	function getCustoms_name() {
		$query = ' SELECT * FROM #__gmapfp_params_custom_fields  ';
		$datacustom = $this->_getList( $query );

		return $datacustom;
	}
	
	function getStats() {
		$result = '<table>';
		$query = 'SELECT id FROM #__categories WHERE extension = "com_gmapfp"';		
		$result .= '<tr><td>'.JText::_('GMAPFP_CATEGORIES_CREES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT id FROM #__gmapfp';		
		$result .= '<tr><td>'.JText::_('GMAPFP_LIEUX_CREES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT id FROM #__gmapfp WHERE published = 1';		
		$result .= '<tr><td>'.JText::_('GMAPFP_LIEUX_PUBLIES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT id FROM #__gmapfp_marqueurs';		
		$result .= '<tr><td>'.JText::_('GMAPFP_MARQUEURS_CREES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT id FROM #__gmapfp_marqueurs WHERE published = 1';		
		$result .= '<tr><td>'.JText::_('GMAPFP_MARQUEURS_PUBLIES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT id FROM #__gmapfp_extension_type';		
		$result .= '<tr><td>'.JText::_('GMAPFP_CHAMPS_CREES').'</td><td>'.$this->_getListCount( $query ).'</td></tr>';
		$query = 'SELECT SUM(hits) as Vues FROM #__gmapfp';	
		$tmp = $this->_getList( $query );
		$result .= '<tr><td>'.JText::_('GMAPFP_LIEUX_VUS').'</td><td>'.$tmp[0]->Vues.'</td></tr>';
		return $result.'</table>';
	}
	
	public function getNonLatLng() {
		$db = JFactory::getDBO();
		
		$query = 'SELECT count(id) as count FROM #__gmapfp WHERE glat ="" OR glng ="" OR glat IS NULL OR glng IS NULL';
		$db->setQuery( $query );
		return $db->loadObject();
	}

	private function CalculateCoordonner($adresse, $lieu, $id) {
		//2,500 requests per 24 hour period
		// initialisation
		$retour['latitude'] = "";
		$retour['longitude'] = "";
		$retour['erreur'] = "";

		$base_url = "http://maps.googleapis.com/maps/api/geocode/json";
		$request_url = $base_url . "?address=" . str_replace(' ', '+', $adresse) . "&sensor=false";
		
		$curl = curl_init();
        
        curl_setopt($curl, CURLOPT_URL, $request_url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_HEADER, false);
        curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
        
        $output = curl_exec($curl);
        
        if($output === false) {
            $retour['erreur'] = 'Erreur cURL : '.curl_error($curl);
        } else {
			$data = json_decode($output);
			$status = $data->status;
			if($status == "OK") {
 				// Successful geocode
				$retour['latitude'] = (float)$data->results[0]->geometry->location->lat;
				$retour['longitude'] = (float)$data->results[0]->geometry->location->lng;
			} else {
				// failure to geocode
				$retour['erreur'] = JText::sprintf('GMAPFP_'.$status, $lieu.' => '.$adresse);
			}
		}
		curl_close($curl);  
      
		return $retour;
	}

	public function getCoordonner()
	{
		$db = JFactory::getDBO();
		$courent_id = JRequest::getVar('courent_id', 0, '', 'INT');
		$courent_count = JRequest::getVar('courent_count', 0, '', 'INT');
		$total_id = JRequest::getVar('total_id', 0, '', 'INT');
		$lat = JRequest::getVar('lat', 0, '', 'REAL');
		$lng = JRequest::getVar('lng', 0, '', 'REAL');
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=getCoordonner';

		if ($courent_id and $lat and $lng) {
			$query = 'UPDATE #__gmapfp SET glat="'.(float)$lat.'", glng="'.(float)$lng.'" WHERE id ='.(int)$courent_id;
			$db->setQuery( $query );
			$db->query();
		}
		
		$query = 'SELECT id, nom, adresse, adresse2, ville, departement, codepostal, pay FROM #__gmapfp WHERE glat ="" OR glng ="" OR glat IS NULL OR glng IS NULL ORDER BY id';
		$db->setQuery( $query );
		$results = $db->loadObjectList();
		
		if (!$total_id) $total_id = count($results);

		foreach ($results as $result) {
			if ($courent_id < $result->id) {
				$courent_id = $result->id;
				$adresse = "";
				if (trim($result->adresse)) $adresse .= trim($result->adresse);
				if (trim($result->adresse2)) $adresse .= ' '.trim($result->adresse2);
				if (trim($result->codepostal)) $adresse .= ', '.trim($result->codepostal);
				if (trim($result->ville)) $adresse .= ' '.trim($result->ville);
				if (trim($result->pay)) $adresse .= ', '.trim($result->pay);

				$courent_count++;
				
				GMapFPRenderProcess::getProcessLatLng( $courent_id, $total_id, $courent_count, $link, $result->nom.'(id='.$result->id.')', $adresse, '');
				exit;
			}
		}

		return $courent_count;
	}
	
}
?>