<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.17pro
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JFormFieldGMapFPBubbles extends JFormField
{

	public	$type = 'GMapFPBubbles';

	protected function getInput()
	{
		//(Subpackage FileSystem);
		$listbubbles = array();
		$path = JPATH_SITE.$this->element['directory'];
		$default = $this->element['default'];
		if (empty($this->value)) $this->value = $default;
		if ($this->element['size']) $size='size="'.(string)$this->element['size'].'"';
			else $size='size="1"';
		
		if ($bubbles = JFolder::files($path, '.xml')) {
			$html = '<select name="jform['.$this->element['name'].']" class="inputbox" '.$size.' aria-invalid="false">'."\n";
			foreach($bubbles as $bubble) {
				$xml = simplexml_load_file($path.'/'.$bubble)->tmpl;
				$value = (string)$xml->attributes()->value;
				$title = (string)$xml->attributes()->title;
				$selected ='';
				if ($this->value == $value) {
					$selected =' selected=selected';
					$have_selected = true;
				}
				$html .= '<option value="'.$value.'"'.$selected.'>'.JText::_($title).'</option>'."\n";
			}
			$html .= '</select>'."\n";

			return $html;
		} else {
			return 'Error : no existing bubbles';
		}
	}
}
?>