<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.69pro
	* Creation date: Mai 2015
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JFormFieldGMapFPSize extends JFormField
{
	public $type = 'GMapFPSize';

	protected function getInput()
	{
		$doc = JFactory::getDocument();
		$doc->addCustomTag( '
			<script type="text/javascript">
				function '.$this->element['name'].'change() {
					num = document.getElementById("'.$this->element['name'].'_num").value;
					unit = document.getElementById("'.$this->element['name'].'_unit").value;
					document.getElementById("'.$this->element['name'].'").value = num + unit;
			
				}
			</script>
		');

		$default = $this->element['default'];
		if (empty($this->value)) $this->value = $default;
		$select1 = 'selected="selected"';
		$select2 = "";
		$val_num = $this->value;
		if (substr($this->value, -1) == 'x') {
			$select1 = 'selected="selected"';
			$select2 = "";
			$val_num = substr($this->value, 0, -2);
		}
		if (substr($this->value, -1) == '%') {
			$select1 = "";
			$select2 = 'selected="selected"';
			$val_num = substr($this->value, 0, -1);
		}

		return '
			<div class="input-prepend">
					<input type="number" id="'.$this->element['name'].'_num" onchange="'.$this->element['name'].'change();" class="add-on" value="'.$val_num.'" style="width:60px;" />
					<select class="btn-block" id="'.$this->element['name'].'_unit" style="width:50px;" onchange="'.$this->element['name'].'change();">
						<option value="%" '.$select2.'>%</option>
						<option value="px" '.$select1.'>px</option>
					</select>
			</div>
			<input type="hidden" id="'.$this->element['name'].'" name="jform['.$this->element['name'].']" value="'.$this->value.'"/>
		';

	}
}

?>