<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: Juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select');
 ?>
<script language="javascript" type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		if (form.nom.value == "") {
			alert( "<?php echo JText::_( 'GMAPFP_CHAMPS_VIDE', true ); ?>" );
			return false;
		} else {
			submitform( pressbutton );
		}
	}
</script>
<script language="javascript" type="text/javascript">
	
	function ChangeLabelFiltre() {
		if (document.getElementById('filtrer0').checked) {
			document.getElementById('view_LabelFiltre').style.display = "none";
		} else {
			document.getElementById('view_LabelFiltre').style.display = "block";
		}
	}
	
	function ActualiseParametres() {
		
		document.getElementById('table_required').style.display = "block";
		document.getElementById('parametreslabel').style.display = "block";
		document.getElementById('field_separatorlabel').style.display = "block";
		document.getElementById('form_separatorlabel').style.display = "none";
		document.getElementById('view_separatorlabel').style.display = "none";
		document.getElementById('table_only_filtre_module').style.display = "none";
		document.getElementById('table_filtre').style.display = "none";
		document.getElementById('parametresposition1').style.display = "block";
		document.getElementById('parametresposition2').style.display = "block";
		document.getElementById('table_categorie').style.display = "block";
		
		switch (parseInt(document.adminForm.type.value)) {
			case 2:
			case 7:
			case 8:
			case 13:
			case 14:
			case 21:
			case 22:
			case 23:
			case 24:
			case 25:
			case 26:
			case 27:
			case 28:
			case 29:
			case 30:
			case 31:
			case 32:
			case 33:
			case 34:
			case 35:
			case 36:
			case 37:
				document.getElementById('table_required').style.display = "none";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 0:
			case 1:
			case 2:
			case 9:
			case 13:
			case 14:
			case 15:
			case 16:
			case 18:
			case 21:
			case 22:
			case 23:
			case 24:
			case 25:
			case 26:
			case 27:
			case 28:
			case 29:
			case 30:
			case 31:
			case 32:
			case 33:
			case 34:
			case 35:
			case 36:
			case 37:
				document.getElementById('parametreslabel').style.display = "none";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 14:
			case 18:
			case 21:
			case 22:
			case 23:
			case 24:
			case 25:
			case 26:
			case 27:
			case 28:
			case 29:
			case 30:
			case 31:
			case 32:
			case 33:
			case 34:
			case 35:
			case 36:
			case 37:
				document.getElementById('field_separatorlabel').style.display = "none";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 3:
			case 4:
				document.getElementById('form_separatorlabel').style.display = "block";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 3:
			case 4:
			case 6:
			case 10:
				document.getElementById('view_separatorlabel').style.display = "block";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 9:
				document.getElementById('table_only_filtre_module').style.display = "block";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 0:
			case 3:
			case 4:
			case 5:
			case 6:
			case 13:
				document.getElementById('table_filtre').style.display = "block";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 14:
				document.getElementById('parametresposition1').style.display = "none";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 14:
				document.getElementById('parametresposition2').style.display = "none";
		}
		switch (parseInt(document.adminForm.type.value)) {
			case 14:
				document.getElementById('table_categorie').style.display = "none";
			break;
		};
	}

	function ActualiseCat() {
		if (document.adminForm.for_cat1.checked) {
			document.getElementById('view_affecte_categories').style.display = "block";
		}else{
			document.getElementById('view_affecte_categories').style.display = "none";
		}
	}
	
	jQuery(document).ready(function (){
		jQuery('.param_help_btn').on('click', function() {
			switch (parseInt(document.adminForm.type.value)) {
				case 3://Cases à cocher
				case 4://Bouton à sélectionner
				case 5://Liste déroulante (sélection simple)
				case 6://Liste déroulante (sélection multiple)
					jQuery("#collapseModal1").modal('show');
					break;
				case 7://Champ en lecture seule
				case 8://Texte d'information
					jQuery("#collapseModal2").modal('show');
					break;
				case 10://Lieux GMapFP
				case 11://Lien Web 'URL'
				case 12://Lien image 'URL'
				case 17://Téléphone avec appel
				case 20://Téléphone avec appel
					jQuery("#collapseModal3").modal('show');
					break;
				case 19://Lien Web 'URL' (bouton)
					jQuery("#collapseModal4").modal('show');
					break;
			}
		});
	});

</script>

<div id="collapseModal1" tabindex="-1" class="modal hide fade">
	<div class="modal-header">
		<h3><?php 
			echo JText::_('GMAPFP_CHAMP_TYPE3')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE4')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE5')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE6'); 
		?></h3>
	</div>
	<div class="modal-body">
		<?php echo JText::_('GMAPFP_CHAMP_PARAMS_TYPE_3_DESC'); ?>
	</div>
</div>
<div id="collapseModal2" tabindex="-1" class="modal hide fade">
	<div class="modal-header">
		<h3><?php 
			echo JText::_('GMAPFP_CHAMP_TYPE7')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE8'); 
		?></h3>
	</div>
	<div class="modal-body">
		<?php echo JText::_('GMAPFP_CHAMP_PARAMS_TYPE_7_DESC'); ?>
	</div>
</div>
<div id="collapseModal3" tabindex="-1" class="modal hide fade">
	<div class="modal-header">
		<h3><?php 
			echo JText::_('GMAPFP_CHAMP_TYPE10')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE11')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE12')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE17')."<br/>"; 
			echo JText::_('GMAPFP_CHAMP_TYPE20'); 
		?></h3>
	</div>
	<div class="modal-body">
		<?php echo JText::_('GMAPFP_CHAMP_PARAMS_TYPE_10_DESC'); ?>
	</div>
</div>
<div id="collapseModal4" tabindex="-1" class="modal hide fade">
	<div class="modal-header">
		<h3><?php 
			echo JText::_('GMAPFP_CHAMP_TYPE19'); 
		?></h3>
	</div>
	<div class="modal-body">
		<?php echo JText::_('GMAPFP_CHAMP_PARAMS_TYPE_19_DESC'); ?>
	</div>
</div>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="gmapfp_configuration form-horizontal span12">
    <div  class="adminform span6">
		<div class="control-group">
			<div class="control-label">
                <label for="nom" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_( 'GMAPFP_NOM' ).'::'.JText::_('JFIELD_TITLE_DESC')) ?>">
                    <?php echo JText::_( 'GMAPFP_NOM' ); ?>:
                </label>
			</div>
			<div class="controls">
                <input class="inputbox" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->champs->nom); ?>" />
            </div>
        </div>
		<div class="control-group">
			<div class="control-label">
                <label for="alias" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_ALIAS_LABEL').'::'.JText::_('JFIELD_ALIAS_DESC')) ?>">
                    <?php echo JText::_( 'JFIELD_ALIAS_LABEL' ); ?>:
                </label>
			</div>
			<div class="controls">
                <input class="text_area" type="text" name="alias" id="alias" size="32" maxlength="255" value="<?php echo $this->champs->alias;?>" />
            </div>
        </div>
		<div class="control-group">
			<div class="control-label">
                <label for="access" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_ACCESS_LABEL').'::'.JText::_('JFIELD_ACCESS_DESC')) ?>">
                    <?php echo JText::_( 'JFIELD_ACCESS_LABEL' ); ?>:
                </label>
			</div>
			<div class="controls">
                <?php echo JHtml::_('access.level', 'access', $this->champs->access, '', false); ?>
            </div>
        </div>
    </div>
    <div  class="adminform span6">
		<div class="control-group">
			<div class="control-label">
                <label for="published" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JPUBLISHED').'::'.JText::_('JFIELD_PUBLISHED_DESC')) ?>">
                    <?php echo JText::_( 'JPUBLISHED' ); ?>:
                </label>
			</div>
			<div class="controls">
				<fieldset class="radio btn-group">
                    <input type="radio" name="published" id="published0" class="btn" value="0"  <?php if (!$this->champs->published and $this->champs->published!=null) echo 'checked="checked"' ?>>
                    <label for="published0" id="published0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
                    <input type="radio" name="published" id="published1" class="btn" value="1"  <?php if ($this->champs->published or $this->champs->published==null) echo 'checked="checked"' ?>>
                    <label for="published1" id="published1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
                </fieldset>
            </div>
        </div>
		<div class="control-group">
			<div class="control-label" id="parametresposition1" style="display: <?php if (in_array($this->champs->type, array(14))) echo "none"; else echo "block";?>;">
                <label for="published" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_POSITION').'::'.JText::_('GMAPFP_CHAMP_POSITION_DESC')) ?>">
                    <?php echo JText::_( 'GMAPFP_CHAMP_POSITION' ); ?>:
                </label>
			</div>
			<div class="controls" id="parametresposition2" style="display: <?php if (in_array($this->champs->type, array(14))) echo "none"; else echo "block";?>;">
                <?php echo $this->position_champs;?>
            </div>
        </div>
    </div>
</div>

<div class="gmapfp_configuration form-horizontal span12">
    <fieldset class="adminform gmapfp_configuration">
    <legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
        <div class="attrib-basic span6">
            <div class="control-group">
                <div class="control-label">
                    <label for="description">
                        <?php echo JText::_( 'GMAPFP_CHAMP_DESCIPTION' ); ?>:
                    </label>
                </div>
                <div class="controls">
                    <textarea name="description" id="description" rows="4" cols="80"><?php echo $this->champs->description; ?></textarea>
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <label for="url">
                        <?php echo JText::_( 'GMAPFP_CHAMP_TYPE' ); ?>:
                    </label>
                </div>
                <div class="controls">
                    <?php echo $this->list_champs; ?>
                </div>
            </div>
            <div class="control-group" id="parametreslabel" style="display: <?php if (in_array($this->champs->type, array(0, 1, 2, 9, 13, 14, 15, 16, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37))) echo "none"; else echo "block";?>;">
                <div class="control-label">
                    <label for="parametres" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_PARAMS').'::'.JText::_('GMAPFP_CHAMP_PARAMS_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_PARAMS' ); ?>:<br/><br/>
						<a class="param_help_btn btn-primary btn-large"><?php echo JText::_( 'JHELP' ); ?></a>
                    </label>
                </div>
                <div class="controls">
                    <textarea name="parametres" id="parametres" rows="6" cols="40"><?php echo $this->champs->parametres; ?></textarea>
                </div>
            </div>
            <div class="control-group" id="field_separatorlabel" style="display: <?php if (in_array($this->champs->type, array(14, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37))) echo "none"; else echo "block";?>;">
                <div class="control-label">
                	<label for="field_separator" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_FIELD_SEPARATOR').'::'.JText::_('GMAPFP_CHAMP_FIELD_SEPARATOR_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_FIELD_SEPARATOR' ); ?>:
                    </label>
                </div>
                <div class="controls">
                    <input class="inputbox" type="text" name="field_separator" id="field_separator" maxlength="50" size="30" value="<?php if ($this->champs->id) echo $this->champs->field_separator; else echo"";?>" />
                </div>
            </div>
            <div class="control-group" id="form_separatorlabel" style="display: <?php if (in_array($this->champs->type, array(3, 4))) echo "block"; else echo "none";?>;">
                <div class="control-label">
                	<label for="form_separator" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_FORM_SEPARATOR').'::'.JText::_('GMAPFP_CHAMP_FORM_SEPARATOR_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_FORM_SEPARATOR' ); ?>:
                    </label>
                </div>
                <div class="controls">
                    <input class="inputbox" type="text" name="form_separator" id="form_separator" maxlength="50" size="30" value="<?php if ($this->champs->id) echo $this->champs->form_separator; else echo"<br />";?>" />
                </div>
            </div>
            <div class="control-group" id="view_separatorlabel" style="display: <?php if (in_array($this->champs->type, array(3, 4, 6, 10))) echo "block"; else echo "none";?>;">
                <div class="control-label">
                	<label for="view_separator" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_VIEW_SEPARATOR').'::'.JText::_('GMAPFP_CHAMP_VIEW_SEPARATOR_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_VIEW_SEPARATOR' ); ?>:
                    </label>
                </div>
                <div class="controls">
                    <input class="inputbox" type="text" name="view_separator" id="view_separator" maxlength="50" size="30" value="<?php if ($this->champs->id) echo $this->champs->view_separator; else echo"<br />";?>" />
                </div>
            </div>
		</div>
		<div class="span6">
			<div class="attrib-required" id="table_required" style="display: <?php if (in_array($this->champs->type, array(2, 7, 8, 13, 14, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37))) echo "none"; else echo "block";?>;">
				<div class="control-group">
					<div class="control-label">
						<label for="required" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_REQUIRED').'::'.JText::_('GMAPFP_REQUIRED_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_REQUIRED' ); ?>:
						</label>
					</div>
					<div class="controls">
						<fieldset class="radio btn-group">
							<input type="radio" name="required" id="required0" class="btn" onclick="ChangeLabelFiltre();" value="0"  <?php if (!$this->champs->required) echo 'checked="checked"' ?>>
							<label for="required0" id="required0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
							<input type="radio" name="required" id="required1" class="btn" onclick="ChangeLabelFiltre();" value="1"  <?php if ($this->champs->required) echo 'checked="checked"' ?>>
							<label for="required1" id="required1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
						</fieldset>
					</div>
				</div>
			</div>
			<div class="attrib-filtre" id="table_only_filtre_module" style="display: <?php if (in_array($this->champs->type, array(9))) echo "block"; else echo "none";?>;">
				<div class="control-group">
					<div class="control-label">
						<label for="filtrer" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE').'::'.JText::_('GMAPFP_FILTRE_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_FILTRE' ); ?>:
						</label>
					</div>
					<div class="controls">
						<fieldset class="radio btn-group">
							<input type="radio" name="filtrer_module" id="filtrer_module0" class="btn" onclick="ChangeLabelFiltre();" value="0"  <?php if (!$this->champs->filtrer) echo 'checked="checked"' ?>>
							<label for="filtrer_module0" id="filtrer_module0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
							<input type="radio" name="filtrer_module" id="filtrer_module1" class="btn" onclick="ChangeLabelFiltre();" value="3"  <?php if ($this->champs->filtrer==3) echo 'checked="checked"' ?>>
							<label for="filtrer_module1" id="filtrer_module1-lbl" class="radio"><?php echo JText::_( 'GMAPFP_ONLY_SEARC_MODULE' ); ?></label>
						</fieldset>
					</div>
				</div>
				<div class="control-group" id="view_LabelFiltre">
					<div class="control-label">
						<label for="filtre_label_module" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE_LABEL').'::'.JText::_('GMAPFP_FILTRE_LABEL_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_FILTRE_LABEL' ); ?>:
						</label>
					</div>
					<div class="controls">
						<input class="inputbox" type="text" name="filtre_label_module" id="filtre_label_module" maxlength="100" size="30" value="<?php echo $this->champs->filtre_label;?>" />
					</div>
				</div>
			</div>
		   <div class="attrib-filtre2" id="table_filtre" style="display: <?php if (in_array($this->champs->type, array(0, 3, 4, 5, 6, 13))) echo "block"; else echo "none";?>;">
				<div class="control-group">
					<div class="control-label">
						<label for="filtrer" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE').'::'.JText::_('GMAPFP_FILTRE_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_FILTRE' ); ?>:
						</label>
					</div>
					<div class="controls">
						<fieldset class="radio btn-group">
							<input type="radio" name="filtrer" id="filtrer0" class="btn" onclick="ChangeLabelFiltre();" value="0"  <?php if (!$this->champs->filtrer) echo 'checked="checked"' ?>>
							<label for="filtrer0" id="filtrer0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
							<input type="radio" name="filtrer" id="filtrer1" class="btn" onclick="ChangeLabelFiltre();" value="1"  <?php if ($this->champs->filtrer==1 or $this->champs->filtrer==2) echo 'checked="checked"' ?>>
							<label for="filtrer1" id="filtrer1-lbl" class="radio"><?php echo JText::_( 'GMAPFP_STANDARD' ); ?></label>
						</fieldset>
					</div>
				</div>
				<div class="control-group" id="view_LabelFiltre">
					<div class="control-label">
						<label for="filtre_label" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE_LABEL').'::'.JText::_('GMAPFP_FILTRE_LABEL_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_FILTRE_LABEL' ); ?>:
						</label>
					</div>
					<div class="controls">
						<input class="inputbox" type="text" name="filtre_label" id="filtre_label" maxlength="100" size="30" value="<?php echo $this->champs->filtre_label;?>" />
					</div>
				</div>
				<div class="control-group" id="view_Recherche">
					<div class="control-label">
						<label for="recherche" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_SEARCH').'::'.JText::_('GMAPFP_SEARCH_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_SEARCH' ); ?>:
						</label>
					</div>
					<div class="controls">
						<fieldset class="radio btn-group">
							<input type="radio" name="recherche" id="recherche0" value="0"  <?php if (!$this->champs->recherche) echo 'checked="checked"' ?>>
							<label for="recherche0" id="recherche0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
							<input type="radio" name="recherche" id="recherche1" value="1"  <?php if ($this->champs->recherche) echo 'checked="checked"' ?>>
							<label for="recherche1" id="recherche1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
						</fieldset>
					</div>
				</div>
			</div>
			<div class="attrib-categorie" id="table_categorie" style="display: <?php if (in_array($this->champs->type, array(14))) echo "none"; else echo "block";?>;">
				<div class="control-group">
					<div class="control-label">
						<label for="for_cat" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FOR_CAT').'::'.JText::_('GMAPFP_FOR_CAT_DESC')) ?>">
							<?php echo JText::_( 'GMAPFP_FOR_CAT' ); ?>:
						</label>
					</div>
					<div class="controls">
						<fieldset class="radio btn-group">
							<input type="radio" name="for_cat" id="for_cat0" onclick="ActualiseCat();" value="0"  <?php if (!$this->champs->for_cat) echo 'checked="checked"' ?>>
							<label for="for_cat0" id="for_cat0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
							<input type="radio" name="for_cat" id="for_cat1" onclick="ActualiseCat();" value="1"  <?php if ($this->champs->for_cat) echo 'checked="checked"' ?>>
							<label for="for_cat1" id="for_cat1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
						</fieldset>
					</div>
				</div>
				<div class="control-group" id="view_affecte_categories" <?php if(!$this->champs->for_cat) echo "style='display: none;'" ?> >
					<div class="control-label">
						<label for="catid" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JGLOBAL_CHOOSE_CATEGORY_LABEL').'::'.JText::_('JGLOBAL_CHOOSE_CATEGORY_LABEL_DESC')) ?>">
							<?php echo JText::_( 'JGLOBAL_CHOOSE_CATEGORY_LABEL' ); ?>:
						</label>
					</div>
					<div class="controls">
						<?php
							echo $this->lists['catid'];
						?>
					</div>
				</div>
			</div>
		</div>
    </fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->champs->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="champs" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
