<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.0pro
	* Creation date: Mai 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); ?>

<script language="javascript" type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		if (form.nom.value == "") {
			alert( "<?php echo JText::_( 'GMAPFP_NOM_NON_VIDE', true ); ?>" );
			return false;
		} else {
			submitform( pressbutton );
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div>
    <table  class="adminform">
        <tr>
            <td width="5%">
                <label for="access" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_ACCESS_LABEL').'::'.JText::_('JFIELD_ACCESS_DESC')) ?>">
                    <?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php
                    // Merge any additional options in the XML definition.
                    jimport('joomla.language.helper');

                    $List_langue = JLanguageHelper::createLanguageList($this->champ_traduction->langue, constant('JPATH_SITE'), true, true);

                    echo JHtml::_('select.genericlist', $List_langue, 'langue',
                        array(
                            'list.attr' => false,
                            'list.select' => $this->champ_traduction->langue
                        )
                    );

                ?>
            </td>
        </tr>
    </table>

    <fieldset class="adminform gmapfp_configuration">
    <legend><?php echo JText::_( 'GMAPFP_NOM' ); ?></legend>
        <table class="admintable">
            <tr>
                <td>
                    <input class="inputbox" type="text" name="nom_old" id="nom_old" size="60" maxlength="200" disabled="disabled" value="<?php echo str_replace('"', '&quot;',$this->champs->nom); ?>" />
                </td>
            </tr>
            <tr>
                <td>
                    <input class="inputbox" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->champ_traduction->nom); ?>" />
                </td>
            </tr>
		</table>
    </fieldset>
    <fieldset class="adminform gmapfp_configuration">
    <legend><?php echo JText::_( 'GMAPFP_CHAMP_PARAMS' ); ?></legend>
        <table class="admintable">
            <tr>
                <td>
                    <textarea name="parametres_old" id="parametres_old" disabled="disabled" rows="6" cols="40"><?php echo $this->champs->parametres; ?></textarea>
                </td>
            </tr>
            <tr>
                <td>
                    <textarea name="parametres" id="parametres" rows="6" cols="40"><?php echo $this->champ_traduction->parametres; ?></textarea>
                </td>
            </tr>
		</table>
    </fieldset>
    <fieldset class="adminform gmapfp_configuration">
    <legend><?php echo JText::_( 'GMAPFP_FILTRE_LABEL' ); ?></legend>
        <table class="admintable">
            <tr>
                <td>
                    <input class="inputbox" type="text" name="filtre_old" id="filtre_old" size="60" maxlength="200" disabled="disabled" value="<?php echo str_replace('"', '&quot;',$this->champs->filtre_label); ?>" />
                </td>
            </tr>
            <tr>
                <td>
                    <input class="inputbox" type="text" name="filtre_label" id="filtre_label" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->champ_traduction->filtre_label); ?>" />
                </td>
            </tr>
		</table>
    </fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="typeid" value="<?php echo $this->champs->id; ?>" />
<input type="hidden" name="id" value="<?php echo $this->champ_traduction->id; ?>" />
<input type="hidden" name="task" value="traduire" />
<input type="hidden" name="controller" value="champs" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
