<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.60pro
	* Creation date: Janvier 2015
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;
JHTML::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

 ?>
 
<script language="javascript" type="text/javascript">
    Joomla.submitbutton = function(task) {
		if (task == 'cancel' || document.formvalidator.isValid(document.id('classement_form'))) {
			Joomla.submitform(task, document.getElementById('classement_form'));
		}
    }	 

	function changeDisplayImage(chemin) {
		if (document.adminForm.img.value !='') {
			document.adminForm.imagelib.src=chemin + document.adminForm.img.value;
		} else {
			document.adminForm.imagelib.src=chemin + '../blank/blank.png';
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="classement_form" class="form-validate gmapfp">
<div class="gmapfp_configuration">
    <fieldset class="adminform">
    <legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
    <table class="admintable">
        <tr>
            <td width="110" class="key">
                <label for="nom" class="hasTip required" title="<?php echo JText::_( 'GMAPFP_NOM' ); ?>">
                    <?php echo JText::_( 'GMAPFP_NOM' ); ?><span class="star">&#160;*</span>
                </label>
            </td>
            <td>
                <input class="inputbox required" type="text" name="nom" id="nom" size="60" value="<?php echo $this->classements->nom; ?>" />
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="cat">
                    <?php echo JText::_( 'GMAPFP_TYPE' ); ?><span class="star">&#160;*</span>
                </label>
            </td>
            <td>
                <?php echo $this->lists['types']; ?>
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="img">
                    <?php echo JText::_( 'GMAPFP_IMG' ); ?><span class="star">&#160;*</span>
                </label>
            </td>
            <td>
                <?php echo $this->lists['images']; ?>
            </td>
        </tr>
        <tr>
            <td width="120" class="key">
                <?php echo JText::_( 'JPUBLISHED' ); ?>
            </td>
            <td>
				<fieldset class="radio btn-group">
                    <label for="published0" id="published0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
                    <input type="radio" name="published" id="published0" value="0"  <?php if (!$this->classements->published and $this->classements->published!=null) echo 'checked="checked"' ?>>
                    <label for="published1" id="published1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
                    <input type="radio" name="published" id="published1" value="1"  <?php if ($this->classements->published or $this->classements->published==null) echo 'checked="checked"' ?>>
                </fieldset>
            </td>
        </tr>
		<tr>
			<td>
				<label for="language" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_LANGUAGE_LABEL').'::'.JText::_('JFIELD_LANGUAGE_DESC')) ?>">
					<?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?>:
				</label>
			</td>
			<td>
                <?php echo $this->lists['language']; ?>
			</td>
		</tr>
        <tr>
            <td width="120" class="key">
                <label for="filtrable" class="hasTip" title="<?php echo JText::_( 'GMAPFP_CUSTOM_FILTER_DESC' ); ?>">
                    <?php echo JText::_( 'GMAPFP_FILTRER' ); ?>
                </label>
            </td>
            <td>
				<fieldset class="radio btn-group">
                    <label for="filtrable0" id="filtrable0-lbl" class="radio"><?php echo JText::_( 'JNO' ); ?></label>
                    <input type="radio" name="filtrable" id="filtrable0" value="0"  <?php if (!$this->classements->filtrable) echo 'checked="checked"' ?>>
                    <label for="filtrable1" id="filtrable1-lbl" class="radio"><?php echo JText::_( 'JYES' ); ?></label>
                    <input type="radio" name="filtrable" id="filtrable1" value="1"  <?php if ($this->classements->filtrable) echo 'checked="checked"' ?>>
                </fieldset>
            </td>
        </tr>
    </table>
    </fieldset>
</div>
                <div id="pos_centre_img" style="position: absolute; top: 300px; left: 620px;">
                    <img id="imagelib" src="<?php 
						if ($this->classements->img)
							echo JURI::base().'..'.'/images/gmapfp/classements/'.$this->classements->img; 
						else
							echo JURI::base().'..'.'/images/gmapfp/blank/blank.png'; 
					?>"/>
                </div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->classements->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="classements" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
