<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: Juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
$template_path = JPATH_ROOT.'/media/com_gmapfp/css/gmapfp.css';
if ($fp = @fopen($template_path, 'r')) {
	$csscontent = @fread($fp, @filesize($template_path));
	$csscontent = htmlspecialchars($csscontent);
} else {
	echo 'Error reading template file: '.$template_path;
}
$editor = JEditor::getInstance('codemirror');
?>
<script language="javascript" type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'saveCss') {
			<?php
			echo $editor->save( 'csscontent' );
			?>
			submitform( pressbutton );
	}
</script>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<form action="index.php" method="post" name="adminForm" id="adminForm">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>
				<p><?php echo JText::_( 'GMAPFP_CSS_DETAIL' ); ?></p>
				<table class="adminform">
				<tr>
					<th>
					<?php echo $template_path; ?>
					<span class="componentheading">
					<?php
					echo is_writable($template_path) ? ' - <strong style="color:green;">'.JText::_( 'GMAPFP_CSS_WRITABLE' ).'</strong>' :'<strong style="color:red;">'.JText::_( 'GMAPFP_CSS_NOT_WRITABLE' ).'</strong>';?>
					</span>
					</th>
				</tr>
				<tr>
					<td>
						<?php echo $editor->display('csscontent', $csscontent, '600', '300', '75', '20', false, 'csscontent');                                ?>
					</td>
				</tr>
			</table>
		<input type="hidden" name="option" value="com_gmapfp" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="controller" value="css" />
	</form>
	<div class="copyright" align="center">
		<br />
		<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
	</div>
</div>