<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.0pro
	* Creation date: Mai 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript" type="text/javascript">
   function control() {
    var form = document.adminForm;
    // do field validation
    result = true;
	if ((form.task.value == "DelLieux")||(form.task.value == "DelCat")){
		result = confirm('<?php echo JText::_('GMAPFP_CONFIRMER_DEL_TABLE'); ?>');
	}
	if (result) {
		if (((form.lieux.value == "")&&(form.task.value == "ImportLieux"))||((form.cat.value == "")&&(form.task.value == "ImportCat"))){
		 alert( "<?php echo JText::_('GMAPFP_EMPTY_FILE'); ?>" );
		 form.task.value = "";
		} else {
		 return true;
		}
	}
	form.task.value = "";
    return false;
   }
</script> 

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" onsubmit='return control();'>
    <fieldset>
    	<?php echo JText::_( 'GMAPFP_ARCHIVE_CONSEIL' );?>
    </fieldset>
    <fieldset>
        <legend><?php echo JText::_( 'GMAPFP_CSV_EXPORT' ); ?></legend>
        <table class="toolbar" width=80%>
            <tr>
                <td width=50%>
                    <?php
                        $link = "ExportCat";
                        echo "<a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-archive'></span>".JText::_( 'GMAPFP_CSV_EXPORT' )."&nbsp".JText::_( 'GMAPFP_CATEGORIES' )."</a>";
                    ?>
                </td>
                <td width=50%>
                    <?php
                        $link = "ExportLieux";
                        echo "<a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-archive'></span>".JText::_( 'GMAPFP_CSV_EXPORT' )."&nbsp".JText::_( 'GMAPFP_LIEUX' )."</a>";
                    ?>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset>
        <legend><?php echo JText::_( 'GMAPFP_CSV_IMPORT' ); ?></legend>
        <table class="toolbar" width=80%>
            <tr>
                <td width=50%>
                    <span><input class="inputbox" type="file" name="cat" accept="text/comma-separated-values" value="*.csv"/></span>
                    <?php
                        $link = "ImportCat";
                        echo "<span><a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-unarchive'></span>".JText::_( 'GMAPFP_CSV_IMPORT' )."&nbsp".JText::_( 'GMAPFP_CATEGORIES' )."</a></span>";
                    ?>
                </td>
                <td width=50%>
                    <span><input class="inputbox" type="file" name="lieux" accept="text/comma-separated-values" value="*.csv"/></span>
                    <?php
                        $link = "ImportLieux";
                        echo "<span><a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-unarchive'></span>".JText::_( 'GMAPFP_CSV_IMPORT' )."&nbsp".JText::_( 'GMAPFP_LIEUX' )."</a></span>";
                    ?>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset>
        <legend><?php echo JText::_( 'GMAPFP_PURGE_TABLE' ); ?></legend>
        <table class="toolbar" width=80%>
            <tr>
                <td width=50%>
                    <?php
                        $link = "DelCat";
                        echo "<a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-delete'></span>".JText::_( 'GMAPFP_CSV_DELETE' )."&nbsp".JText::_( 'GMAPFP_CATEGORIES' )."</a>";
                    ?>
                </td>
                <td width=50%>
                    <?php
                        $link = "DelLieux";
                        echo "<a href=\"#\" onclick=\"javascript: submitbutton('".$link."')\" ><span class='icon-32-delete'></span>".JText::_( 'GMAPFP_CSV_DELETE' )."&nbsp".JText::_( 'GMAPFP_LIEUX' )."</a>";
                    ?>
                </td>
            </tr>
        </table>
    </fieldset>
    <input type="hidden" name="option" value="com_gmapfp" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="controller" value="csv" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
