<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.108pro
	* Creation date: Mars 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class GMapFPViewPhotos extends JViewLegacy
{
	function display($tpl = NULL)
	{
		$this->document->addStyleSheet('components/com_gmapfp/views/general.css');
		$mainframe = JFactory::getApplication(); 
		$option    = $mainframe->input->get('option'); 

		JToolBarHelper::title(   JText::_( 'GMAPFP_PHOTOS_MANAGER' ).': <small><small>[Photos]</small></small>', 'photos' );
		JToolBarHelper :: custom( 'makeXML', 'edit.png', 'edit.png', JText::_( 'GMAPFP_GENERER_XML' ), false, false );


		// Get data from the model
		$items	= $this->get( 'Data');
		$this->items = $items;

		$pageNav = $this->get( 'Pagination' );				
		$this->pageNav = $pageNav;

		$filtrevilles = array();
		$filtrevilles[] = JHTML::_('select.option', '-- '.JText::_( 'GMAPFP_VILLE_FILTRE' ).' --' );
				foreach($this->get('listville') as $temp) {
					$filtrevilles[] = JHTML::_('select.option', $temp->ville );
				}

		$filtredepartements = array();
		$filtredepartements[] = JHTML::_('select.option', '-- '.JText::_( 'GMAPFP_DEPARTEMENT_FILTRE' ).' --' );
				foreach($this->get('listdepartement') as $temp) {
					$filtredepartements[] = JHTML::_('select.option', $temp->departement );
				}

		$filter_order = $mainframe->getUserStateFromRequest( $option.'filter_order', 'filter_order', '', 'cmd');
		$filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', '', 'word');
		$search	= $mainframe->getUserStateFromRequest( $option.'search', 'search', '',	'string' );
		$filtreville = $mainframe->getUserStateFromRequest( $option.'filtreville', 'filtreville', '-- '.JText::_( 'GMAPFP_VILLE' ).' --', 'string' );
		$filtredepartement = $mainframe->getUserStateFromRequest( $option.'filtredepartement', 'filtredepartement', '-- '.JText::_( 'GMAPFP_DEPARTEMENT' ).' --', 'string' );
		$filtrecategorie = $mainframe->getUserStateFromRequest( $option.'filtrecategorie', 'filtrecategorie', '-- '.JText::_( 'GMAPFP_CATEGORIE' ).' --', 'string' );
		$lists['ville'] = JHTML::_('select.genericlist', $filtrevilles, 'filtreville', 'size="1" class="inputbox" onchange="form.submit()"', 'value', 'text', $filtreville );
		$lists['departement'] = JHTML::_('select.genericlist', $filtredepartements, 'filtredepartement', 'size="1" class="inputbox" onchange="form.submit()"', 'value', 'text', $filtredepartement );
		$lists['categorie'] 	= JHTML::_('list.category',  'filtrecategorie', $option, intval( $filtrecategorie ), 'onchange="form.submit()"');
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$lists['search'] = $search;
		$this->lists = $lists);

		parent::display();
	}
}
