<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: Juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

class GMapFPChampsGMapFP extends JViewLegacy
{
	function getChampsHtml ($position, $pane = false, $print = false)
	{
		$html = '';
		$onglets_types = array(14);
		$champs_without_value = array(21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38);
		if (property_exists($this, 'champs'))
		foreach ($this->champs as $champ)
			if (($champ->position == $position AND !$pane AND ($champ->valeur OR (!$champ->valeur AND in_array($champ->type, $champs_without_value)))) 
				OR ($champ->position == $position AND $pane AND ($champ->valeur OR (!$champ->valeur AND in_array($champ->type, $champs_without_value)) OR in_array($champ->type, $onglets_types)) AND !($champ->position == 0 AND !in_array($champ->type, $onglets_types))))
			{
				$label = '';
				if ($position == 5 and $pane) {
					$html .= JHtml::_('bootstrap.addTab', 'gmapfp_pane', $champ->alias, $champ->label);
					if (!$this->params->get('gmapfp_article_onglets', 1)) $html .= '<h2><span>'.str_replace("'", "&apos;", $champ->label).'<span></h2>';
				} else $label = '<label>'.$champ->label.'&nbsp;:&nbsp;</label>';
				switch ($champ->type) {
					case 1: //Zone de texte
					case 2: //Editeur
					case 7: //Champ en lecture seule
					case 8: //Texte d'information
						//traitement des plugins
						if (!$pane) $html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.'<div>';
						$html .= JHtml::_('content.prepare', $champ->valeur);
						if (!$pane) $html .= '</div></div>';
						break;
					case 3: //Cases  cocher
					case 6: //Liste droulante (slection multiple)
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.'<span>';
						$html .= str_replace ("\r\n",$champ->view_separator, $champ->valeur);
						$html .= '</span></div>';
						break;
					case 10: //Lieux GMapFP
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.'<span>';
						if(strpos($champ->view_separator, 'br')) $html .= $champ->view_separator;
						empty($champ->parametres) ? $parametres ='target="_blank"' : $parametres =$champ->parametres;
						$new_class = "";
						if (strpos($parametres, 'class')!==0){
							$pos = strpos($parametres, 'class');
							$new_class = substr($parametres, $pos);
							$pos = strpos($new_class, '"') + 1;
							$new_class = substr($new_class, $pos);
							$new_class = strstr($new_class, '"', true);
							$parametres = str_replace('class', 'add_class', $parametres);
						}
						$places = explode ("\r\n", $champ->valeur);
						foreach($places as $place) {
							if(!class_exists('GMapFPHelperRoute')) require_once (JPATH_SITE . '/components/com_gmapfp/helpers/route.php');
							if ($this->params->get('target')==0 or $this->params->get('target')==4) {
								$map_link=JRoute::_(GMapFPHelperRoute::getArticleRoute($place).'&tmpl=component', false);
								$class = "lien_gmapfp_lieu modal ";
							}else{
								$map_link=JRoute::_(GMapFPHelperRoute::getArticleRoute($place), false);
								$class = "lien_gmapfp_lieu ";
							};
							$model_place = $this->getModel('gmapfp'); 
							$model_place->set_catid('');
							$model_place->set_id((int)$place);
							$info_lieux = $model_place->getGMapFPList();
							if ($info_lieux[0]->img) {
								$html .= '<a class="'.$class.$new_class.'"href="'.$map_link.'" '.$parametres.' ><img src="images/gmapfp/thumbsGMap/'.$info_lieux[0]->img.'" alt="'.$info_lieux[0]->nom.'"/>'.$info_lieux[0]->nom."</a>";
							} else {
								$html .= '<a class="'.$class.'"href="'.$map_link.'" '.$parametres.' >'.$info_lieux[0]->nom."</a>";
							}
							$html .= $champ->view_separator;
						}
						$html .= '</span></div>';
						unset($places, $place, $parametres, $model_place, $info_lieux);
						break;
					case 11: //Lien Web 'URL'
						empty($champ->parametres) ? $parametres ='target="_blank"' : $parametres =$champ->parametres; 
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.'<span>';
						$html .= '<a href="'.$champ->valeur.'" '.$parametres.'>'.$champ->valeur.'</a>';
						$html .= '</span></div>';
						unset($parametres);
						break;
					case 19: //Lien Web 'URL' (bouton)
						$target = 'target="_blank" class="btn"';
						$nom = $champ->label;
						if (!empty($champ->parametres)){
							$parametres = explode("\n", $champ->parametres);
							$nom = $parametres[0];
							if (array_key_exists(1, $parametres)) $target = $parametres[1];
						}
						$html .= '<a  href="'.$champ->valeur.'" '.$target.'>'.$nom.'</a>';
						unset($parametres, $nom, $target);
						break;
					case 17: //Tlphone avec appel
						$html .= '<div class="'.$champ->alias.'" itemprop="email">'.$label.$champ->field_separator;
						empty($champ->parametres) ? $parametres ='target="_blank"' : $parametres =$champ->parametres; 
						$html .= '<a href="tel:'.$champ->valeur.'" '.$parametres.'>'.$champ->valeur.'</a>';
						$html .= '</div>';
						unset($parametres);
						break;
					case 20: //EMail
						$html .= '<div class="'.$champ->alias.'" itemprop="telephone">'.$label.$champ->field_separator;
						empty($champ->parametres) ? $parametres ='target="_blank"' : $parametres =$champ->parametres; 
						$html .= JHTML::_('email.cloak',$champ->valeur);
						$html .= '</div>';
						unset($parametres);
						break;
					case 18: //Article Joomla
						$db	= JFactory::getDBO();
						$query = "SELECT `introtext`, `fulltext`" .
								"\n FROM #__content" .
								"\n WHERE id = ".$champ->valeur;
						$db->setQuery( $query );
						$result = $db->loadAssoc();
						$result = $result['introtext'].$result['fulltext'];
						$html .= '<div class="'.$champ->alias.'">'.$label.'<div>'.$result.'</div></div>';
						unset($result);
						break;
					case 12: //Lien image
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator;
						empty($champ->parametres) ? $parametres ='title = "image url"' : $parametres =$champ->parametres; 
						$html .= '<img itemprop="photo" src="'.$champ->valeur.'" '.$parametres.' />';
						$html .= '</div>';
						unset($parametres);
						break;
					case 9: //date
						if ($champ->valeur != "0000-00-00 00:00:00" and $champ->valeur != "") {
							empty($champ->parametres) ? $parametres =JText::_('DATE_FORMAT_LC3') : $parametres =$champ->parametres; 
							$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.JHtml::_('date',  $champ->valeur,  $parametres).'</div>';
							unset($parametres, $date);
						}
						break;
					case 15: //date/heure
						if ($champ->valeur != "0000-00-00 00:00:00" and $champ->valeur != "") {
							empty($champ->parametres) ? $parametres =JText::_('DATE_FORMAT_LC2') : $parametres =$champ->parametres; 
							$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.JHtml::_('date',  $champ->valeur,  $parametres).'</div>';
							unset($parametres, $date);
						}
						break;
					case 13: //traitement des calendriers
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.JHtml::_('content.prepare', '{calendrier '.$champ->valeur.'}').'</div>';
						break;
					case 14: //Onglet (contenant)
						$html1 = $this->getChampsHtml(0-$champ->id);
						if ($html1) {
							if ($print) {
								$html .= '<div class="'.$champ->alias.'"><label>'.$champ->label.'</label><br/><span>'.$html1.'</span></div>';
							} else {
								$html .= JHtml::_('bootstrap.addTab', 'gmapfp_pane', 'perso_pane_'.$champ->id, str_replace("'", "&apos;", $champ->label));
									if (!$this->params->get('gmapfp_article_onglets', 1)) $html .= '<h2><span>'.str_replace("'", "&apos;", $champ->label).'<span></h2>';
									$html .= $html1;
								$html .= JHtml::_('bootstrap.endTab');
							}
						}
						break;
					case 21: //affichage de la carte
						if ($this->params->get('show_map_onglet')==1 and $this->lieu->glat!='' and $this->lieu->glng!='') {
							$html .= '<div class="'.$champ->alias.'">'.$label.'</div>';
							$html .= '<div id="mapmap" itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">'."\n";
							$html .= ' <meta itemprop="latitude" content="'.$this->lieu->glat.'" />'."\n";
							$html .= ' <meta itemprop="longitude" content="'.$this->lieu->glng.'" />'."\n";
							$html .= $this->map['map'];
							if ($this->map['iti']) {
								$html .= '<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
								$html .= $this->map['iti'];
							}
							$html .= '</div>';
						}
						break;
					case 22: //Affichage du champ horaires et prix
						if (($this->lieu->horaires_prix!=null)&&($this->params->get('gmapfp_afficher_horaires_prix_onglet')==1)) {
						$html .= JLayoutHelper::render('h_et_p', array('params' => $this->params, 'row' => $this->lieux[0]));
						}
					break;
					case 23: //onglet galerie
						$this->startTab = false;
						if ($this->params->get('show_gallery_onlet')) {
							$html .= '<div class="'.$champ->alias.'">'.$label.'</div>';
							$this->setLayout('item_galerie_v'.$this->params->get('gmapfp_num_galerie', 3));
							$html .= $this->loadTemplate();
						}
					break;
					case 24: //Formulaire email
						if (($this->lieu->email!=null)and($this->params->get('gmapfp_msg_onglet')==1)) {
							$html .= "<div style='width:100%;'>";
							$html .= '<div class="'.$champ->alias.'">'.$label.'</div>';
							ob_start();
							$this->_layout='item';
							JViewLegacy::Display('msg');
							$html .= ob_get_contents();
							ob_end_clean();
							$this->_layout='default';
							$html .= "</div>";
						}
					break;
					case 25: //affichage du lien externe
						$link4=substr($this->lieu->link,0,4);
						$link5=substr($this->lieu->link,0,5);
						$link9=substr($this->lieu->link,0,9);
						$link10=substr($this->lieu->link,0,10);
						$linkok=0;
						if ((!empty($this->lieu->icon))||(!$this->lieu->icon='')) {
							if ((int)$this->lieu->article_slug >= 1) {
								$linkok=2;
							};
							if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
								$linkmap=$this->lieu->link;
								if ($link4=="www.") {$linkmap="http://".$linkmap;};
								if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
								$linkok=1;
							};
						};
						if ($linkok&&($this->lieu->icon<>'')) {
							$html .= '<div class="'.$champ->alias.'">'.$label.'</div>';
							if ($linkok == 1) {
								$html .= "<iframe style='min-height:".$this->params->get('gmapfp_height')."px; width:100%;' src='".$linkmap."'><a href='".$linkmap."'>SELFHTML</a></iframe>";
							} else {
								$html .= "<div style='width:100%;' >";
									$html .= JHtml::_('content.prepare', $this->lieu->article_text);
								$html .= "</div>";
							};
						}
					break;
					case 26: //Formulaire JComment
						$jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
						if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
							require_once($jcomments);
								$html .= '<div style="clear: both;">';
									$html .= JComments::showComments($this->lieu->id, 'com_gmapfp', $this->lieu->nom);
								$html .= '</div>';
						}
					break;
					case 27: //Formulaire ItemRating
						$itemrating =  JPATH_SITE.'/components/com_itemrating/itemrating.php';
						if (!array_search(27, array_column($this->champs, 'type')) and (file_exists($itemrating))and($this->params->get('gmapfp_itemrating_show', 3) == 3 or $this->params->get('gmapfp_itemrating_show', 3) == 2)) {
							$html .= '<div style="clear: both;">';
								$this->_layout='item';
								ob_start();
								JViewLegacy::Display('ratingitem');
								$html .= ob_get_contents();
								ob_end_clean();
								$this->_layout='default';
							$html .= '</div>';
						}
					break;
					case 28: //Image principale
						$is_article = ($this->layout == 'article' or $this->view == 'gmapfpcontact');
						$html .= JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $this->lieux[0], 'article' => $is_article));
					break;
					case 29: //Champ description
						$html .= JLayoutHelper::render('description', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 30: //Champ email principal
						$html .= JLayoutHelper::render('main_email', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 31: //Champ adresse
						$html .= JLayoutHelper::render('adresse', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 32: //Champ pictos
						$html .= JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $this->lieux[0], 'lists' => $this->lists));
					break;
					case 33: //Champ labels
						$html .= JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $this->lieux[0], 'lists' => $this->lists));
					break;
					case 34: //Champ classements
						$html .= JLayoutHelper::render('classements', array('params' => $this->params, 'row' => $this->lieux[0], 'lists' => $this->lists));
					break;
					case 35: //Champ site web
						$html .= JLayoutHelper::render('site_web', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 36: //Champ longitude
						$html .= JLayoutHelper::render('longitude', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 37: //Champ latitude
						$html .= JLayoutHelper::render('latitude', array('params' => $this->params, 'row' => $this->lieux[0]));
					break;
					case 4: //Bouton  slectionner
					case 5: //Liste droulante (slection simple)
					case 16: //Heure
					default:
						$html .= '<div class="'.$champ->alias.'">'.$label.$champ->field_separator.'<span>'.$champ->valeur.'</span></div>';
				}
				if ($position == 5 and $pane) $html .= JHtml::_('bootstrap.endTab');

			}
		unset($champ, $article, $results);
		return $html;
	}

	function getFirstPane ()
	{
		foreach ($this->champs as $champ) {
			if (($champ->position == 0 and $champ->type == 14) or ($champ->position == 5 and $champ->valeur)) {
				if ($champ->position == 0 and $champ->type == 14) {
					foreach ($this->champs as $champ2) {
						if ($champ2->position == '-'.$champ->id and $champ2->valeur)
							return $champ->id;
					}
				} else
					return $champ->id;
			}
		}
	}
}