<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: Juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('JPATH_BASE') or die;

$params = $displayData['params'];
$row = $displayData['row'];

if ($row->adresse or $row->adresse2 or $row->codepostal or $row->ville or $row->pay)
	switch($params->get('gmapfp_type_adresse', 0)){
		case 0:
			echo'<div class="gmapfp_adresse" itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">';
				if ($row->adresse!=null) {echo '<div class="adresse1"><label>'.JText::_('GMAPFP_ADRESSE').'</label><span itemprop="streetAddress">'.$row->adresse.'</span></div>';};
				if ($row->adresse2!=null) {echo '<div class="adresse2"><label>'.JText::_('GMAPFP_ADRESSE').'</label><span itemprop="streetAddress">'.$row->adresse2.'</span></div>';};
				if (($row->codepostal!=null)&&($params->get('gmapfp_zipcode_ville', 1))) {echo '<div class="code_postal"><label>'.JText::_('GMAPFP_CODEPOSTAL').'</label><span itemprop="postalCode">'.$row->codepostal.'</span></div>';};
				if ($row->ville!=null) {echo '<div class="ville"><label>'.JText::_('GMAPFP_VILLE').'</label><span itemprop="addressLocality">'.$row->ville.'</span></div>';};
				if ($row->departement!=null) {echo '<div class="departement"><label>'.JText::_('GMAPFP_DEPARTEMENT').'</label><span>'.$row->departement.'</span></div>';};
				if ($row->pay!=null) {echo '<div class="pays"><label>'.JText::_('GMAPFP_PAYS').'</label><span itemprop="addressCountry">'.$row->pay.'</span></div>';};
				if (($row->codepostal!=null)&&(!$params->get('gmapfp_zipcode_ville', 1))) {echo '<div class="code_postal"><label>'.JText::_('GMAPFP_CODEPOSTAL').'</label><span itemprop="postalCode">'.$row->codepostal.'</span></div>';};
			echo'</div>';
			break;
		case 1:
			echo'<div class="gmapfp_adresse" itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">';
				echo '<label>'.JText::_('GMAPFP_ADRESSE').'</label>';
				if (($row->codepostal!=null)&&($params->get('gmapfp_zipcode_ville', 1))) {
					$ville = $row->codepostal.'&nbsp;'.$row->ville;
					$pays = $row->pay;
				} else {
					$ville = $row->ville;
					$pays = $row->pay.'&nbsp;'.$row->codepostal;
				}
				if ($row->adresse!=null) {echo '<div class="adresse1" itemprop="streetAddress">'.$row->adresse.'</div>';};
				if ($row->adresse2!=null) {echo '<div class="adresse2" itemprop="streetAddress">'.$row->adresse2.'</div>';};
				if ($ville) {echo '<div class="ville" itemprop="addressLocality">'.$ville.'</div>';};
				if ($row->departement!=null) {echo '<div class="departement">'.$row->departement.'</div>';};
				if ($pays) {echo '<div class="pays" itemprop="addressCountry">'.$pays.'</div>';};
			echo'</div>';
			break;
		case 2:
			echo'<div class="gmapfp_adresse">';
			echo'</div>';
			break;
}

?>