<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.125pro
	* Creation date: Novembre 2020
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('JPATH_BASE') or die;

$params 	= $displayData['params'];
$row 		= $displayData['row'];
$is_article	= $displayData['article'];

$path = JURI::root(false).'images/gmapfp/';
$image = $path.$row->img;
if ($is_article)
	$image_art = $path.'thumbsArt/'.$row->img;
else
	$image_art = $path.'thumbsGMap/'.$row->img;
$largeur_taille1 = 'width:'.$params->get( 'gmapfp_largeur_img_art' ).'px';
$base_icon = 'media/com_gmapfp/images/icons/'.$params->get('gmapfp_icon_folder', 'standard').'/';
$loupe=JURI::base().$base_icon.'recherche.png';

echo '<div class="gmapfp_main_image">'."\n";
if ($row->img!=null) {
	echo '<a class="lightboxgmafp" href="'.$image.'" ><img class="gmapfp-main" src="'.$image_art.'" alt="'.$row->nom.'"/><img class="gmapfp-loupe" src="'.$loupe.'" style="vertical-align: bottom;position:relative;left:-48px;" alt="loupe"/></a>'."\n";
} else {
	echo '<div style="'.$largeur_taille1.'" />&nbsp;</div>'."\n";
}
echo '</div>'."\n";
?>