<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.84pro
	* Creation date: Janvier 2016
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 
JHtml::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');
	
$saveOrder	= @$this->lists['order'] == 'a.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_gmapfp&controller=gestionlieux&task=saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'articleList', 'adminForm', strtolower(@$this->lists['order_Dir']), $saveOrderingUrl);
}

?>
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
</h1>
</div>
<?php endif; ?>

<form action=<?php echo JRoute::_('index.php?option=com_gmapfp&view=gestionlieux&controller=gestionlieux&task=view') ?> method="post" class="gmapfp" name="adminForm" id="adminForm">
<div class="gmapfp" style="height:70px">
<div class="toolbar" id="toolbar"> 
    <table class="toolbar"><tr> 
        <?php if ((($this->params->get('nombre_manage') > $this->total) or ($this->params->get('nombre_manage')=="")) and $this->canDo->get('core.create')) {?>
        <td> 
            <button name="add" class="button_gmapfp" onclick="javascript: submitbutton('add')">
                <span class="icon-32-new" title="<?php echo JText::_( 'GMAPFP_NEW' ); ?>"> 
                </span> 
                <?php echo JText::_( 'GMAPFP_NEW' ); ?>
            </button>
        </td> 
        <?php };?>
        <?php if ($this->canDo->get('core.edit')) {?>
        <td> 
            <button name="edit" class="button_gmapfp" onclick="javascript:if(document.adminForm.boxchecked.value==0){alert('<?php echo JText::_( 'GMAPFP_CHOISIR_DANS_LISTE' ).' '.JText::_( 'JACTION_EDIT' ); ?>'); return false;}else{  submitbutton('edit')}">
                <span class="icon-32-edit" title="<?php echo JText::_( 'JACTION_EDIT' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JACTION_EDIT' ); ?>
            </button>
        </td> 
        <?php };?>
        <?php if ($this->canDo->get('core.edit.state')) {?>
        <td> 
            <button name="publish" class="button_gmapfp" onclick="javascript:if(document.adminForm.boxchecked.value==0){alert('<?php echo JText::_( 'GMAPFP_CHOISIR_DANS_LISTE' ).' '.JText::_( 'JPUBLISHED' ); ?>'); return false;}else{  submitbutton('publish')}">
                <span class="icon-32-publish" title="<?php echo JText::_( 'JPUBLISHED' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JPUBLISHED' ); ?>
            </button>
        </td> 
        <td> 
            <button name="unpublish" class="button_gmapfp" onclick="javascript:if(document.adminForm.boxchecked.value==0){alert('<?php echo JText::_( 'GMAPFP_CHOISIR_DANS_LISTE' ).' '.JText::_( 'JUNPUBLISHED' ); ?>'); return false;}else{  submitbutton('unpublish')}">
                <span class="icon-32-unpublish" title="<?php echo JText::_( 'JUNPUBLISHED' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JUNPUBLISHED' ); ?>
            </button>
        </td> 
        <?php };?>
        <?php if ($this->canDo->get('core.delete')) {?>
        <td> 
            <button name="delete" class="button_gmapfp" onclick="javascript:if(document.adminForm.boxchecked.value==0){alert('<?php echo JText::_( 'GMAPFP_CHOISIR_DANS_LISTE' ).' '.JText::_( 'JACTION_DELETE' ); ?>'); return false;}else{  submitbutton('remove')}">
                <span class="icon-32-delete" title="<?php echo JText::_( 'JACTION_DELETE' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JACTION_DELETE' ); ?>
            </button>
        </td> 
        <?php };?>
    </tr></table> 
</div>
</div>
	<table  class="adminform">
		<tr>
			<td nowrap="nowrap">
				<?php echo JText::_( 'JSEARCH_FILTER_LABEL' ); ?>:
				<input type="text" name="search" id="search_gmapfp" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button class="button" onclick="this.form.submit();"><?php echo JText::_( 'JSEARCH_FILTER_SUBMIT' ); ?></button>
				<button class="button" onclick="document.getElementById('search_gmapfp').value='';
                	<?php if (!$this->params->get('choix_ville', 0)) { ?>
                        this.form.getElementById('filtreville').value='0';
                	<?php } ?>
					<?php if (!$this->params->get('choix_dep', 0)) { ?>
                        this.form.getElementById('filtredepartement').value='0';
                	<?php } ?>
                	<?php if (!$this->params->get('choix_pays', 0)) { ?>
                        this.form.getElementById('filtrepays').value='0';
                	<?php } ?>
                        this.form.getElementById('filtrecategorie').value='0';
		                this.form.submit();"><?php echo JText::_( 'JSEARCH_FILTER_CLEAR' ); ?></button>
			</td>
			<td>
				<?php
				if (!$this->params->get('choix_pays', 0)) { echo $this->lists['pays'];};
				if (!$this->params->get('choix_dep', 0)) { echo $this->lists['departement'];};
				if (!$this->params->get('choix_ville', 0)) { echo $this->lists['ville'];};
				echo $this->lists['categorie'];
				?>
			</td>
		</tr>
	</table>
<div id="editcell">
	<table class="table table-striped" id="articleList">
	<thead>
		<tr>
			<th width="20">
				<?php echo JText::_( '#' ); ?>
			</th>
			<th width="1%" class="nowrap center hidden-phone">
				<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', @$this->lists['order_Dir'], @$this->lists['order'], null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
			</th>
			<th width="5%" align="center">
				<?php echo JHTML::_('grid.sort',   'JSTATUS', 'published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  width="30%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<?php if (!$this->params->get('choix_ville', 0)) {
				echo '<th  width="30%" nowrap="nowrap">';
					echo JHTML::_('grid.sort',   'GMAPFP_VILLE', 'ville', @$this->lists['order_Dir'], @$this->lists['order'] );
				echo '</th>';
			} ?>
			<?php if (!$this->params->get('choix_dep', 0)) {
				echo '<th  width="20%" nowrap="nowrap">';
					echo JHTML::_('grid.sort',   'GMAPFP_DEPARTEMENT', 'departement', @$this->lists['order_Dir'], @$this->lists['order'] );
				echo '</th>';
			} ?>
			<?php if (!$this->params->get('choix_pays', 0)){
				echo '<th  width="20%" nowrap="nowrap">';
					echo JHTML::_('grid.sort',   'GMAPFP_PAYS', 'pay', @$this->lists['order_Dir'], @$this->lists['order'] );
				echo '</th>';
			} ?>
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'JGRID_HEADING_ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<?php
//die(print_r($this->pagination));
	for ($i = $this->pagination->limitstart; $i < ($this->pagination->limitstart + $this->pagination->limit); $i++)
	{
		if ($i >= $this->total) : break; endif;
		$row = &$this->items[$i];
		$published	= JHtml::_('jgrid.published', $row->published, $i, '', $this->canDo->get('core.edit.state'), 'cb', $row->publish_up, $row->publish_down);
		$checked 	= JHtml::_('grid.id',   $i, $row->id );
		$link 		= JRoute::_( 'index.php?option=com_gmapfp&controller=gestionlieux&task=edit&cid='. $row->id.':'.$row->alias);

		?>
		<tr class="<?php echo "row$i"; ?>">
			<td>
				<?php echo ($i + 1); ?>
			</td>
            <td class="order nowrap center hidden-phone">
            <?php
                $disableClassName = '';
                $disabledLabel	  = '';

                if (!$saveOrder) :
                    $disabledLabel    = JText::_('JORDERINGDISABLED');
                    $disableClassName = 'inactive tip-top';
                endif; ?>
                <span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
                    <i class="icon-menu"></i>
                </span>
                <input type="text" style="display:none" name="order[]" size="5" value="<?php echo $row->ordering;?>" class="width-20 text-area-order " />
            </td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td class="publish" align="center">
				<?php echo $published;?>
			</td>
			<td>
				<?php if ($row->checked_out) {?>
                    <?php echo JHtml::_('jgrid.checkedout', $i, $row->editor, $row->checked_out_time, '', $this->canDo->get('core.manage'));?>
                <?php } ?>
            	<?php if ($this->canDo->get('core.edit') || $this->canDo->get('core.edit.own')) {?>
					<a href="<?php echo $link; ?>"><?php echo $row->nom; ?></a>
                <?php } else {
					echo $row->nom;
				} ?>
				<div class="small"><?php 
					$catids = explode(',', $row->catid);
					$cat_title = array();
					foreach ($catids as $catid) {
						$cat_title[] = $this->categories[$catid]->title;
					}
					echo implode(', ', $cat_title); 
				?></div>
			</td>
			<?php if (!$this->params->get('choix_ville', 0)) {
            	echo '<td>';
					echo $row->ville;
				echo '</td>';
			} ?>
			<?php if (!$this->params->get('choix_dep', 0)) {
            	echo '<td>';
					echo $row->departement;
				echo '</td>';
			} ?>
			<?php if (!$this->params->get('choix_pays', 0)){
            	echo '<td>';
					echo $row->pay;
				echo '</td>';
			} ?>
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
	}
	?>
    </table>
        <div class="pagination">
                    <?php echo $this->pagination->getLimitBox(); ?>
                    <?php echo $this->pagination->getPagesLinks(); ?>
                    <?php echo $this->pagination->getPagesCounter(); ?>
        </div>
<?php if ($this->params->get('gmapfp_licence')) : ?>
    <div class="copyright" align="center">
        <br />
        <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
    </div>
<?php endif; ?>
</div>
<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="task" value="view" />
<input type="hidden" name="controller" value="gestionlieux" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
