<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.118pro
	* Creation date: Aot 2018
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 


$mainframe = JFactory::getApplication(); 

$document   = JFactory::getDocument();

foreach ($this->lieux as $lieu) { 

// insertion du lien canonique pour viter l'indexation par les robbots des lien comporant le "tmpl=component"
    $link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&map_id='.$lieu->slug, false);
    $document->addCustomTag( '<link rel="canonical" href="'.$link.'" />');

	if ($lieu->metadesc) {
        $this->document->setDescription( $lieu->metadesc );
    }
    if ($lieu->metakey) {
        $this->document->setMetadata('keywords', $lieu->metakey);
    }
    if ($mainframe->getCfg('MetaTitle') == '1') {
		$catids = explode(',', $lieu->catid);
		$cat_title = array();
		foreach ($catids as $catid) {
			$cat_title[] = $this->categories[$catid]->title;
		}
		$this->document->setTitle(@$lieu->ville.' : '.$lieu->nom.' ('.implode(', ', $cat_title).')');
    }
?>
    <!--debut article GMapFP-->
	<div class="gmapfp">
    	<?php
			$this->lieu = $this->getItem(0, $this->params);
			$this->champs = $this->getChamps(0); 

			// Ajout des vnements
			$this->lieu->event = new stdClass;
			$offset = 0;
			$results = $dispatcher->trigger('onGMapFPAfterIcon', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
			$this->lieu->event->afterDisplayIcon = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onGMapFPAfterTitle', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
			$this->lieu->event->afterDisplayTitle = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onGMapFPBeforeDisplay', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
			$this->lieu->event->beforeDisplayContent = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onGMapFPAfterDisplay', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
			$this->lieu->event->afterDisplayContent = trim(implode("\n", $results));

			//affichage du dtail d'un lieu
			$template = '';
			if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template_article').'_article.php'))) {
				$template = '_'.$this->params->get('gmapfp_template_article');
			}			
			$this->_layout='tmpl'.$template;
			echo JViewLegacy::Display('article');
			$this->_layout='default';
			
			echo $this->getChampsHtml(5);
			//insertion de JComments
			$jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
			if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
				require_once($jcomments);
				echo '<div style="clear: both;">';
				echo JComments::showComments($lieu->id, 'com_gmapfp', $lieu->nom);
				echo '</div>';
			}
		?>
	</div>
    <!--fin article GMapFP-->
	<?php
};
 ?>
