<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.127pro
	* Creation date: Avril 2021
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$base_icon = 'media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder').'/';
$gallery=JURI::base().$base_icon.'gallery.png';
$clock=JURI::base().$base_icon.'clock_32.png';
$globe=JURI::base().$base_icon.'globe_32.png';
$msg=JURI::base().$base_icon.'xfmail.png';
$itemrating=JURI::base().$base_icon.'item_rating.png';
$printer=JURI::base().$base_icon.'printer.png';
$call=JURI::base().$base_icon.'call.png';
$www=JURI::base().$base_icon.'www.png';

if (!isset($icons) or empty($icons))
	$icons =array('gallery','hp','map','jcomment','itemrating','print','msg','link','all', 'call', 'www');

?>
<div class="gmapfp_icon">
<?php
	//icon galerie photo
	if ($this->params->get('show_gallery_icon', true)==1 and (in_array('gallery', $icons) or in_array('all', $icons))) {
		$files = array();
		if (JFolder::exists(COM_GMAPFP_IMAGES_FOLDER."/GA".$row->id)) $files = JFolder::files(COM_GMAPFP_IMAGES_FOLDER."/GA".$row->id);
		if (count($files) > 1) {
			$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=gallery_item&map_id='.$row->id.'&Itemid='.$itemid);
			if ($this->params->get('gmapfp_fancybox', 0))
				echo ' <a class="gmapfp_modal_frame gmapfp_gallery" rel="{size: {x: gmapfp_lb_width_gallery , y: gmapfp_lb_height_gallery}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'"  title="'.JText::_('GMAPFP_GALERIE').'"><img alt="'.JText::_('GMAPFP_GALERIE').'" src='.$gallery.' /></a>&nbsp;&nbsp;&nbsp; ';
			else
				echo ' <a data-type="iframe" data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' class="gmapfp_modal_frame gmapfp_gallery" href="'.$link.'"  title="'.JText::_('GMAPFP_GALERIE').'"><img alt="'.JText::_('GMAPFP_GALERIE').'" src='.$gallery.' /></a>&nbsp;&nbsp;&nbsp; ';
		}
	};
	//icon horaire et prix
	if (($row->horaires_prix!=null)&&($this->params->get('gmapfp_afficher_horaires_prix')==1) and (in_array('hp', $icons) or in_array('all', $icons))) {
		if ($this->custom[11]->nom) {
			$h_p = $this->custom[11]->nom;
		}else{
			$h_p = JText::_('GMAPFP_HORAIRES_PRIX');
		}
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=horaires_item&map_id='.$row->id.'&Itemid='.$itemid);
		if ($this->params->get('gmapfp_fancybox', 0))
			echo ' <a class="gmapfp_modal_frame gmapfp_hp" rel="{size: {x: gmapfp_lb_width_h_p, y: gmapfp_lb_height_h_p}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'"  title="'.$h_p.'"><img alt="'.$h_p.'" src='.$clock.' /></a>&nbsp;&nbsp;&nbsp; ';
		else
			echo ' <a data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' class="gmapfp_modal_frame gmapfp_hp"  href="'.$link.'"  title="'.$h_p.'"><img alt="'.$h_p.'" src='.$clock.' /></a>&nbsp;&nbsp;&nbsp; ';
	};
	
	if ($this->params->get( 'show_map_icon' ) and ($row->glat) and ($row->glng) and (in_array('map', $icons) or in_array('all', $icons))) {
		//icon carte
		$link = JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=item_carte&flag=1&map_id='.$row->id.'&Itemid='.$itemid);
		if ($this->params->get('gmapfp_fancybox', 0))
			echo '<a class="gmapfp_modal_frame" rel="{size: {x: gmapfp_lb_width_map, y: gmapfp_lb_height_map}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'"  title="'.JText::_('GMAPFP_CARTE').'"><img alt="'.JText::_('GMAPFP_CARTE').'" src='.$globe.' /></a>&nbsp;&nbsp;&nbsp;';
		else
			echo '<a data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\'  class="gmapfp_modal_frame gmapfp_carte"  href="'.$link.'"  title="'.JText::_('GMAPFP_CARTE').'"><img alt="'.JText::_('GMAPFP_CARTE').'" src='.$globe.' /></a>&nbsp;&nbsp;&nbsp;';
	}
	
	// insertion de l'icon JComments
	$jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
	if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments')) and (in_array('jcomment', $icons) or in_array('all', $icons))) {
		$icon_jcomment=JURI::base().'administrator/components/com_jcomments/assets/icon-48-jcomments.png';
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=jcomment_item&map_id='.$row->id.'&Itemid='.$itemid);
		if ($this->params->get('gmapfp_fancybox', 0))
			echo '<a class="gmapfp_modal_frame" rel="{size: {x:gmapfp_lb_width_itemrating, y:gmapfp_lb_height_itemrating}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'"  title="'.JText::_('GMAPFP_JCOMMENT').'"><img alt="'.JText::_('GMAPFP_JCOMMENT').'" src='.$icon_jcomment.' /></a>';
		else
			echo '<a data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\'  class="gmapfp_modal_frame gmapfp_jc"  href="'.$link.'"  title="'.JText::_('GMAPFP_JCOMMENT').'"><img alt="'.JText::_('GMAPFP_JCOMMENT').'" src='.$icon_jcomment.' /></a>';
		require_once($jcomments);
		echo JComments::getCommentsCount($row->id, 'com_gmapfp');
	}
	// insertion de l'icon Item Rating
	$itemrating_file =  JPATH_SITE.'/components/com_itemrating/itemrating.php';
	if ((file_exists($itemrating_file))and($this->params->get('gmapfp_itemrating_icon', 1)) and (in_array('itemrating', $icons) or in_array('all', $icons))) {
		require_once JPATH_SITE . '/components/com_itemrating/helpers/itemrating.php';
		$rating = ItemratingHelper::getRating("com_gmapfp", $row->id, 1);
		$note = json_decode($rating->rating_count);
		if ($note->rating <= 33) $color = "red";
		if ($note->rating >= 66) $color = "lime";
		if (33 < $note->rating and $note->rating < 66) $color = "orange";

		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=item_ratingitem&map_id='.$row->id.'&Itemid='.$itemid);
		if ($this->params->get('gmapfp_fancybox', 0))
			echo ' <a class="gmapfp_modal_frame" rel="{size: {x:gmapfp_lb_width_itemrating, y:gmapfp_lb_height_itemrating}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'"  title="'.JText::sprintf('GMAPFP_ITEMRATINGNOTE', $note->rating).'">';
		else
			echo ' <a data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' class="gmapfp_modal_frame gmapfp_ir"  href="'.$link.'"  title="'.JText::sprintf('GMAPFP_ITEMRATINGNOTE', $note->rating).'">';
			echo '<div class="itemrating_img">';
				echo '<div class="progress_rating" style="width:'.$note->rating.'%; background-color:'.$color.';"></div>';
				echo '<img src='.$itemrating.' />';
			echo '</div>';
		echo '</a>&nbsp;&nbsp;&nbsp; ';
	}
	
	//icon impression
	if ( $this->params->get( 'show_print_icon' ) and (in_array('print', $icons) or in_array('all', $icons))) {
		echo '<a href="javascript:void(0)" title="'.JText::_('GMAPFP_IMPRIMER').'" onclick="Print_GMapFP_lieu(\''.$this->num.'\', '.$itemid.', '.$row->id.')"><img src='.$printer.' /></a>&nbsp;&nbsp;&nbsp;';
	}
	//icon email
	if (($row->email!=null)and($this->params->get('gmapfp_msg')==1) and (in_array('msg', $icons) or in_array('all', $icons))) {
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=item_msg&flag=1&map_id='.$row->id.'&Itemid='.$itemid);
		if ($this->params->get('gmapfp_fancybox', 0))
			echo '<a href="'.$link.'" class="gmapfp_modal_frame" rel="{size: {x:gmapfp_lb_width_msg, y:gmapfp_lb_height_msg}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" title="'.JText::_('GMAPFP_DISPLAY_MSG').'"><img alt="'.JText::_('GMAPFP_DISPLAY_MSG').'" src='.$msg.' /></a>&nbsp;&nbsp;&nbsp;';
		else
			echo '<a href="'.$link.'" data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' class="gmapfp_modal_frame gmapfp_email"  title="'.JText::_('GMAPFP_DISPLAY_MSG').'"><img alt="'.JText::_('GMAPFP_DISPLAY_MSG').'" src='.$msg.' /></a>&nbsp;&nbsp;&nbsp;';
	};
	//icon www
	if (($row->web!=null)and($this->params->get('show_www_icon')==1) and (in_array('www', $icons) or in_array('all', $icons))) {
		$link = $row->web;
		if(substr($link,0,2)=='//') $link = 'http:'.$link;
		if(substr($link,0,4)!='http') $link = 'http://'.$link;
		echo '<a href="'.$link.'" target="_blank" class="gmapfp_www"  title="'.JText::_('GMAPFP_DISPLAY_WWW').'"><img alt="'.JText::_('GMAPFP_DISPLAY_WWW').'" src='.$www.' /></a>&nbsp;&nbsp;&nbsp;';
	};
	//icon call
	if ($this->params->get('show_call_icon')) {
		$fieds_id = explode(',', $this->params->get('show_call_icon'));
		$phone_number = '';
		foreach ($fieds_id as $fied_id) {
			$field_name = 'field_'.($fied_id);
			if (!empty($row->$field_name))
				$phone_number = $row->$field_name;
		}
		
		if (!empty($phone_number) and (in_array('call', $icons) or in_array('all', $icons))) {
			echo '<a href="tel:'.$phone_number.'" class="gmapfp_call"  title="'.JText::_('GMAPFP_DISPLAY_CALL').'"><img alt="'.JText::_('GMAPFP_DISPLAY_CALL').'" src='.$call.' /></a>&nbsp;&nbsp;&nbsp;';
		};
	}

	if (in_array('link', $icons) or in_array('all', $icons)) {
		//icon lien exterieur
		$link4=substr($row->link,0,4);
		$link5=substr($row->link,0,5);
		$link9=substr($row->link,0,9);
		$link10=substr($row->link,0,10);
		$linkok=0;
		if ((!empty($row->icon))||(!$row->icon='')) {
			if (($row->article_slug>=1)&&($row->link)) {
				require_once JPATH_SITE . '/components/com_content/helpers/route.php';
				$linkmap=JRoute::_(ContentHelperRoute::getArticleRoute($row->article_slug, $row->article_id.':'.$row->article_alias, 0));
				$linkmap .= '?&tmpl=component';
				$linkok=1;
			};
			if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
				$linkmap=$row->link;
				if ($link4=="www.") {$linkmap="http://".$linkmap;};
				if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
				$linkok=1;
			};
			$icon=JURI::base().'/images/gmapfp/icons/'.$row->icon;
		};
		if (($linkok)&&($row->icon<>'')) {
			if ($this->params->get('gmapfp_fancybox', 0))
				echo '<a href="'.$linkmap.'" class="gmapfp_modal_frame" rel="{size: {x: gmapfp_lb_width_link, y: gmapfp_lb_height_link}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" title="'.$row->icon_label.'"><img alt="'.$row->icon_label.'" src='.$icon.' /></a>&nbsp;&nbsp;&nbsp;';
			else
				echo '<a href="'.$linkmap.'" data-type="iframe"  data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' class="gmapfp_modal_frame gmapfp_el"  title="'.$row->icon_label.'"><img alt="'.$row->icon_label.'" src='.$icon.' /></a>&nbsp;&nbsp;&nbsp;';
		};
	}
	echo $row->event->afterDisplayIcon;
	?>
</div>
