<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.116pro
	* Creation date: Juin 2018
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

// Load language com_content
$lang = JFactory::getLanguage();
$lang->load('com_content', JPATH_BASE, null, false, true);

$row->created_by_alias = "";
$displayData['item'] = $row;
if ((($row->author!=null)&&($this->params->get('show_author')==1)) or $this->params->get('show_publish_date') or $this->params->get('show_create_date') or $this->params->get('show_modify_date') or $this->params->get('show_hit')) {
	?>
	<div class="gmapfp_auto_height_detail">
		<dl class="article-info muted">
			<dt class="article-info-term">
				<?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?>
			</dt>
			<?php 
				if ($this->params->get('show_create_date')) :
					echo JLayoutHelper::render('joomla.content.info_block.create_date', $displayData);
				endif;
				if ($this->params->get('show_modify_date')) :
					echo JLayoutHelper::render('joomla.content.info_block.modify_date', $displayData);
				endif;
				if ($this->params->get('show_publish_date')) :
					echo JLayoutHelper::render('joomla.content.info_block.publish_date', $displayData);
				endif;
				if (($row->author!=null)&&($this->params->get('show_author')==1)) :
					echo JLayoutHelper::render('joomla.content.info_block.author', $displayData);
				endif;
				if ($this->params->get('show_hit')) :
					echo JLayoutHelper::render('joomla.content.info_block.hits', $displayData);
				endif;
			?>
		</dl>
	</div>
	<?php
}