<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 
		
$dispatcher	= JEventDispatcher::getInstance();

echo '<div class="gmapfp" id="gmapfp_article">';

	$document   = JFactory::getDocument();
	$pane 		= JPane::getInstance();

	foreach ($this->lieux as $lieu) { 
	// insertion du lien canonique pour viter l'indexation par les robbots des lien comporant le "tmpl=component"
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&map_id='.$lieu->slug, false);
		$document->addCustomTag( '<link rel="canonical" href="'.$link.'" />');
		
		$this->lieu =& $this->getItem(0, $this->params);
		$this->champs =& $this->getChamps(0); 

		$this->path = COM_GMAPFP_IMAGES_FOLDER."/GA".$lieu->id;
		$this->path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id.'/';
		$this->path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id."/thumbs/";

		if ($lieu->metadesc) {
			$document->setDescription( $lieu->metadesc );
		}
		if ($lieu->metakey) {
			$document->setMetadata('keywords', $lieu->metakey);
		}
		$document->setTitle(@$lieu->ville.' : '.$lieu->nom.' ('.$lieu->title.')');
		$mdata = new JParameter($this->lieu->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}
	?>
		<div id="enregistrement">
			<?php
					//affichage du dtail d'un lieu
					$template = '';
					if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template_article').'_article.php'))) {
						$template = '_'.$this->params->get('gmapfp_template_article');
					}			
					$this->_layout='tmpl'.$template;
					echo JView::Display('article');
					$this->_layout='default';

			?>
		</div>
	<?php       
		//description
		if ($this->lieu->introtext!=null) {
			if ($this->custom[10]->nom) {
				$h_p = $this->custom[10]->nom;
			}else{
				$h_p = JText::_('GMAPFP_MESSAGE');
			}
				echo "<div>";
					if ($this->params->get('gmapfp_afficher_intro_italique')==1) { ?>
						<span><em><?php echo JHtml::_('content.prepare', $this->lieu->introtext); ?></em><?php echo JHtml::_('content.prepare', $this->lieu->fulltext); ?></span><?php ;
					} else { ?>
						<span><?php echo JHtml::_('content.prepare', $this->lieu->introtext); echo JHtml::_('content.prepare', $this->lieu->fulltext); ?></span><?php ;
					}
				echo "</div>";
		}
		//horaires et prix
		if (($this->lieu->horaires_prix!=null)&&($this->lieu->params->get('gmapfp_afficher_horaires_prix_onglet')==1)) {
			if ($this->custom[11]->nom) {
				$h_p = $this->custom[11]->nom;
			}else{
				$h_p = JText::_('GMAPFP_HORAIRES_PRIX');
			}
				echo "<div>";
					echo JHtml::_('content.prepare', $this->lieu->horaires_prix);
				echo "</div>";
		}
		//champ custom
		echo $this->getChampsHtml(5, true);
		//recherche les photos de la galerie
		if ($this->params->get('show_gallery_onlet')) {
			$this->setLayout('item_galerie_v'.$this->lieu->params->get('gmapfp_num_galerie', 3));
			echo $this->loadTemplate();
		}
		// require(JPATH_SITE.DS.'components/com_gmapfp/views/gmapfp/tmpl/item_galerie_v'.$this->lieu->params->get('gmapfp_num_galerie', 2).'.php');
		//email
		if (($this->lieu->email!=null)and($this->params->get('gmapfp_msg_onglet')==1)) {
				echo "<div>";
				$this->_layout='item';
				echo JView::Display('msg');
				$this->_layout='default';
				echo "</div>";
		}
		//insertion du lien externe
		$link4=substr($this->lieu->link,0,4);
		$link5=substr($this->lieu->link,0,5);
		$link9=substr($this->lieu->link,0,9);
		$link10=substr($this->lieu->link,0,10);
		$linkok=0;
		if ((!empty($this->lieu->icon))||(!$this->lieu->icon='')) {
			if ($this->lieu->article_slug >= 1) {
				$linkok=2;
			};
			if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
				$linkmap=$this->lieu->link;
				if ($link4=="www.") {$linkmap="http://".$linkmap;};
				if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
				$linkok=1;
			};
		};
		if ($linkok&&($this->lieu->icon <> '')) {
			if (!$this->lieu->icon_label) {
				$label = $this->lieu->icon;
			}else{
				$label = $this->lieu->icon_label;
			}
				if ($linkok == 1) {
					echo "<iframe src='".$linkmap."'><a href='".$linkmap."'>SELFHTML</a></iframe>";
				} else {
					echo "<div>".$this->lieu->article_text."</div>";
				};
		}

		//insertion de JComments
		  $jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
		  if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
			require_once($jcomments);
				echo '<div style="clear: both;">';
				echo JComments::showComments($lieu->id, 'com_gmapfp', $lieu->nom);
				echo '</div>';
		  }
		//carte
		if ($this->lieu->params->get('show_map_onglet')==1 and $this->lieu->glat!='' and $this->lieu->glng!='') {
				echo '<div id="mapmap">';
				echo $this->map;
				echo '</div>';
		}

	};
?>
</div>
