<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.118pro
	* Creation date: Juillet 2018
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

//Calcul de l'adresse SEF du lien
if(!class_exists('GMapFPHelperRoute')) require_once (JPATH_SITE . '/components/com_gmapfp/helpers/route.php');
switch ($this->params->get('target', 4))
{
	case 1:
		// open in parent avec navigation
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($row->slug, $row->catid), false);
		$a='<a href="'.$link.'"  target="_parent" class="gmapfp_article_link ';
		break;
	case 2:
		// open in nouvelle fentre avec barre de navigation
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($row->slug, $row->catid), false);
		$a='<a href="'.$link.'"  target="_blank" class="gmapfp_article_link ';
		break;
	case 3:
		// open in a popup window
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($row->slug, $row->catid), false);
		$a='<a href=# onclick="window.open(\''.$link.'\', \'\', \'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width='.$this->params->get('gmapfp_largeur_lightbox', 1200).',height='.$this->params->get('gmapfp_hauteur_lightbox', 800).'\')" class="gmapfp_article_link ';
		break;
	default:
		// open in lightbox fancybox
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($row->slug, $row->catid).'&tmpl=component', false);
		if ($this->params->get('gmapfp_fancybox', 0))
			$a='<a rel="{size: {x: gmapfp_largeur_lightbox, y: gmapfp_hauteur_lightbox}, handler:\'iframe\', classWindow: \'gmapfp_modal_windows\', classOverlay: \'gmapfp_modal_windows_overlay\'}" href="'.$link.'" class="gmapfp_article_link gmapfp_modal_frame ';
		else
			$a='<a data-type="iframe" data-options=\'{"type" : "iframe", "iframe" : {"preload" : false}}\' href="'.$link.'" class="gmapfp_modal_frame gmapfp_article_link ';
		break;
}
