<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 
$document	= JFactory::getDocument();
$document->addCustomTag( '<link rel="stylesheet" href="media/com_gmapfp/css/gmapfp_print.css" type="text/css" />'); 
$document->addCustomTag( '<meta name="ROBOTS" content="NOINDEX,NOFOLLOW"/>'); 
$config = JComponentHelper::getParams('com_gmapfp'); 
$path = JUri::root(false).'images/gmapfp/';
$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$uri = JURI::getInstance();
$baseUrl = $uri->toString( array('scheme', 'host', 'port'));

?>
<div  id="gmapfp_print" class="gmapfp">
	<div  class="map" style="width: 700px !important;">
	<?php 
		echo $this->map['map'];
		if ($this->map['iti']) {
			echo '<legend class="gmnoprint" style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
			echo $this->map['iti']; 
		}
	?>
	</div>
<?php
foreach ($this->lieux as $this->lieu) {	
	$this->champs =& $this->getChamps(0);
	$this->path = COM_GMAPFP_IMAGES_FOLDER."/GA".$this->lieu->id;
	$this->path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$this->lieu->id.'/';
	$this->path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$this->lieu->id."/thumbs/";

?>
	<div class="lieu_gmapfp" style="clear: both;">
        <?php
		if(!class_exists('GMapFPHelperRoute')) require_once (JPATH_SITE . '/components/com_gmapfp/helpers/route.php');
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($this->lieu->slug), false);
		echo '<div class="gmapfp_print_link">'.$baseUrl.$link.'</div>';
		echo JLayoutHelper::render('classements', array('params' => $this->params, 'row' => $this->lieu, 'lists' => $this->lists));
		?>
    	<h2><?php echo $this->lieu->nom; ?></h1>
        <h4>(<?php 
			$catids = explode(',', $this->lieu->catid);
			$cat_title = array();
			foreach ($catids as $catid) {
				$cat_title[] = $this->categories[$catid]->title;
			}
			echo implode(', ', $cat_title); 
		?>)</h4><br />
		<div class="main_image" style="float:left; padding-left:10px;">
			<?php
				if ($this->lieu->img!=null) { 
					$image=JUri::base(true).'/images/gmapfp/thumbsGMap/'.$this->lieu->img;
					echo '<img src="'.$image.'" alt="'.$this->lieu->img.'" />';
				}
			?> 
			
        </div>
        <div class="infos" style="float:left; padding-left:10px;">
            <?php
				echo $this->getChampsHtml(0);
				echo JLayoutHelper::render('adresse', array('params' => $this->params, 'row' => $this->lieu));
				echo $this->getChampsHtml(1);
				echo $this->getChampsHtml(2);
				if ($this->lieu->email!=null) {
					echo '<label>'.JText::_('GMAPFP_EMAIL').'</label><span>'.$this->lieu->email .'</span><br />';
				};
				echo JLayoutHelper::render('site_web', array('params' => $this->params, 'row' => $this->lieu));
				echo $this->getChampsHtml(3);
			?>
		</div>
        <div class="gmapfp_article" style="float:left; padding-left:10px;">
        <?php
			echo $this->getChampsHtml(4);
			echo $this->lieu->introtext; echo $this->lieu->fulltext; ?>
		</div>
        <?php 
		if ($this->lieu->horaires_prix!=null) {?><div id="horaires"><label><?php if ($this->custom[11]->nom) {echo $this->custom[11]->nom;} else {echo JText::_('GMAPFP_HORAIRES_PRIX');};?> </label><br /><span><?php echo $this->lieu->horaires_prix;?></span></div> <?php };
	echo "</div>";	
}; ?>
</div>