<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$app		= JFactory::getApplication(); 
$layout		= $app->input->get('layout', '', '', 'str');
$view		= $app->input->get('view', '', '', 'str');
$itemid		= $app->input->get('Itemid', 0, 'int');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));

$row	= $this->lieu;
$champs = $this->champs;

$largeur_taille1 = 'width:'.$this->params->get( 'gmapfp_largeur_img_art' ).'px';
if (!$is_article){
	$largeur_taille1 = 'width:'.$this->params->get( 'gmapfp_largeur_img' ).'px';
}
$titre = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_titre_article.php';

//fonction pour execution des plugins dans la personnalisation
JPluginHelper::importPlugin('content'); 

?>
<div id="gmapfp_article<?php echo $row->id;?>" class="gmapfp gmapfp_table<?php echo $this->params->get('pageclass_sfx');?>">
	<?php include $titre; ?>
	<div class="gmapfp_detail">
		<?php 
		//affichage de l'image principale si non réaffectée
		if (!$is_article or ($is_article and !array_search(28, array_column($this->champs, 'type')))) {
			echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
		}
		if ($is_article) {
			echo '<div class="gmapfp_taille" style="display:inline-block;">'."\n";
		} else {
			echo '<div class="gmapfp_taille_all" style="display:inline-block;">'."\n";
		}
			echo '<div class="gmapfp_champs1" style="display:inline-block;">';
				if (!array_search(33, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				if ($is_article) {
					echo $this->getChampsHtml(0);
					if (!array_search(31, array_column($this->champs, 'type'))) {
						echo JLayoutHelper::render('adresse', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
					}
					echo $this->getChampsHtml(1);
					if (!array_search(32, array_column($this->champs, 'type'))) {
						echo JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
					}
				} else {
					echo $this->getChampsHtml(0);
					if ($row->ville!=null) echo '<span class="gmapfp_label_line"><label>'.JText::_('GMAPFP_VILLE').'</label><span itemprop="addressLocality">'.$row->ville.'</span></span> '."\n";
					if ($row->departement!=null) echo '<span class="gmapfp_label_line"><label>'.JText::_('GMAPFP_DEPARTEMENT').'</label><span itemprop="addressRegion">'.$row->departement.'</span> </span>'."\n";
					if ($row->pay!=null) echo '<span class="gmapfp_label_line"><label>'.JText::_('GMAPFP_PAYS').'</label><span itemprop="addressCountry">'.$row->pay.'</span></span>'."\n";
					echo '<br />'."\n";
					echo JLayoutHelper::render('picto', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
			echo '</div>'."\n";
			if ($is_article) {
				echo '<div class="gmapfp_champs2" style="display:inline-block;">'."\n";
					echo $this->getChampsHtml(2);
					if (!array_search(30, array_column($this->champs, 'type'))) {
						echo JLayoutHelper::render('main_email', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
					}
					if (!array_search(35, array_column($this->champs, 'type'))) {
						echo JLayoutHelper::render('site_web', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
					}
					echo $this->getChampsHtml(3);
				echo '</div>'."\n";
			};
		echo '</div>'."\n";
		?>
	</div>
	<?php echo $row->event->beforeDisplayContent; ?>
	<div class="gmapfp_article">
		<?php
		if (!$is_article) {
			if ($row->introtext!=null) {
				if ($this->custom[10]->nom) {
					echo '<label>'.$this->custom[10]->nom;
				}else{
					echo '<label>'.JText::_('GMAPFP_MESSAGE');
				}
				echo '</label><span itemprop="description">'.JHtml::_('content.prepare', $row->introtext).'</span>';
			};
			if ($row->fulltext!=null) {
				echo '<p class="readmore">';
				echo $a.' btn">'.'<span class="icon-chevron-right"></span>'.JText::_('GMAPFP_LIRE_SUITE').'</a>';
				echo '</p>';
			};
		}else{
			echo $this->getChampsHtml(4);
			//affiche le champ description si non réaffecté
			if (!array_search(29, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('description', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
		}
		?>
	</div>
</div>
<?php if (!$is_article) echo $row->event->afterDisplayContent; ?>
<div class="clearboth article_separator">&nbsp;</div>
