<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$layout = JRequest::getVar('layout', '', '', 'str');
$view	= JRequest::getVar('view', '', '', 'str');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));

$row	= $this->lieu;
$champs = $this->champs;

$titre = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_titre_article.php';

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<div id="gmapfp_article" class="gmapfp gmapfp_table<?php echo $this->params->get('pageclass_sfx');?>">
	<?php include $titre; ?>
	<div class="gmapfp_detail">
		<?php 
			echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
		?>
		<?php echo $row->event->beforeDisplayContent; ?>
		<div class="gmapfp_article" style="display:inline-block;">
			<?php
			if ($row->introtext!=null) {
				$article = new stdClass();
				$article->text = $row->introtext; 
				$results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp',& $article, & $this->params, 0)); 
				echo '</label><span>'.$article->text.'</span>';
			};
			if ($row->fulltext!=null) {
				echo '<p class="readmore">';
				echo $a.' btn">'.'<span class="icon-chevron-right"></span>'.JText::_('GMAPFP_LIRE_SUITE').'</a>';
				echo '</p>';
			};
			?>
		</div>
	</div>
</div>
<?php echo $row->event->afterDisplayContent; ?>
<div class="clearboth article_separator">&nbsp;</div>
