<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 
$dispatcher	= JDispatcher::getInstance();

$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$layout = JRequest::getVar('layout', '', '', 'str');
$view	= JRequest::getVar('view', '', '', 'str');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));

$row	= $this->lieu;
$champs = $this->champs;

$hauteur_taille2 = $this->params->get( 'gmapfp_hauteur_img_art' );
$largeur_taille1 = 'width:'.($this->params->get( 'gmapfp_largeur_img_art' )+48).'px';
$base_icon = 'media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder', 'standard').'/';
if (!$is_article){
	$clock=JURI::base().$base_icon.'clock_32.png';
	$globe=JURI::base().$base_icon.'globe_32.png';
	$msg=JURI::base().$base_icon.'xfmail.png';
	$hauteur_taille2 = $this->params->get( 'gmapfp_hauteur_img' );
	$largeur_taille1 = 'width:126px';
}
$printer=JURI::base().$base_icon.'printer.png';

$titre = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_titre_article.php';

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<table id="gmapfp_article" class="blog<?php echo $this->params->get('pageclass_sfx');?> gmapfp" cellpadding="0" cellspacing="0">
    <tr>
        <td valign="top">
                <table class="gmapfp_detail">
                    <tr>
                        <td class="gmapfp_largeur_titre">
							<?php include $titre; ?>
						</td>
                        <?php
                            //si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
                            if ( $this->params->get( 'show_category' )) {
                                if (($layout!='categorie')) {
									$catids = explode(',', $row->catid);
									$cat_title = array();
									foreach ($catids as $catid) {
										$cat_title[] = $this->categories[$catid]->title;
									}
                                    echo '<td><h4>('.implode(', ', $cat_title).')</h4></td><br>';
                                };
                            }
						//affichage des icon
						echo '<td class="gmapfp_icon" align="right">';
						//icon impression
					    if ( $this->params->get( 'show_print_icon' )) {
							echo '<a href="javascript:void(0)" title="'.JText::_('GMAPFP_IMPRIMER').'" onclick="Print_GMapFP_lieu(\''.$this->num.'\', '.JRequest::getVar('Itemid', 0, '', 'int').', '.$row->id.')"><img src='.$printer.' /></a>&nbsp;&nbsp;&nbsp;';
						}
						?>
                        </td>
                    </tr>
                </table>
            <table class="gmapfp_detail">
                <tr>
					<?php 
                    	echo '<td class="gmapfp_main_desc">';
						if (!array_search(33, array_column($this->champs, 'type'))) {
							echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
						}
						echo $this->getChampsHtml(4);
						if (!array_search(32, array_column($this->champs, 'type'))) {
							echo JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
						}
						//affiche le champ description si non raffect
						if (!array_search(29, array_column($this->champs, 'type'))) {
							echo JLayoutHelper::render('description', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
						}
                      
                      		//horaires et prix
						if ($row->horaires_prix!=null) {
							if ($this->custom[11]->nom) {
								echo '<label>'.$this->custom[11]->nom.'</label>';
							}else{
								echo '<label>'.JText::_('GMAPFP_HORAIRES_PRIX').'</label>';
							}
							echo JHtml::_('content.prepare', $row->horaires_prix);
						}
                      ?>
                    </td>
                    <?php
					//affichage de l'image principale si non raffecte
					if (!array_search(28, array_column($this->champs, 'type'))) {
						if ($row->img!=null) echo '<td class="gmapfp_taille1" style="'.$largeur_taille1.'">';
						echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
						if ($row->img!=null) echo '</td>';
					}
				?>
                </tr>
            </table>
        </td>
    </tr>
</table>
