<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

$row	= $this->lieu;
$champs = $this->champs;

$path = JURI::base().'images/gmapfp/';
$image_classements = $path.'classements/';
$image = $path.$row->img;
$image_art = $path.'thumbsArt/'.$row->img;

$titre = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_titre_article.php';

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<div id="gmapfp_article<?php echo $row->id;?>" class="gmapfp gmapfp_table<?php echo $this->params->get('pageclass_sfx');?>">
	<?php include $titre; ?>
	<div class="gmapfp_detail">
		<?php 
		echo '<div class="gmapfp_champs1" style="display:inline-block;">';
			echo '<table>';
				if (!array_search(33, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				echo '<tr><td class="infos" style="height: 60%">';
				echo $this->getChampsHtml(0);
				if (!array_search(31, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('adresse', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				echo $this->getChampsHtml(1);
				if (!array_search(32, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				echo '</td></tr></table>';
			  ?>
			</div>
			<?php
			echo '<div class="gmapfp_champs2" style="display:inline-block;">';
			echo $this->getChampsHtml(2);
			if (!array_search(30, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('main_email', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			if (!array_search(35, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('site_web', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			echo $this->getChampsHtml(3);
		?>
		</div>
		<?php
		//affichage de l'image principale si non réaffectée
		if (!array_search(28, array_column($this->champs, 'type'))) {
			echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
		}
		?>
	</div>
	<?php echo $row->event->beforeDisplayContent; ?>
	<div class="gmapfp_article">
		<?php echo $this->getChampsHtml(4); ?>
	</div>
</div>
<div class="clearboth"></div>