<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.132pro
	* Creation date: Novembre 2022
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined( '_JEXEC' ) or die;
use Joomla\CMS\Captcha\Captcha;


global $Itemid;

$mod_class_suffix=$this->params->get('pageclass_sfx');

if(isset($this->error)) : 
	echo '<div id="form_error">';
    	echo $this->error;
    echo '</div>';
endif; 
?>
<div class="gmapfp_contact <?php echo $mod_class_suffix ?>">
	<form action="<?php echo JRoute::_('index.php'); ?>" method="post" name="emailForm" id="emailForm" class="form-validate">
<?php
//essai de rcuprer les infos du fichier XML
$div1 = '';
$div2 = '';
if (JFile::exists(JPATH_COMPONENT."/helpers/mail/email_fields.xml")) {
	$language = JFactory::getLanguage();
	$language->load('com_gmapfp_mail', JPATH_COMPONENT."/helpers/mail/");
	$xml_str = file_get_contents(JPATH_COMPONENT."/helpers/mail/email_fields.xml");
	$xml_data = simplexml_load_string($xml_str);

	if ($xml_data->div1) {
		foreach ($xml_data->div1->children() as $child) {
			$div1 .= '<label for="'.$child->getName().'">'."\n";
			$div1 .= JText::_( $child->attributes()->title )."\n";
			$div1 .= '</label><br />'."\n";
			$div1 .= $child->children()->asXML()."\n";
			$div1 .= '<br />'."\n";
		}
	}
	if ($xml_data->div2) {
		$div2 = '<div class="gmapfp_message_objet">'."\n";
			foreach ($xml_data->div2->children() as $child) {
				$div2 .= '<label for="'.$child->getName().'">'."\n";
				$div2 .= JText::_( $child->attributes()->title )."\n";
				$div2 .= '</label><br />'."\n";
				$div2 .= $child->children()->asXML()."\n";
				$div2 .= '<br />'."\n";
			}
		$div2 .= '</div>'."\n";
	}
	unset($xml_str, $xml_data, $child);
} else {
	$div2 = '<div class="gmapfp_message_objet">'."\n";
				$div2 .= '<label for="contact_text">'."\n";
				$div2 .= JText::_( 'GMAPFP_EMAIL_MESSAGE' )."\n";
				$div2 .= '</label><br />'."\n";
	$div2 .= '<textarea class="inputbox required" name="message" id="contact_text" cols="50" rows="8"> </textarea>'."\n";
	$div2 .= '<br />'."\n";
	$div2 .= '</div>'."\n";
}
?>
    <div class="gmapfp_message_ref">
        <label id="name_textmsg" for="contact_name">
            &nbsp;<?php echo JText::_( 'GMAPFP_EMAIL_NOM' );?>
        </label>
        <br />
        <input class="inputbox" type="text" name="nom" id="contact_name" size="30" value=""/>
        <br />
        <label id="email_textmsg" for="contact_email">
            &nbsp;<?php echo JText::_( 'GMAPFP_VOTRE_EMAIL' );?>
        </label>
        <br />
        <input class="inputbox required validate-email" type="text" name="email" id="contact_email" size="30" value="" />
        <br />
        <label id="subject_textmsg" for="contact_subject">
            &nbsp;<?php echo JText::_( 'GMAPFP_EMAIL_SUJET' );?>
        </label>
        <br />
        <input class="inputbox" type="text" name="subject" id="contact_subject" size="30" value=""/>
        <br />
	<?php echo $div1; ?>
    </div>
	<?php 
	echo $div2;
	
    $user   = JFactory::getUser();
    if (!$user->get('gid')) { 
        switch ($this->params->get('captcha')) {
        case "1" :
        ?>
            <div>
                <?php $link = JURI :: root().'index.php?option=com_gmapfp&task=captacha&tmpl=component'; ?>
                <p>
                    <img class="captcha" onclick="jcomments.clear('captcha');" id="comments-form-captcha-image" name="captcha-image" src="<?php echo $link; ?>" style="width:121px; height:60px;" />
                    <script type="text/javascript" src="<?php echo JURI :: root() ?>media/com_gmapfp/js/reload.js"></script> 
                    <a href="javascript:ReloadCaptchaImages('captcha-image');">
                        <img alt='reload.gif' src="<?php echo JURI :: root() ?>media/com_gmapfp/images/icons/<?php echo $this->params->get('gmapfp_icon_folder'); ?>/reload.gif" id='ContactCaptchaReload' name='ContactCaptchaReload' border="0" />
                    </a> 
                </p>
                <label for="keystring">
                    <?php echo JText::_('GMAPFP_CAPTCHA') ?><br />
                </label>
                <input class="gmapfp inputbox <?php echo $mod_class_suffix ?> required" type="text" id="keystring" name="keystring">
            </div>
    <?php 
            break;
        default :
			$captchaSet = $this->params->get('captcha', JFactory::getApplication()->get('captcha', '0'));
			foreach (JPluginHelper::getPlugin('captcha') as $plugin)
			{
				if ($captchaSet === $plugin->name)
				{
					$captcha = Captcha::getInstance($plugin->name, array('namespace' => 'captcha'));
					echo $captcha->display('gmapfp_captcha', 'gmapfp_captcha', 'gmapfp_captcha required');
					break;
				}
			}
        };
    };

    if ($this->params->get( 'email_copy' )) : ?>
        <div class="gmapfp_email_copy">
            <input type="checkbox" name="email_copy" id="contact_email_copy" value="1"  />
            <label for="contact_email_copy">
                <?php echo JText::_( 'GMAPFP_EMAIL_A_COPY' ); ?>
            </label>
        </div>
    <?php endif; ?>

    <button class="btn validate" type="submit"><?php echo JText::_('GMAPFP_EMAIL_BOUTON') ?></button>

    <input type="hidden" name="option" value="com_gmapfp" />
    <input type="hidden" name="view" value="gmapfpcontact" />
    <input type="hidden" name="controller" value="gmapfpcontact" />   
    <input type="hidden" name="redirect" value="<?php echo JRoute::_('index.php'); ?>" />
    <input type="hidden" name="id" value="<?php echo $this->lieu->id; ?>" />
    <input type="hidden" name="task" value="submit" />
    <?php echo JHTML::_( 'form.token' ); ?>
    </form>
</div>
