<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.121pro
	* Creation date: Dcembre 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

//fonction pour execution des plugins dans la personnalisation
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<script language="javascript" type="text/javascript">
	function liste_event( marker, liste_action, marker_index ) {
		google.maps.event.trigger(marker, liste_action);
	}
</script>
<?php 

if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<h1>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
</div>
<?php endif; ?>

<?php if (($this->params->get('show_description', 1) || $this->params->def('show_description_image', 1)) && $this->params->def('catid')) : ?>
	<div class="category-desc">
	<?php if ($this->params->get('show_description_image') && $this->category->image) : ?>
		<img src="<?php echo $this->category->image; ?>" alt="<?php echo $this->category->image_alt; ?>"/>
	<?php endif; ?>
	<?php if ($this->params->get('show_description') && $this->category->description) : ?>
		<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_gmapfp.category'); ?>
	<?php endif; ?>
		<div class="clr"></div>
	</div>
<?php endif; ?>

<?php
//affichage des filtres
if ($this->params->get('gmapfp_filtre')==1) {
	if (isset($this->perso->intro_filtre)) {
		$article = new stdClass();
		$article->text=@$this->perso->intro_filtre; 
		$results = $dispatcher->trigger('onPrepareContent', array (& $article, & $this->params, 0)); 
		echo '<div class="gmapfp_intro_filtre">'.$article->text.'</div>';
	}
	require(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/item_filtre.php');
};
?>
<div class="blog<?php echo $this->params->get('pageclass_sfx'); ?> gmapfp row-fluid">
    <?php
	//carte en dessous du listing
	if ($this->params->get('gmapfp_position_liste')==2) {
		echo '<div class="map_position">';
			echo $this->map['map'];
			if ($this->map['iti']) {
				echo '<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
				echo $this->map['iti'];
			}
		echo '</div>';
    };
	//carte  gauche du listing
	if ($this->params->get('gmapfp_position_liste')==1) {
		echo '<div class="span'.(12 - $this->params->get('gmapfp_width_list')).'">';
			echo $this->map['map'];
			if ($this->map['iti']) {
				echo '<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
				echo $this->map['iti'];
			}
		echo '</div>';
	};
	//listing
	$span = '';
	if ($this->params->get('gmapfp_position_liste')==0 or $this->params->get('gmapfp_position_liste')==1) $span = 'span'.$this->params->get('gmapfp_width_list');
	?>
	<div class="<?php echo $span; ?>" style="vertical-align: top;" >
		<div class="intro_gmapfp_liste" >
		<?php 
			if (isset($this->perso->intro_detail)) {
				$article = new stdClass();
				$article->text=@$this->perso->intro_detail; 
				$results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0)); 
				echo $article->text;
			}
		?>
		</div>
		<div class="gmapfp_enveloppe_liste" style="overflow:auto; <?php 
			if ($this->params->get('gmapfp_position_liste')<2) { 
				echo 'max-height:'.($this->params->get('gmapfp_height')+0).'px; '; 
			} ?>
		">
			<div class="gmapfp_liste" >
			<?php 
				$compte = 0;
				$index_list = 0;
				$decale=false;
				$nbre_col	= (int)$this->params->get('gmapfp_nombre_col' ,1);
			
				if ($this->params->get('gmapfp_position_liste')==0 or $this->params->get('gmapfp_position_liste')==1) {
					echo '<ul style="list-style: none; margin:0;">';
						foreach ($this->lieux as $row) : ?>
							<li class="gmapfp_article_listing_<?php $index_list++; echo (($index_list%2) XOR $decale); ?>">
								<?php 
								if (empty($row->glat)or empty($row->glng)) {
									echo '<span class="sidebar">';
								}else{
									echo '<span class="sidebar" onmouseover=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseover",'.$compte.')\' onmousedown=\'liste_event(marker'.$this->num.'['.$compte.'],"mousedown",'.$compte.')\' onmouseup=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseup",'.$compte.')\' onmouseout=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseout",'.$compte.')\' >';
									$compte ++;
								};
								$affichage = "";
								if ($this->params->get('gmapfp_view_puce', 1) == 1) {
									if (!$row->m_url) $row->m_url = $this->get_default_marqueur($row->catid);
									$affichage='<img src="'.str_replace('..', JUri::root(), $row->m_url).'">';
								}
								if ($this->params->get('gmapfp_view_puce', 1) == 2 and $row->img) {
									$affichage='<img style="width:'.$this->params->get('gmapfp_thumb_size', 60).'px;" src="'.str_replace('..', JUri::root(), 'images/gmapfp/thumbsGMap/'.$row->img).'">';
								}
								if ($this->params->get('gmapfp_view_ville'))
									$affichage .= $row->ville." : ";
								echo $affichage.$row->nom; 
								?>
								</span>
							</li>
							<?php 
						endforeach;?>
					</ul>
				<?php
				} else {
					$span = '';
					if ($this->params->get('gmapfp_nombre_col', 1) > 1) $span = 'span'.(12 / $this->params->get('gmapfp_nombre_col'));
					echo '<div class="gmapfp_liste_ligne">';
					foreach ($this->lieux as $row) : ?>
						<div class="gmapfp_article_listing_<?php $index_list++; echo (($index_list%2) XOR $decale).' '.$span; ?> ">
							<?php 
							if (empty($row->glat)or empty($row->glng)) {
								echo '<span class="sidebar">';
							}else{
								echo '<span class="sidebar" onmouseover=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseover",'.$compte.')\' onmousedown=\'liste_event(marker'.$this->num.'['.$compte.'],"mousedown",'.$compte.')\' onmouseup=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseup",'.$compte.')\' onmouseout=\'liste_event(marker'.$this->num.'['.$compte.'],"mouseout",'.$compte.')\' >';
								$compte ++;
							};
							$affichage = "";
							if ($this->params->get('gmapfp_view_puce', 1) == 1) {
								if (!$row->m_url) $row->m_url = $this->get_default_marqueur($row->catid);
								$affichage='<img src="'.str_replace('..', JUri::root(), $row->m_url).'">';
							}
							if ($this->params->get('gmapfp_view_puce', 1) == 2 and $row->img) {
								$affichage='<img style="width:'.$this->params->get('gmapfp_thumb_size', 60).'px;" src="'.str_replace('..', JUri::root(), 'images/gmapfp/thumbsGMap/'.$row->img).'">';
							}
							if ($this->params->get('gmapfp_view_ville'))
								$affichage .= $row->ville." : ";
							echo $affichage.$row->nom; 
							?>
							</span>
						</div>
						<?php 
						if ($index_list >= $nbre_col) { 
							echo '</div><div class="gmapfp_liste_ligne">';
							$index_list=0;
							$decale=!$decale;
						};
					endforeach;
					echo '</div>';
				};
				?>
			</div>
		</div>
	</div>
	<?php 
	//carte d droite du listing
	if ($this->params->get('gmapfp_position_liste')==0) {
		echo '<div class="span'.(12 - $this->params->get('gmapfp_width_list')).'">';
			echo $this->map['map'];
			if ($this->map['iti']) {
				echo '<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
				echo $this->map['iti'];
			}
		echo '</div>';
	};

	//carte sous le listing
	if ($this->params->get('gmapfp_position_liste')==3) {
		echo '<div>';
			echo $this->map['map'];
			if ($this->map['iti']) {
				echo '<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
				echo $this->map['iti'];
			}
		echo '</div>';
    };?>
</div>
<?php
if (isset($this->perso->conclusion_detail)) {
	$article = new stdClass();
	$article->text=@$this->perso->conclusion_detail; 
    $results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0)); 
	echo $article->text;
}
?>
<?php if ($this->params->get('gmapfp_licence')) : ?>
	<div style="vertical-align: top; text-align: center">
		<?php echo JText::_('GMAPFP_COPYRIGHT'); ?>
	</div>
<?php endif; ?>