<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.121pro
	* Creation date: Dcembre 2018
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$itemid 	= JRequest::getVar('Itemid', 0, '', 'int');
$layout 	= JRequest::getVar('layout', '', '', 'str');
$dispatcher	= JEventDispatcher::getInstance();

$row=$this->lieu;

$path = JURI::root(false).'images/gmapfp/thumbsArt/';
if ($row->img)
	$image_art = $path.$row->img;
else
	$image_art = $path.'blank/non_disponible.gif';
$image_classements = 'images/gmapfp/classements/';

$published_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_published_detail.php';
$icon_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_icons_detail.php';
$main_link = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/main_link.php';

?>
<div class="item column-<?php echo (int)$this->decale; ?>" itemprop="blogPost" itemscope itemtype="https://schema.org/Place">
	<div id="enter_title<?php echo $row->id; ?>" class="rstpl-box-personal" <?php echo $this->event; ?>>
		<div class="rstpl-box-image rstpl-thick-border">
			<div class="gmapfp_classement" style="display: inline-block;">
			<?php 				
				if ($row->classements) {
					echo '&nbsp;&nbsp;&nbsp;';
					$Classements = explode(',', $row->classements);
					foreach ($Classements as $Classement) {
						if (array_key_exists($Classement, $this->lists['classements']))
							echo '<img title="'.$this->lists['classements'][$Classement]->nom.'" src="'.$image_classements.$this->lists['classements'][$Classement]->img.'" />';
					}
				}
			?>
			</div>
			<div class="gmapfp_label" style="display: inline-block;">
			<?php 				
				if ($row->labels) {
					echo '&nbsp;&nbsp;&nbsp;';
					$labels = explode(',', $row->labels);
					foreach ($labels as $Label) {
						if (array_key_exists($Label, $this->lists['labels']))
							echo '<img title="'.$this->lists['labels'][$Label]->nom.'" src="'.$image_classements.$this->lists['labels'][$Label]->img.'" />';
					}
				}
			?>
			</div>
			<?php
				echo '<div class="gmapfp_auto_height_main_img"><img class="main_image_gmapfp" src="'.$image_art.'" alt="image de '.$row->nom.'" style="max-width:100% !important;max-height:100% !important;"></div>';
			?>
		</div>
		<div class="gmapfp_titre">
			<div class="gmapfp_largeur_titre">
				<?php 
					$taille_cesure_titre = $this->params->get('gmapfp_taille_cesure_titre', 60);
					if ($taille_cesure_titre > 0) {
						$nom = GMapFPHelper::truncateHtml($row->nom, $taille_cesure_titre);
					} else 
						$nom = $row->nom;
					
					echo '<h2 itemprop="name" style="display: inline-block;">';
						echo $nom;
					echo '</h2>';
				?>
				<?php
					//si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
					if ( $this->params->get( 'show_category' )) {
						if (($layout!='categorie')) {
							$catids = explode(',', $row->catid);
							$cat_title = array();
							foreach ($catids as $catid) {
								$cat_title[] = $this->categories[$catid]->title;
							}

							echo '<div style="display: inline-block;"><h4>('.implode(', ', $cat_title).')</h4></div>';
						};
					}
			?>	
			</div>
		</div>
		<?php include $published_detail; ?>	
		<?php echo $row->event->afterDisplayTitle; ?>
		<div class="rstpl-box-content">
		<?php 
			//description
			echo "<div class='description'  itemprop='description'>";
				if ($row->introtext!=null) {
					$taille_cesure_intro = $this->params->get('gmapfp_taille_cesure_intro', 100);
					if ($taille_cesure_intro > 0) {
						$intro = GMapFPHelper::truncateHtml($row->introtext, $taille_cesure_intro);
						echo $intro; 
					} else 
						echo JHtml::_('content.prepare', $row->introtext); 
				}
				echo '<p>'.JText::_('GMAPFP_READ_MORE').'</p>';
			echo "</div>";
		?>
		</div>
	</div>
	<?php include $icon_detail; ?>	
	<p class="rstpl-delimiter">&nbsp;</p>
</div>
