<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.79pro
	* Creation date: Octobre 2015
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

class GMapFPController extends JControllerLegacy
{
	function display($cachable = false, $urlparams = false)
	{
		$view   = $this->input->get('view', 'gmapfps');
		$layout = $this->input->get('layout', 'articles');
		$id     = $this->input->getInt('id');
		require_once JPATH_COMPONENT.'/helpers/gmapfp.php';

		// Load the submenu.
		if ($view != 'gmapfp' and $layout != 'detail') {
			GMapFPHelper::addSubmenu($this->input->get('controller', 'accueil'));
		}
		// Check for edit form.
		if ($view == 'marqueur' && $layout == 'edit' && $this->checkEditId('com_gmapfp.edit.marker', $id))
		{
			// Somehow the person just went to the form - we don't allow that.
			$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
			$this->setMessage($this->getError(), 'error');
			$this->setRedirect(JRoute::_('index.php?option=com_gmapfp&view=marqueurs', false));

			return false;
		}
		
		parent::display();
	}
}
?>
