<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.112pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPControllerCSV extends GMapFPController
{
	function __construct()
	{
		parent::__construct();
	}

	function view()
	{
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$this->input->set( 'view', 'csv' );
		$this->input->set( 'layout', 'default'  );
		$this->input->set('hidemainmenu', 0);

		parent::display();
	}

	function ExportLieux()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->export($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function ExportCat()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->export($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function ImportLieux()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->ImportLieux($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function ImportCat()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->ImportCat($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function DelLieux()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->delete($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function DelCat()
	{	
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp'))
			return JFactory::getApplication()->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'error');
			
		$post	= JRequest::get('post');
		$model = $this->getModel('csv');
		$model->delete($post);

		$link = 'index.php?option=com_gmapfp&controller=csv&task=view';
		$this->setRedirect($link, $msg);
	}
}
?>
