<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.44pro
	* Creation date: Juin 2014
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JFormFieldGMapFPChamps extends JFormField
{

	public	$_name = 'GMapFPChamps';

	protected function getInput()
	{
		$listchamps = array();
		$db				= JFactory::getDBO();

		$query = " SELECT id, nom FROM #__gmapfp_extension_type ".
				"  WHERE published = 1 AND type != 14".
				" ORDER BY ordering";
		$db->setQuery( $query );
		$listchamps = $db->loadObjectList();

		if (!empty($listchamps))
		{
			foreach($listchamps as $temp) {
				$list_champs[] = JHTML::_('select.option', $temp->id, $temp->nom);
			}			
			$lists['champs']	= JHTML::_('select.genericlist',   $list_champs, 'jform['.$this->group.']['.$this->element['name'].'][]', 'class="inputbox" size="8" multiple="multiple"', 'value', 'text', $this->value, '' );
			return $lists['champs'];
		} else {
			return JText::_('JUNDEFINED');
		}
	}
}
?>