<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.17pro
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JFormFieldGMapFPMarqueurs extends JFormField
{

	public	$type = 'GMapFPMarqueurs';

	protected function getInput()
	{
		$listchamps = array();
		$db	= JFactory::getDBO();
		$option_cat = "";
		if (empty($this->value)) {
			$this->value = array();
		} else {
			//pour compatibilité v15 vers v16
			if (!is_array($this->value)) $this->value = array($this->value);
		}

		$query = " SELECT id, nom, url FROM #__gmapfp_marqueurs ".
				"  WHERE published = 1".
				" ORDER BY nom";
		$db->setQuery( $query );
		$listchamps = $db->loadObjectList();
		
		if (!empty($listchamps))
		{
			if ($this->element['cat_marqueur']) {
				if (in_array(0,$this->value)) {
					$option_cat = '<option value="0" selected=selected style="background:url(\''.JUri::root().'images/gmapfp/marqueurs/cat_default.png\')no-repeat; width:40px; height:40px; padding-left:40px; margin-right:40px;">'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'</option>'."\n";
				} else {
					$option_cat = '<option value="0" style="background:url(\''.JUri::root().'images/gmapfp/marqueurs/cat_default.png\')no-repeat; width:40px; height:40px; padding-left:40px; margin-right:40px;">'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'</option>'."\n";
				}
			}
			$options = '';
			$cnt = 0;
			foreach($listchamps as $temp) {
				$selected ='';
				if (in_array($temp->id,$this->value)) {
					$selected =' selected=selected';
				}
				if (!$cnt) {
					$option_1 = '<option value="'.$temp->id.'" '.$selected.' style="background:url(\''.$temp->url.'\')no-repeat; width:40px; height:40px; padding-left:40px; margin-right:40px;">'.htmlentities(html_entity_decode($temp->nom, ENT_COMPAT, 'UTF-8'), ENT_COMPAT, 'UTF-8').'</option>'."\n";
					$option_2 = '<option value="'.$temp->id.'" selected=selected style="background:url(\''.$temp->url.'\')no-repeat; width:40px; height:40px; padding-left:40px; margin-right:40px;">'.htmlentities(html_entity_decode($temp->nom, ENT_COMPAT, 'UTF-8'), ENT_COMPAT, 'UTF-8').'</option>'."\n";
				} else {
					$options .= '<option value="'.$temp->id.'"'.$selected.' style="background:url(\''.$temp->url.'\')no-repeat; width:40px; height:40px; padding-left:40px; margin-right:40px;">'.htmlentities(html_entity_decode($temp->nom, ENT_COMPAT, 'UTF-8'), ENT_COMPAT, 'UTF-8').'</option>'."\n";
				}
				$cnt++;
			}
			if ($this->element['size']) $size='size="'.(string)$this->element['size'].'"';
				else $size='size="1"';
			if (isset($this->element['multi']) and $this->element['multi'] == 'true') {
				$html = '<select name="jform['.$this->group.']['.$this->element['name'].'][]" multiple="multiple" class="inputbox" '.$size.' aria-invalid="false">'."\n";
			} else {
				$html = '<select name="jform['.$this->group.']['.$this->element['name'].']" class="inputbox" '.$size.' aria-invalid="false">'."\n";
			}
			if (isset($this->element['cat_marqueur']) and $this->element['cat_marqueur'] == 'true') {
				$html .= $option_cat.$option_1;
			} else {
				$html .= $option_1;
			}
			$html .= $options;
			$html .= '</select>'."\n";
			return $html;
		} else {
			return 'Error : no existing markers';
		}
	}
}
?>