<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.87pro
	* Creation date: Juin 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JFormFieldGMapFPModerateurs extends JFormField
{

	public	$_name = 'GMapFPModerateurs';

	protected function getInput()
	{
		$listchamps = array();
		$db	= JFactory::getDBO();

		$query = " SELECT id, name, username FROM #__users ".
				"  WHERE block = 0".
				" ORDER BY name";
		$db->setQuery( $query );
		$listchamps = $db->loadObjectList();

		if (!empty($listchamps))
		{
			$options = '';
			foreach($listchamps as $temp) {
				$selected ='';
				if ($this->element['multiple'] == "true") {
					if (is_array($this->value))
						if (in_array($temp->id, $this->value))
							$selected =' selected=selected';
					else
						if ($this->value == $temp->id)
							$selected =' selected=selected';
				} else {
					if ($this->value == $temp->id)
						$selected =' selected=selected';
				}
				$options .= '<option value="'.$temp->id.'"'.$selected.' >'.htmlentities(html_entity_decode($temp->name, ENT_COMPAT, 'UTF-8'), ENT_COMPAT, 'UTF-8').' / '.htmlentities(html_entity_decode($temp->username, ENT_COMPAT, 'UTF-8'), ENT_COMPAT, 'UTF-8').'</option>'."\n";
			}
			if ($this->element['size']) $size='size="'.(string)$this->element['size'].'"';
				else $size='size="1"';
			if ($this->element['multiple'] == "true")
				$html = '<select name="jform['.$this->group.']['.$this->element['name'].'][]" class="inputbox" '.$size.' multiple aria-invalid="false">'."\n";
			else
				$html = '<select name="jform['.$this->group.']['.$this->element['name'].']" class="inputbox" '.$size.' aria-invalid="false">'."\n";
			$html .= $options;
			$html .= '</select>'."\n";
			return $html;
		} else {
			return 'Error : no existing users';
		}
	}
}
?>