<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
JHTML::_( 'behavior .modal' );
jimport( 'joomla.filesystem.folder' );

$lang		= JFactory::getLanguage();
$params 	= JComponentHelper::getParams('com_gmapfp'); 

$langue		= substr((@$lang->getTag()),0,2);
if ($langue!='fr') $langue = 'en';

require_once JPATH_COMPONENT.'/helpers/gmapfp.php';
$canDo	= GMapFPHelper::getActions($this->state->get('filter.category_id'));
$user	= JFactory::getUser();

//test la version de php
if (version_compare(PHP_VERSION, '5.3.10', '<'))
	echo '<div style="color: red; font-size: 2em; line-height: 2em;">'.JText::_('GMAPFP_PHP_VERSION_TO_LIGHT').'</div>';
?>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<div id="message" style="display:none;">Veuillez patienter s.v.p.</div>
	<div id="adminForm">
		<div class="admintable span6">
			<div id="cpanel">
				<?php if ($canDo->get('core.admin')) {?>
				<div style="float:left;">
					<div class="icon">
						<a href="index.php?option=com_config&view=component&component=com_gmapfp&path=&return=<?php echo base64_encode('index.php?option=com_gmapfp&controller=accueil&task=view'); ?>">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/parametres48.png" alt="'.JText::_('GMAPFP_PARAMETRES').'">'; ?>
							<span><?php echo JText::_('GMAPFP_PARAMETRES'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=gmapfp&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/lieux48.png" alt="'.JText::_('GMAPFP_LIEUX').'">'; ?>
							<span><?php echo JText::_('GMAPFP_LIEUX'); ?></span>
						</a>
					</div>
				</div>
				<?php if ($canDo->get('core.edit.fields')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=champs&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/champs48.jpg" alt="'.JText::_('GMAPFP_CHAMPS').'">'; ?>
							<span><?php echo JText::_('GMAPFP_CHAMPS'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<?php if ($canDo->get('core.edit.markers')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=marqueurs&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/marqueurs48.png" alt="'.JText::_('GMAPFP_MARQUEURS').'">'; ?>
							<span><?php echo JText::_('GMAPFP_MARQUEURS'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<?php if ($canDo->get('core.edit.classements')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=classements&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/classements48.png" alt="'.JText::_('GMAPFP_CLASSEMENTS').'">'; ?>
							<span><?php echo JText::_('GMAPFP_CLASSEMENTS'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_categories&extension=com_gmapfp">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/categories48.jpg" alt="'.JText::_('JCATEGORIES').'">'; ?>
							<span><?php echo JText::_('JCATEGORIES'); ?></span>
						</a>
					</div>
				</div>
				<?php if ($canDo->get('core.edit.perso')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=personnalisations&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/personnalisation48.png" alt="'.JText::_('GMAPFP_PERSONNALISATION').'">'; ?>
							<span><?php echo JText::_('GMAPFP_PERSONNALISATION'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<?php if (COM_GMAPFP_VERSION_OT) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=photos&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/icon-48-media.png" alt="'.JText::_('GMAPFP_PHOTOS').'">'; ?>
							<span><?php echo JText::_('GMAPFP_PHOTOS'); ?></span>
						</a>
					</div>
				</div>
				<?php } ?>
				<?php if ($canDo->get('core.admin')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=css&task=view">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/css48.jpg" alt="'.JText::_('GMAPFP_CSS').'">'; ?>
							<span><?php echo JText::_('GMAPFP_CSS'); ?></span>
						</a>
					</div>
				</div>
				<?php } ?>
				<?php if ($canDo->get('core.admin')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=accueil&task=miniatures">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/miniatures48.png" alt="'.JText::_('GMAPFP_REGENERER_MINIATURES').'">'; ?>
							<span><?php echo JText::_('GMAPFP_REGENERER_MINIATURES'); ?></span>
						</a>
					</div>
				</div>
				<?php } ?>
				<?php if ($canDo->get('core.admin') and $canDo->get('core.delete')) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=accueil&task=clear_images">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/poubelle48.png" alt="'.JText::_('GMAPFP_NETOYER_IMAGES').'">'; ?>
							<span><?php echo JText::_('GMAPFP_NETOYER_IMAGES'); ?></span>
						</a>
					</div>
				</div>
				<?php } ?>
				<?php if ($canDo->get('core.admin') && $this->non_lat_lng > 0) {?>
				<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
					<div class="icon">
						<a href="index.php?option=com_gmapfp&controller=accueil&task=getCoordonner">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/latlng48.gif" alt="'.JText::_('GMAPFP_FIND_LAT_LNG').'">'; ?>
							<span><?php echo JText::_('GMAPFP_FIND_LAT_LNG'); ?></span>
						</a>
					</div>
				</div>
				<?php } ?>
				<?php if ($canDo->get('core.admin') and !$params->get('gmapfp_compa_trad_joom25', 0)  and JFolder::exists(JPATH_ROOT.'/administrator/components/com_falang/models')) {?>
				<div style="float:left;">
					<div class="icon">
						<a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=falang&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/icon-48-falang.png" alt="'.JText::_('GMAPFP_FALANG').'">'; ?>
							<span><?php echo JText::_('GMAPFP_FALANG'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<?php if ($canDo->get('core.admin') and !$params->get('gmapfp_compa_trad_joom25', 0)  and JFolder::exists(JPATH_ROOT.'/administrator/components/com_joomfish/models')) {?>
				<div style="float:left;">
					<div class="icon">
						<a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=joomfish&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/icon-48-joomfish.png" alt="'.JText::_('GMAPFP_JOOMFISH').'">'; ?>
							<span><?php echo JText::_('GMAPFP_JOOMFISH'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
				<?php if ($canDo->get('core.admin') and $params->get('gmapfp_compa_trad_joom25', 0) and JFolder::exists(JPATH_ROOT.'/administrator/components/com_josetta/classes')) {?>
				<div style="float:left;">
					<div class="icon">
						<a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=josetta&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
							<?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/icon-josetta-48x48.png" alt="'.JText::_('GMAPFP_JOSETTA').'">'; ?>
							<span><?php echo JText::_('GMAPFP_JOSETTA'); ?></span>
						</a>
					</div>
				</div>
				<?php };?>
			</div>
		</div>
		<div class="infotable span6">
			<?php
				echo JHtml::_('bootstrap.startAccordion', 'menuSlider', array('active' => 'collapse0'));
				$tabs	= $this->get('publishedTabs');
				$i = 0;
		
				foreach ($tabs as $tab) {
					$title = JText::_($tab->title);
					echo JHtml::_('bootstrap.addSlide', 'menuSlider', JText::_($tab->title), 'collapse' . $i++);
					$contenu = 'infos_' .$tab->name;
					echo $this->$contenu();
					echo JHtml::_('bootstrap.endSlide');
				}
		
				echo JHtml::_('bootstrap.endAccordion');

			 ?>
		</div>
	</div>
		<table class="admintable">
			<tr>
				<td class="key">
					<?php echo JText::_( 'Forum' );?>
				</td>
				<td>
					<a href="http://www.gmapfp.org/<?php echo $langue; ?>/forum" target="_new">www.gmapfp.org/<?php echo $langue; ?>/forum</a>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_( 'GMAPFP_DOCUMENTATION' );?>
				</td>
				<td>
					<a href="http://www.gmapfp.org/<?php echo $langue; ?>/documentation" target="_new">www.gmapfp.org/<?php echo $langue; ?>/documentation</a>
				</td>
			</tr>
		 </table>
</div>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
<div class="clr"></div>

