<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

JHTML::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');

$params	= JComponentHelper::getParams('com_gmapfp'); 

$saveOrder	= @$this->lists['order'] == 'a.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_gmapfp&task=champs.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'articleList', 'adminForm', strtolower(@$this->lists['order_Dir']), $saveOrderingUrl);
}

?>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<form action="index.php?option=com_gmapfp&controller=champs&task=view" method="post" id="adminForm" name="adminForm" class="gmapfp">
		<div id="filter-bar" class="btn-toolbar">
			<div class="btn-group pull-right">
				<select id="list_limit" name="limit" class="input-mini chzn-done" onchange="this.form.submit();">
					<option value="5" <?php if ($this->limit == '5') echo 'selected="selected"' ?>>5</option>
					<option value="10" <?php if ($this->limit == '10') echo 'selected="selected"' ?>>10</option>
					<option value="15" <?php if ($this->limit == '15') echo 'selected="selected"' ?>>15</option>
					<option value="20" <?php if ($this->limit == '20') echo 'selected="selected"' ?>>20</option>
					<option value="25" <?php if ($this->limit == '25') echo 'selected="selected"' ?>>25</option>
					<option value="30" <?php if ($this->limit == '30') echo 'selected="selected"' ?>>30</option>
					<option value="50" <?php if ($this->limit == '50') echo 'selected="selected"' ?>>50</option>
					<option value="100" <?php if ($this->limit == '100') echo 'selected="selected"' ?>>100</option>
					<option value="0" <?php if ($this->limit == '0') echo 'selected="selected"' ?>>Tout</option>
				</select>
			</div>
		</div>
		<div id="editcell">
			<table class="table table-striped" id="articleList">
			<thead>
				<tr>
				<tr>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', @$this->lists['order_Dir'], @$this->lists['order'], null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
					</th>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
					</th>
					<th  width="200" class="title">
						<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'a.nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
					<th  width="20%" class="title">
						<?php echo JHTML::_('grid.sort',   'GMAPFP_CHAMP_TYPE', 'a.type', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
					<th  class="title">
						<?php echo JHTML::_('grid.sort',   'GMAPFP_CHAMP_POSITION', 'a.position', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
					<?php if ($params->get('gmapfp_compa_trad_joom25', 0)) { ?>
					<th  class="langue">
						<?php echo JText::_('JGRID_HEADING_LANGUAGE'); ?>
					</th>
					<?php }; ?>
					<th width="5%" align="center">
						<?php echo JHTML::_('grid.sort',   'JSTATUS', 'a.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
					<th  width="7%">
						<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ACCESS', 'a.access', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
					<th width="10" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
				</tr>			
			</thead>
				<?php
				$k = 0;
				for ($i=0, $n=count( $this->champs ); $i < $n; $i++)
				{
					$row = &$this->champs[$i];
					
					$published		= JHTML::_('grid.published', $row, $i );
					$checked = JHTML::_('grid.id',   $i, $row->id );
					$link = JRoute::_( 'index.php?option=com_gmapfp&controller=champs&task=edit&cid[]='. $row->id );
			
					?>
					<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $row->position; ?>">
						<td class="order nowrap center hidden-phone">
						<?php
							$disableClassName = '';
							$disabledLabel	  = '';
			
							if (!$saveOrder) :
								$disabledLabel    = JText::_('JORDERINGDISABLED');
								$disableClassName = 'inactive tip-top';
							endif; ?>
							<span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
								<i class="icon-menu"></i>
							</span>
						</td>
						<td>
							<?php echo $checked; ?>
						</td>
						<td>
							<a href="<?php echo $link; ?>"><?php echo $row->nom; ?></a>
						</td>
						<td>
							<?php echo JTEXT::_("GMAPFP_CHAMP_TYPE".$row->type); ?>
						</td>
						<td>
							<?php 
								if ($row->position >= 0)
									if ($row->type == 14)
										echo JTEXT::_("GMAPFP_CHAMP_POSITION5"); 
									else
										echo JTEXT::_("GMAPFP_CHAMP_POSITION".$row->position); 
								else {
									//die(print_r($this->champs));
									foreach ($this->champs_all as $tmp)
										if ($tmp->id == (0-$row->position)) {
											echo $tmp->nom;
											break;
										}
								}
							?>
						</td>
					   <?php if ($params->get('gmapfp_compa_trad_joom25', 0)) { ?>
						<td>
							<?php echo $row->langue; ?>
						</td>
						<?php }; ?>
						<td align="center">
							<?php echo $published;?>
						</td>
						<td align="center">
							<?php echo $row->access_name; ?>
						</td>
						<td align="center">
							<?php echo $row->id; ?>
						</td>
					</tr>
					<?php
					$k = 1 - $k;
				}
				?>
				<tfoot>
					<tr>
						<td colspan="15">
							<?php echo $this->pageNav->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				</table>
		</div>

		<input type="hidden" name="option" value="com_gmapfp" />
		<input type="hidden" name="controller" value="champs" />
		<input type="hidden" name="task" value="view" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<div class="copyright" align="center">
		<br />
		<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
	</div>
</div>
