<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 


$user		= JFactory::getUser();
$userId		= $user->get('id');
$canOrder	= 1;//$user->authorise('core.edit.state', 'com_gmapfp.category');

JHTML::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');

$saveOrder	= @$this->lists['order'] == 'ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_gmapfp&task=classements.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'articleList', 'adminForm', strtolower(@$this->lists['order_Dir']), $saveOrderingUrl);
}
?>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<form action="index.php?option=com_gmapfp&controller=classements&task=view" method="post" id="adminForm" name="adminForm" class="gmapfp">
		<div id="filter-bar" class="btn-toolbar">
			<div class="btn-group pull-right">
				<select id="list_limit" name="limit" class="input-mini chzn-done" onchange="this.form.submit();">
					<option value="5" <?php if ($this->pagination->limit == 5) echo 'selected="selected"';?>>5</option>
					<option value="10" <?php if ($this->pagination->limit == 10) echo 'selected="selected"';?>>10</option>
					<option value="15" <?php if ($this->pagination->limit == 15) echo 'selected="selected"';?>>15</option>
					<option value="20" <?php if ($this->pagination->limit == 20) echo 'selected="selected"';?>>20</option>
					<option value="25" <?php if ($this->pagination->limit == 25) echo 'selected="selected"';?>>25</option>
					<option value="30" <?php if ($this->pagination->limit == 30) echo 'selected="selected"';?>>30</option>
					<option value="50" <?php if ($this->pagination->limit == 50) echo 'selected="selected"';?>>50</option>
					<option value="100" <?php if ($this->pagination->limit == 100) echo 'selected="selected"';?>>100</option>
					<option value="0" <?php if ($this->pagination->limit == $this->pagination->total) echo 'selected="selected"';?>><?php echo JText::_('JALL'); ?></option>
				</select>
			</div>
		</div>

	<div id="editcell">
		<table class="table table-striped" id="articleList">
		<thead>
			<tr>
			<tr>
				<th width="1%" class="nowrap center hidden-phone">
					<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'ordering', @$this->lists['order_Dir'], @$this->lists['order'], null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
				</th>
				<th width="20">
					<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
				</th>
				<th  width="200" class="title">
					<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  class="title">
					<?php echo JText::_('GMAPFP_APERCU'); ?>
				</th>
				<th width="5%">
					<?php echo JHtml::_('grid.sort', 'JSTATUS', 'published', @$this->lists['order_Dir'], @$this->lists['order']); ?>
				</th>
				<th width="10%">
					<?php echo JHtml::_('grid.sort', 'JCATEGORY', 'cat', @$this->lists['order_Dir'], @$this->lists['order']); ?>
				</th>
				<th width="5%">
					<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_LANGUAGE', 'language', @$this->lists['order_Dir'], @$this->lists['order']); ?>
				</th>
				<th width="1%">
					<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'id', @$this->lists['order_Dir'], @$this->lists['order']); ?>
				</th>
			</tr>			
		</thead>
			<?php
			$k = 0;
			if (is_array($this->classements))
			for ($i=0, $n=count( $this->classements ); $i < $n; $i++)
			{
				$canCreate	= $user->authorise('core.create',		'com_gmapfp');
				$canEdit	= $user->authorise('core.edit',			'com_gmapfp');
				//$canCheckin	= $user->authorise('core.manage',		'com_checkin') || $item->checked_out==$user->get('id') || $item->checked_out==0;
				$canChange	= $user->authorise('core.edit.state',	'com_gmapfp');// && $canCheckin;

				$row = $this->classements[$i];
				
				$published		= JHTML::_('grid.published', $row, $i );
				$checked = JHTML::_('grid.id',   $i, $row->id );
				$link = JRoute::_( 'index.php?option=com_gmapfp&controller=classements&task=edit&cid[]='. $row->id );
		
				?>
				<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $row->cat; ?>">
					<td class="order nowrap center hidden-phone">
					<?php
						$disableClassName = '';
						$disabledLabel	  = '';
		
						if (!$saveOrder) :
							$disabledLabel    = JText::_('JORDERINGDISABLED');
							$disableClassName = 'inactive tip-top';
						endif; ?>
						<span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
							<i class="icon-menu"></i>
						</span>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
						<?php if ($canEdit) : ?>
							<a href="<?php echo $link; ?>">
								<?php echo $this->escape($row->nom); ?></a>
						<?php else : ?>
								<?php echo $this->escape($row->nom); ?>
						<?php endif; ?>
					</td>
					<td>
						<img src="<?php echo JURI::base().'..'.'/images/gmapfp/classements/'.$row->img; ?>" title="<?php echo $row->img; ?>" />
					</td>
					<td align="center">
						<?php echo $published;?>
					</td>
					<td align="center">
						<?php switch ($row->cat) {
							case 1 :
								echo JText::_('GMAPFP_CLASSEMENTS');
								break;
							case 2 :
								echo JText::_('GMAPFP_LABELS');
								break;
							case 3 :
								echo JText::_('GMAPFP_PICTOS');
								break;
							default :
								echo JText::_('JUNDEFINED');
						} ?>
					</td>
					<td class="center">
						<?php if ($row->language=='*'):?>
							<?php echo JText::alt('JALL','language'); ?>
						<?php else:?>
							<?php echo $row->language ? $this->escape($row->language) : JText::_('JUNDEFINED'); ?>
						<?php endif;?>
					</td>
					<td align="center">
						<?php echo $row->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			<tfoot>
				<tr>
					<td colspan="15">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>

		<input type="hidden" name="option" value="com_gmapfp" />
		<input type="hidden" name="controller" value="classements" />
		<input type="hidden" name="task" value="view" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<div class="copyright" align="center">
		<br />
		<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
	</div>
</div>
