<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPViewCSS extends JViewLegacy
{
	function display($tpl = NULL)
	{
		if (!JFactory::getUser()->authorise('core.admin', 'com_gmapfp')) {
			throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'), 404);
			return false;
		}
			
		$this->document->addStyleSheet('components/com_gmapfp/views/general.css');
		$this->state= $this->get('State');

		require_once JPATH_COMPONENT.'/helpers/gmapfp.php';
		$canDo	= GMapFPHelper::getActions($this->state->get('filter.category_id'));

		JToolBarHelper::title(   JText::_( 'GMAPFP_CSS_MANAGER' ).': <small><small>[CSS]</small></small>', 'css' );
		if (($canDo->get('core.edit'))) {
			JToolBarHelper :: custom( 'saveCss', 'save.png', 'save.png', 'JAPPLY', false, false );
		}

		$this->sidebar = JHtmlSidebar::render();
		parent::display();
	}
}
