<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.120pro
	* Creation date: Septembre 2018
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

require_once JPATH_ROOT . '/components/com_gmapfp/helpers/route.php';

?>
<form action="index.php?option=com_gmapfp&amp;controller=element&amp;task=element&amp;tmpl=component&amp;object=<?php echo $this->object; ?>"; method="post" name="adminForm">
    <div id="filter-bar" class="btn-toolbar">
    	<div class="filter-search btn-group pull-left">
            <label for="search_lieu" class="element-invisible"><?php echo JText::_( 'JSEARCH_FILTER' ); ?></label>
			<input type="text" name="search_lieu" id="search_lieu" placeholder="<?php echo JText::_( 'JSEARCH_FILTER' ); ?>" value="<?php echo @$this->lists['search_lieu'];?>" class="text_area" onchange="document.adminForm.submit();" />
        </div>
        <div class="btn-group pull-left hidden-phone">
            <button class="btn tip hasTooltip" onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
            <button class="btn tip hasTooltip" onclick="document.getElementById('search_lieu').value='';this.form.submit();" title="<?php echo JText::_( 'JSEARCH_FILTER_CLEAR' ); ?>"><i class="icon-remove"></i></button>
        </div>
        <div class="btn-group pull-right hidden-phone">
				<?php
				echo @$this->lists['ville'];
				echo @$this->lists['departement'];
				?>
        </div>
	</div>    
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th  class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_VILLE', 'ville', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_DEPARTEMENT', 'departement', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = &$this->items[$i];
		
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<a style="cursor: pointer;" onclick="window.parent.jSelectArticle('<?php echo $row->id; ?>', '<?php echo str_replace(array("'", "\""), array("\\'", ""),$row->nom); ?>', '<?php echo $this->object; ?>', '<?php echo $this->escape(GMapFPHelperRoute::getArticleRoute($row->id, $row->catid, $row->language)); ?>');"><?php echo $row->nom; ?></a>
			</td>
			<td>
				<?php echo $row->ville; ?>
			</td>
			<td>
				<?php echo $row->departement; ?>
			</td>
						</td>
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
    </table>
</div>
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo @$lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo @$lists['order_Dir']; ?>" />
		</form>
