<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.114pro
	* Creation date: Août 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHTML::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');

$user		= JFactory::getUser();
$userId		= $user->get('id');

$config	= JFactory::getConfig();
$now	= JFactory::getDate();

$db		= JFactory::getDBO();
$nullDate = $db->getNullDate();

$saveOrder	= @$this->lists['order'] == 'a.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_gmapfp&task=gmapfp.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'articleList', 'adminForm', strtolower(@$this->lists['order_Dir']), $saveOrderingUrl);
}

?>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<form action="index.php?option=com_gmapfp&controller=gmapfp&task=view" method="post" name="adminForm" id="adminForm" class="gmapfp">
		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
				<label for="search" class="element-invisible"><?php echo JText::_( 'JSEARCH_FILTER' ); ?></label>
				<input type="text" name="search" id="search" placeholder="<?php echo JText::_( 'JSEARCH_FILTER' ); ?>" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
			</div>
			<div class="btn-group pull-left hidden-phone">
				<button class="btn tip hasTooltip" type="submit" title="<?php echo JText::_( 'JSEARCH_FILTER_SUBMIT' ); ?>"><i class="icon-search"></i></button>
				<button class="btn tip hasTooltip" type="button" onclick="document.getElementById('search').value='';
						this.form.getElementById('filtreville').value='-- <?php echo JText::_( 'GMAPFP_VILLE_FILTRE' ) ?> --'; 
						this.form.getElementById('filtredepartement').value='-- <?php echo JText::_( 'GMAPFP_DEPARTEMENT_FILTRE' ) ?> --';
						this.form.getElementById('filtrepay').value='-- <?php echo JText::_( 'GMAPFP_PAYS_FILTRE' ) ?> --';
						this.form.getElementById('filtrecategorie').value=0;
						this.form.submit();" title="<?php echo JText::_( 'JSEARCH_FILTER_CLEAR' ); ?>"><i class="icon-remove"></i></button>
			</div>
			<div class="btn-group pull-right">
				<select id="list_limit" name="limit" class="input-mini chzn-done" onchange="this.form.submit();">
					<option value="5" <?php if ($this->limit == '5') echo 'selected="selected"' ?>>5</option>
					<option value="10" <?php if ($this->limit == '10') echo 'selected="selected"' ?>>10</option>
					<option value="15" <?php if ($this->limit == '15') echo 'selected="selected"' ?>>15</option>
					<option value="20" <?php if ($this->limit == '20') echo 'selected="selected"' ?>>20</option>
					<option value="25" <?php if ($this->limit == '25') echo 'selected="selected"' ?>>25</option>
					<option value="30" <?php if ($this->limit == '30') echo 'selected="selected"' ?>>30</option>
					<option value="50" <?php if ($this->limit == '50') echo 'selected="selected"' ?>>50</option>
					<option value="100" <?php if ($this->limit == '100') echo 'selected="selected"' ?>>100</option>
					<option value="0" <?php if ($this->limit == '0') echo 'selected="selected"' ?>>Tout</option>
				</select>
			</div>
			<div class="btn-group pull-right">
				<?php
				echo $this->lists['ville'];
				echo $this->lists['departement'];
				echo $this->lists['pays'];
				echo $this->lists['categorie'];
				?>
			</div>
		</div>
		<div class="clearfix"> </div>
	<div id="editcell">
		<table class="table table-striped" id="articleList">
		<thead>
			<tr>
				<th width="1%" class="nowrap center hidden-phone">
					<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', @$this->lists['order_Dir'], @$this->lists['order'], null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
				</th>
				<th width="1%">
					<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
				</th>
				<th width="1%" >
					<?php echo JHTML::_('grid.sort', 'JSTATUS', 'a.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<?php if($this->tif) { ?>
					<th width="1%" >
						<?php echo JHTML::_('grid.sort', 'TIF', 'a.tif_id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</th>
				<?php } ?>
				<th width="20%">
					<?php 
						if (@$this->custom[6]->nom) {
							$nom = $this->custom[6]->nom;
						}else{
							$nom = JText::_( 'GMAPFP_NOM' );
						}
						echo JHTML::_('grid.sort', $nom, 'a.nom', @$this->lists['order_Dir'], @$this->lists['order'] );
					?>
				</th>
				<th  width="7%" class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'GMAPFP_VILLE', 'a.ville', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  width="7%"  class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'GMAPFP_DEPARTEMENT', 'a.departement', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  width="7%"  class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'GMAPFP_PAYS', 'a.pay', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  width="7%"  class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ACCESS', 'access_level', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  width="7%"  class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_CREATED_BY', 'a.created_by', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  class="hidden-phone nowrap" width="7%">
					<?php echo JHTML::_('grid.sort', 'JDATE', 'a.created', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  class="hidden-phone nowrap" width="7%">
					<?php echo JHTML::_('grid.sort', 'JGLOBAL_HITS', 'a.hits', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  class="hidden-phone nowrap" width="7%">
					<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_LANGUAGE', 'a.language', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="1%"  class="hidden-phone nowrap">
					<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
			</tr>
		</thead>
		<?php
		$k = 0;
		for ($i=0, $n=count( $this->items ); $i < $n; $i++)
		{
			$row = &$this->items[$i];
			
			$canCreate	= $user->authorise('core.create',		'com_gmapfp.category.'.$row->catid);
			$canEdit	= $user->authorise('core.edit',			'com_gmapfp.article.'.$row->id);
			$canCheckin	= $user->authorise('core.manage',		'com_checkin') || $row->checked_out == $userId || $row->checked_out == 0;
			$canEditOwn	= $user->authorise('core.edit.own',		'com_gmapfp.article.'.$row->id) && $row->created_by == $userId;
			$canChange	= $user->authorise('core.edit.state',	'com_gmapfp.article.'.$row->id) && $canCheckin;

			$checked 	= JHTML::_('grid.id',   $i, $row->id );
			$link 		= JRoute::_( 'index.php?option=com_gmapfp&controller=gmapfp&task=edit&cid[]='. $row->id );

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td class="order nowrap center hidden-phone">
				<?php
					$disableClassName = '';
					$disabledLabel	  = '';

					if (!$saveOrder) :
						$disabledLabel    = JText::_('JORDERINGDISABLED');
						$disableClassName = 'inactive tip-top';
					endif; ?>
					<span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
						<i class="icon-menu"></i>
					</span>
					<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $row->ordering;?>" class="width-20 text-area-order " />
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<div class="btn-group">
						<?php echo JHtml::_('jgrid.published', $row->published, $i, '', $canChange, 'cb', $row->publish_up, $row->publish_down); ?>
						<?php echo JHtml::_('gmapfpadministrator.featured', $row->featured, $i, $canChange); ?>
					</div>
				</td>
				<?php if($this->tif) { ?>
					<td  class="hidden-phone">
						<?php echo ($row->tif_id) ? '<img src="components/com_gmapfp/images/tourinfrance_18.png" alt="fichier TIF" title="'.$row->tif_id.'"/>' : ''; ?>
					</td>
				<?php } ?>
				<td>
					<?php if ($row->checked_out) : ?>
						<?php echo JHtml::_('jgrid.checkedout', $i, $row->editor, $row->checked_out_time, '', $canCheckin);?>
					<?php endif; ?>
					<?php if ($canEdit || $canEditOwn) : ?>
						<a href="<?php echo $link; ?>"><?php echo $this->escape($row->nom); ?></a>
					<?php else : ?>
						<?php echo $this->escape($row->nom); ?>
					<?php endif; ?>
					<span class="small break-word">
						<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($row->alias));?>
					</span>
					<div class="small">
					<?php 
						$cats = explode(',', $row->catid);
						$titles = array();
						foreach ($cats as $cats) { 
							if (array_key_exists($cats, $this->gmapfp_cats_title)) {
								if (property_exists($this->gmapfp_cats_title[$cats], 'title'))
									$titles[] = JText::_('JCATEGORY').' : '.$this->gmapfp_cats_title[$cats]->title;
								else
									$titles[] = "<span style='color:red;'>".$cats."</span>";
							} else
								$titles[] = "<span style='color:red;'>No catid !</span>";
						}
						echo implode('<br/>', $titles);
					?>
					</div>
				</td>
				<td  class="hidden-phone">
					<?php echo $row->ville; ?>
				</td>
				<td  class="hidden-phone">
					<?php echo $row->departement; ?>
				</td>
				<td  class="hidden-phone">
					<?php echo $row->pay; ?>
				</td>
				<td  class="hidden-phone">
					<?php echo $row->access_level; ?>
				</td>
				<td  class="hidden-phone">
					<a href="mailto:<?php echo $row->auteur_mail; ?>"><?php echo $row->auteur; ?></a>
				</td>
				<td  class="hidden-phone nowrap">
					<?php echo JHTML::_('date',  $row->created, JText::_('DATE_FORMAT_LC4') ); ?>
				</td>
				<td  class="hidden-phone nowrap">
					<?php echo $row->hits ?>
				</td>
				<td  class="hidden-phone nowrap">
					<?php if ($row->language=='*'):?>
						<?php echo JText::alt('JALL','language'); ?>
					<?php else:?>
						<?php echo $row->language_title ? $this->escape($row->language_title) : JText::_('JUNDEFINED'); ?>
					<?php endif;?>
				</td>
				<td  class="hidden-phone nowrap">
					<?php echo $row->id; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
			<tfoot>
				<tr>
					<td colspan="15">
						<?php echo $this->pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
		</table>
	<div class="copyright" align="center">
		<br />
		<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
	</div>
	</div>
	<input type="hidden" name="option" value="com_gmapfp" />
	<input type="hidden" name="task" value="view" />
	<input type="hidden" name="controller" value="gmapfp" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
	</form>
</div>
