<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.110pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

 ?>
<script language="javascript" type="text/javascript">
	var marker = "";
	var markerImage = new Image();
    
	var shadow = "";
    var shadowImage = new Image();

	Joomla.submitbutton = function(task) {
        var form = document.adminForm;
        if (task == 'marqueur.cancel') {
			Joomla.submitform(task, document.getElementById('marqueur_form'));
            return;
        }
        if (document.formvalidator.isValid(document.id('marqueur_form'))) {
            //detecte la taille du marqueur
            document.getElementById("jform_marker_height").value = markerImage.height;
            document.getElementById("jform_marker_width").value = markerImage.width;
            //renseigne les valeurs de centrage du marqueur : iconAnchor
            var centre_x = document.getElementById("jform_centre_x");
            if (centre_x.selectedIndex == ""){
                centre_x.selectedIndex = parseInt(markerImage.width/2);
            }
            var centre_y = document.getElementById("jform_centre_y");
            if (centre_y.selectedIndex == ""){
                centre_y.selectedIndex = markerImage.width;
            }
            //detecte la taille de l'ombre
            document.getElementById("jform_shadow_height").value = shadowImage.height;
            document.getElementById("jform_shadow_width").value = shadowImage.width;

			Joomla.submitform(task, document.getElementById('marqueur_form'));
		}
    }

    function RafraichirMarqueur(){
      document.getElementById("image_marqueur").src = document.getElementById("jform_url").value;
            marker = document.getElementById("url");
            markerImage.src = marker.value;
			EnableValue()
      document.getElementById("pos_centre_img").style.left = (520 - document.getElementById("jform_centre_x").value) + 'px';
      document.getElementById("pos_centre_img").style.top = (205 - document.getElementById("jform_centre_y").value) + 'px';
    }

    function RafraichirOmbre(){
      document.getElementById("image_ombre").src = document.getElementById("jform_url_shadow").value;
	  shadowImage.src = shadow.value;
    }

    function RafraichirCentre_x(){
      document.getElementById("pos_centre_img").style.left = (520 - document.getElementById("jform_centre_x").value) + 'px';
      document.getElementById("pos_centre_ombre").style.left = (520 - document.getElementById("jform_centre_x").value) + 'px';
    }

    function RafraichirCentre_y(){
      document.getElementById("pos_centre_img").style.top = (205 - document.getElementById("jform_centre_y").value) + 'px';
      document.getElementById("pos_centre_ombre").style.top = (205 - document.getElementById("jform_centre_y").value) + 'px';
    }

    function init(){
            marker = document.getElementById("jform_url");
			shadow = document.getElementById("jform_url_shadow");
            markerImage.src = marker.value;
			shadowImage.src = shadow.value;
			setTimeout("EnableValue()", 500)
	 }

    function EnableValue(){
      document.getElementById("jform_marker_height").value = markerImage.height;
      document.getElementById("jform_marker_width").value = markerImage.width;
	 }

	jQuery(document).ready( function(){ init();});
	 
</script>

<form action="<?php echo JRoute::_('index.php?option=com_gmapfp&controller=marqueurs&task=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="marqueur_form" class="form-validate">
	<div class="form-horizontal">
		<?php echo JLayoutHelper::render('joomla.edit.item_title', $this); ?>
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'detail')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'detail', JText::_('GMAPFP_DETAILS', true)); ?>
		<div class="row-fluid">
			<div class="span9">
				<?php
				echo $this->form->getControlGroup('nom');
				echo $this->form->getControlGroup('url');
				echo $this->form->getControlGroup('note10');
				echo '<div class="row-fluid">';
					echo '<div class="span6">';
						echo $this->form->getControlGroup('marker_width');
					echo '</div>';
					echo '<div class="span6">';
						echo $this->form->getControlGroup('marker_height');
					echo '</div>';
				echo '</div>';
				echo $this->form->getControlGroup('note11');
				echo '<div class="row-fluid">';
					echo '<div class="span6">';
						echo $this->form->getControlGroup('centre_x');
					echo '</div>';
					echo '<div class="span6">';
						echo $this->form->getControlGroup('centre_y');
					echo '</div>';
				echo '</div>';
				echo $this->form->getControlGroup('url_shadow');
				echo $this->form->getControlGroup('optimized');
				?>
			</div>
			<div class="span3">
				<?php echo $this->form->getControlGroup('published'); ?>
			</div>

		<?php echo JHtml::_('bootstrap.endTab'); ?>
		<?php echo JHtml::_('bootstrap.endTabSet'); ?>
	</div>
                <div style="position: absolute; top: 189px; left: 504px; width: 32px; height: 32px;">
                    <img src="components/com_gmapfp/images/cible.png"/>
                </div>
                <div id="pos_centre_ombre" style="position: absolute; top: <?php echo (205-$this->item->centre_y); ?>px; left: <?php echo (520-$this->item->centre_x); ?>px;">
                    <img id="image_ombre" src="<?php echo $this->item->url_shadow; ?>"/>
                </div>
                <div id="pos_centre_img" style="position: absolute; top: <?php echo (205-$this->item->centre_y); ?>px; left: <?php echo (520-$this->item->centre_x); ?>px;">
                    <img id="image_marqueur" src="<?php echo $this->item->url; ?>"/>
                </div>
<div class="clr"></div>

<input type="hidden" name="jform[shadow_width]" id="jform_shadow_width" value="" />
<input type="hidden" name="jform[shadow_height]" id="jform_shadow_height" value="" />
<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="task" value="" />
<?php echo JHtml::_('form.token'); ?>
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
