<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 
JHtml::_('formbehavior.chosen', 'select');
?>
<?php if (!empty( $this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<form action="index.php?option=com_gmapfp&controller=marqueurs&task=view" method="post" id="adminForm" name="adminForm" class="gmapfp">
		<div id="filter-bar" class="btn-toolbar">
			<div class="btn-group pull-right">
				<select id="list_limit" name="limit" class="input-mini chzn-done" onchange="this.form.submit();">
					<option value="5" <?php if ($this->limit == '5') echo 'selected="selected"' ?>>5</option>
					<option value="10" <?php if ($this->limit == '10') echo 'selected="selected"' ?>>10</option>
					<option value="15" <?php if ($this->limit == '15') echo 'selected="selected"' ?>>15</option>
					<option value="20" <?php if ($this->limit == '20') echo 'selected="selected"' ?>>20</option>
					<option value="25" <?php if ($this->limit == '25') echo 'selected="selected"' ?>>25</option>
					<option value="30" <?php if ($this->limit == '30') echo 'selected="selected"' ?>>30</option>
					<option value="50" <?php if ($this->limit == '50') echo 'selected="selected"' ?>>50</option>
					<option value="100" <?php if ($this->limit == '100') echo 'selected="selected"' ?>>100</option>
					<option value="0" <?php if ($this->limit == '0') echo 'selected="selected"' ?>><?php echo JText::_('JALL'); ?></option>
				</select>
			</div>
		</div>
		<div class="clearfix"> </div>
	<div id="editcell">
		<table class="adminlist">
		<thead>
			<tr>
				<th width="20">
					<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
				</th>
				<th  width="200" class="title">
					<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th  class="title">
					<?php echo JText::_('GMAPFP_APERCU'); ?>
				</th>
				<th width="5%" align="center">
					<?php echo JHTML::_('grid.sort',   'JSTATUS', 'published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="10" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
			</tr>			
		</thead>
			<?php
			$k = 0;
			for ($i=0, $n=count( $this->marqueurs ); $i < $n; $i++)
			{
				$row = $this->marqueurs[$i];
				
				$published		= JHTML::_('grid.published', $row, $i );
				$checked = JHTML::_('grid.id',   $i, $row->id );
				$link = JRoute::_( 'index.php?option=com_gmapfp&controller=marqueurs&task=edit&id='. $row->id );
		
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
						<a href="<?php echo $link; ?>"><?php echo $row->nom; ?></a>
					</td>
					<td>
						<img src="<?php echo $row->url; ?>" title="<?php echo $row->nom; ?>" />
					</td>
					<td align="center">
						<?php echo $published;?>
					</td>
					<td align="center">
						<?php echo $row->id;?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			<tfoot>
				<tr>
					<td colspan="15">
						<?php echo $this->pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>

		<input type="hidden" name="option" value="com_gmapfp" />
		<input type="hidden" name="controller" value="marqueurs" />
		<input type="hidden" name="task" value="view" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />
	</form>
	<div class="copyright" align="center">
		<br />
		<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
	</div>
</div>
