<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPViewMarqueurs extends JViewLegacy
{
	function display($tpl = NULL)
	{
		if (!JFactory::getUser()->authorise('core.edit.markers', 'com_gmapfp')) {
			throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'), 404);
			return false;
		}

		$this->document->addStyleSheet('components/com_gmapfp/views/general.css');
		$mainframe	= JFactory::getApplication(); 
		$option    = $mainframe->input->get('option'); 
		$controller    = $mainframe->input->get('controller'); 
		$this->state= $this->get('State');

		require_once JPATH_COMPONENT.'/helpers/gmapfp.php';
		$canDo	= GMapFPHelper::getActions($this->state->get('filter.category_id'));
		JToolBarHelper::title(   JText::_( 'GMAPFP_MARQUEURS_MANAGER' ), 'marqueurs' );
		if ($canDo->get('core.create')) {
			JToolBarHelper::addNew();
		}
		if (($canDo->get('core.edit'))) {
			JToolBarHelper::editList();
		}
		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::divider();
			JToolBarHelper::publishList();
			JToolBarHelper::unpublishList();
		}
		if ( $canDo->get('core.delete')) {
			JToolBarHelper::divider();
			JToolBarHelper::deleteList();
		}
	
		// Get data from the model
		$marqueurs		= $this->get('List');

		JHTML::_('behavior.tooltip');

		$this->marqueurs = $marqueurs;
		$this->limit = $mainframe->getUserStateFromRequest( $option.'limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		
		$pageNav = $this->get( 'Pagination' );				
		$this->pageNav = $pageNav;

		$filter_order 		= $mainframe->getUserStateFromRequest( $option.$controller.'filter_order', 'filter_order', 'nom', 'cmd');
		$filter_order_Dir 	= $mainframe->getUserStateFromRequest( $option.$controller.'filter_order_Dir', 'filter_order_Dir', '', 'word');
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$this->lists = $lists;

		$this->sidebar = JHtmlSidebar::render();
		parent::display();

	}
}
