<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.108pro
	* Creation date: Mars 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

class GMapFPViewMiniatures extends JViewLegacy
{
	function miniatures()
	{
		//rcupre les extentions images
		$config_media 	= JComponentHelper::getParams('com_media');
		$type_image = $config_media->get( 'image_extensions', 'bmp,gif,jpg,png,jpeg' );
		$type_image = explode(',', $type_image);;
		$link = 'index.php?option=com_gmapfp&controller=accueil&task=view';

		//reconstruction des miniatures des galleries photos
			error_reporting(0);
			echo "reconstruction des miniatures des galleries photos<br />";
			ob_flush();
			flush();
			ob_flush();
			flush();
			$folders = JFolder::listFolderTree(COM_GMAPFP_IMAGES_FOLDER, 'GA');
	
			//commence  analyser les rpertoires
			if (count($folders)){
				foreach ($folders as $folder) {
					$files = JFolder::files($folder['fullname']);
					if (count($files)){
						//efface les miniatures
						if (file_exists($folder['fullname'].'/thumbs')) {
							JFolder::delete($folder['fullname'].'/thumbs');
						}
						JFolder::create($folder['fullname'].'/thumbs');
						//reconstruit les miniatures
						foreach ($files as $file) {
							// Vrifies si image
							$ext = strrchr($file,'.');
							$ext = strtolower($ext);
							$ext = substr($ext, 1);
							if (in_array( $ext, $type_image )) {
								$erreur = $this->reconstruit_miniature($folder['fullname'], $file);
								if (!empty($erreur)) {
									$this->setRedirect($link, $erreur);
									return;
								}
							}
							//maintient le navigateur en eveil
							echo "|";
						}
						JFile::write($folder['fullname'].'/thumbs/index.html', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
					}
				}
			}
		//reconstruction des miniatures des images principales
			echo "<br />reconstruction des miniatures des images principales<br />";
			ob_flush();
			flush();
			ob_flush();
			flush();
			$files = JFolder::files(COM_GMAPFP_IMAGES_FOLDER);
			if (count($files)){
				//efface les miniatures
				if (file_exists(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt')) {
					JFolder::delete(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt');
				}
				if (file_exists(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap')) {
					JFolder::delete(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap');
				}
				JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt');
				JFolder::create(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap');
				//reconstruit les miniatures
				foreach ($files as $file) {
					// Vrifies si image
					$ext = strrchr($file,'.');
					$ext = strtolower($ext);
					$ext = substr($ext, 1);
					if (in_array( $ext, $type_image )) {
						$erreur = $this->reconstruit_main_miniature(COM_GMAPFP_IMAGES_FOLDER, $file);
						if (!empty($erreur)) {
							$this->setRedirect($link, $erreur);
							return;
						}
					}
					//maintient le navigateur en eveil
					echo "|";
					ob_flush();
					flush();
					ob_flush();
					flush();
				}
				JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsArt/index.html', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
				JFile::write(COM_GMAPFP_IMAGES_FOLDER.'/thumbsGMap/index.html', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
			}
		
		$msg = JText::_('GMAPFP_MINIATURES_OK');
		$this->setRedirect($link, $msg);
	}
}