<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.0pro
	* Creation date: Mai 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');

$editor = JFactory::getEditor();
$config = JComponentHelper::getParams('com_gmapfp'); ?>

<form action="index.php?option=com_gmapfp" method="post" name="adminForm" id="adminForm" >
	<table  class="adminform">
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';
                        this.form.getElementById('filtreville').value='-- <?php echo JText::_( 'GMAPFP_VILLE_FILTRE' ) ?> --'; 
                        this.form.getElementById('filtredepartement').value='-- <?php echo JText::_( 'GMAPFP_DEPARTEMENT_FILTRE' ) ?> --';
                        this.form.getElementById('filtrecategorie').value='-- <?php echo JText::_( 'GMAPFP_CATEGORIE_FILTRE' ) ?> --';
						this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $this->lists['ville'];
				echo $this->lists['departement'];
				echo $this->lists['categorie'];
				?>
			</td>
		</tr>
	</table>
<div>
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
	<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="marker"><?php echo JText::_( 'GMAPFP_PHOTOS' ); ?>:</label>
			</td>
			<td>
				<table>
					<tr>
					<?php 
						$cnt = 0;
						for ($i=0, $n=count($this->items); $i < $n; $i++) {
							$item = $this->items[$i];
							$image = JURI::base().'../images/gmapfp/'.$item->img;
							$blank = JURI::base().'../images/gmapfp/blank.png';
							$checked 	= JHTML::_('grid.checkedout',   $item, $i );
							?> 
                            <td width="120px" align="center" valign="top" style="border:1px solid #eeeeee">
                                <span style="width:120px"><?php echo $item->nom?></span><br />
 								<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','album')" title="<?php echo ( $item->album ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>">
								<img src="images/<?php echo ( $item->album ) ? 'tick.png' : 'publish_x.png';?>" width="16" height="16" border="0" alt="<?php echo ( $item->album ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>" /></a>
 								<?php echo $this->pageNav->getRowOffset( $i ); ?>
                        		<span style="display:none">
								<?php echo $checked; ?>
								</span><br />
                                <?php if ($item->img=='') {?>
                                	<img src="<?php echo $blank ?>" title="<?php echo $item->nom?>" height="70"/>
                                <?php } else {?>
                                	<img src="<?php echo $image ?>" title="<?php echo $item->nom?>" height="70"/>
                                <?php };?>
                            </td>
                            <?php 
							if ($cnt < 6) {
								$cnt++;
							} else {
								echo '</tr><tr>';
								$cnt = 0;
							}
						}
					?>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="task" value="view" />
<input type="hidden" name="controller" value="photos" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>
