<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.109pro
	* Creation date: Mai 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

$app	 	= JFactory::getApplication(); 
$params 	= clone($app->getParams('com_gmapfp'));
$task 		= $app->input->get('task', '', 'string');

if ($task== 'captacha') {
	require_once (JPATH_SITE.'/components/com_gmapfp/libraries/contactmap.captcha.php');
	GMapFPCaptcha::image();
};
	
include JPATH_BASE.'/components/com_gmapfp/constantes.php';

require_once (JPATH_COMPONENT.'/controller.php');
require_once (JPATH_COMPONENT.'/helpers/route.php');

if($controller = $app->input->get('controller', '', 'word')) {
	$path = JPATH_COMPONENT.'/controllers/'.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

$classname	= 'GMapFPController'.ucfirst($controller);
$controller = new $classname();

$controller->execute($app->input->get('task'));
$controller->redirect();
?>