<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.124pro
	* Creation date: Octobre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

JHTML::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');
// JHtml::_('behavior.calendar'); Bloque le fonctionnement du calendrier
JHtml::_('behavior.modal');

$mainframe 	= JFactory::getApplication(); 
$Itemid 	= (int) $mainframe->input->get('Itemid'); 
$editor 	= JFactory::getEditor();
$config 	= JFactory::getConfig();
$editor 	= JEditor::getInstance($config->get('editor'));


$_lat = $this->params->get('gmapfp_centre_lat');
$_lng = $this->params->get('gmapfp_centre_lng');
$_zoom = $this->params->get('gmapfp_zoom');
if (empty($_lat)) {$_lat = 47.927385663;};
if (empty($_lng)) {$_lng = 2.1437072753;};
if (empty($_zoom)) {$_zoom = 10;};

if ($this->params->get('gmapfp_autocomplete_adresse', 0)) {
	echo '
		<style type="text/css">
			.disable {color: grey; font-size: 80%; }
		</style>
	';
	$readonly = 'readonly="readonly"';
} else {
	echo '
		<style type="text/css">
			.enable {display: none; }
		</style>
	';
	$readonly = '';
};
?>
<script language="javascript" type="text/javascript">

	function validateForm( frm, my_task ) {
		var my_form = document.adminForm;
		if (my_task == 'cancel') {
			my_form.task.value = my_task;
			return true;
		}
		var valid = document.formvalidator.isValid(document.id('adminForm'));
		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if ((valid == false) || (my_form.nom.value == "") || (my_form.catid.value == "0") || !ValueIsReal) {
			if (ValueIsReal) {
				alert( "<?php echo JText::_( 'GMAPFP_NON_OK', true ); ?>" );
			}
			return false;
		} else {
			<?php
			echo $editor->save( 'text_message' );
			echo $editor->save( 'text_horaires_prix' );
			?>
			my_form.task.value = my_task;
			my_form.submit();
			return true;
		}
	}
</script>

<script language="javascript" type="text/javascript">
	<?php
	echo 'var field_catid_json = '.$this->extension_fields['json'].';'."\n";
	?>
	function display_catid_field() {
		var value = jQuery('#catid').val();
		
		if(Object.keys(field_catid_json).length > 0)
			for ( var cle in field_catid_json ) {
				var my_array_cat = field_catid_json[cle];
				var correspond = false;
				if (my_array_cat && value)
					for (var i = 0; i < my_array_cat.length; i++) {
						for (var j = 0; j < value.length; j++) {
							if (my_array_cat[i] == 'cat'+value[j]) {
								correspond = true;
							}
						}
					}
				if (correspond) {
					document.getElementById(cle).style.display = "table-row";
				} else {
					document.getElementById(cle).style.display = "none";
				}
			}
	}
</script>

<script language="javascript" type="text/javascript">
    var geocoder;
    var map;
    var marker1;
	var modif_adresse = false;
	var modif_codepostal = false;
	var modif_ville = false;
	var modif_departement = false;
	var modif_pay = false;

    function autocomplet_champs(latlng, change) {
	  //rcupre ville cp dpartement et pays
		if (latlng == "") latlng = marker1.getPosition();
		geocoder.geocode({'latLng': latlng}, function(results, status) {
		  if (status == google.maps.GeocoderStatus.OK) {
			  var adresse=""; var cp=""; var pays=""; var region=""; var dep=""; var dep=""; var canton="";
			if (results[0]) {
				for ( var i=0; i<results[0].address_components.length; i++) {
					switch (results[0].address_components[i].types[0]) {
						case "street_number":
							adresse = results[0].address_components[i].long_name;
							break;
						case "route":
							adresse = adresse + ' ' + results[0].address_components[i].long_name;
							break;
						case "postal_code":
							cp = results[0].address_components[i].long_name;
							break;
						case "country":
							pays = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_1": //FR:region US:state
							region = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_2": //FR:dpartement US:counties
							dep = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_3": //FR:canton US:?
							canton = results[0].address_components[i].long_name;
							break;
						case "locality":
							ville = results[0].address_components[i].long_name;
							break;
					}
				}
				<?php 
				if ($this->params->get('gmapfpadresse1_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0) and $this->params->get('gmapfp_autocomplete_adresse_adresse',1)==2) echo "if (!modif_adresse || change) document.getElementById('adresse').value = adresse;";
				if ($this->params->get('gmapfp_cp_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_codepostal || change) document.getElementById('codepostal').value = cp;";
				if ($this->params->get('gmapfp_pays_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_pay || change) document.getElementById('pay').value = pays;";
				switch ($this->params->get('gmapfp_autocomplete_adresse_dep',0)) {
					case 0 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = dep;";
					break;
					case 1 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = region;";
					break;
					case 2 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = canton;";
				}
				if ($this->params->get('gmapfp_ville_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_ville || change) document.getElementById('ville').value = ville;"; ?>
				UpdateAddress();
			} else {
			  alert("No results found");
			}
		  } else {
			alert("Geocoder failed due to: " + status);
		  }
		});		  
	}
	
    function init_GMapFP() {
		//redimensionne la lageur des editeurs
		if (window.addEventListener){
		 window.addEventListener("resize",resize,false);}  
		else if (window.attachEvent){
		 window.attachEvent("onresize",resize);
		}
		resize();

		UpdateAddress();
		geocoder = new google.maps.Geocoder();
        
		var lat, lng, zoom_carte;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom_carte = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		map = new google.maps.Map(document.getElementById("map"), myOptions);
		map.setMapTypeId('<?php echo $this->params->get('gmapfp_type_admin', 'ROADMAP')?>');

        var input = document.getElementById('autocomplete_adresse');
        var autocomplete = new google.maps.places.Autocomplete(input);

		google.maps.event.addListener(autocomplete, 'place_changed', function() {
			document.getElementById('localisation').value = document.getElementById('adresse').value + ' ' + document.getElementById('adresse2').value + ' ' + document.getElementById('autocomplete_adresse').value;
			showAddress(document.getElementById('localisation'));
		});

	  google.maps.event.addListener(map, "bounds_changed", function() {
		   document.adminForm.gzoom.value = map.getZoom();
	  });

		var infos_marqueur = ["http://www.google.com/mapfiles/marker.png", 20, 34, 10, 34];
		var image_marker = new google.maps.MarkerImage(
			infos_marqueur[0],
            new google.maps.Size(infos_marqueur[1], infos_marqueur[2]),
            new google.maps.Point(0,0),
            new google.maps.Point(infos_marqueur[3], infos_marqueur[4])
		);
		var shape_marker = {
			coord: [0, 0, infos_marqueur[1], infos_marqueur[2]],
			type: 'rect'
		};

      // Create a draggable marker which will later on be binded to a
      marker1 = new google.maps.Marker({
          map: map,
          position: new google.maps.LatLng(lat, lng),
          draggable: true,
            icon: image_marker,
			shape: shape_marker,
          title: '<?php echo JText::_( 'GMAPFP_DRAG_ME' ); ?>'
      });
	  google.maps.event.addListener(marker1, "drag", function() {
		document.adminForm.glat.value = marker1.getPosition().lat();
		document.adminForm.glng.value = marker1.getPosition().lng();
	  });
	  google.maps.event.addListener(marker1, "dragend", function() {
		autocomplet_champs(marker1.getPosition(), false);
	  });
    }

    // Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', pre_init_GMapFP);

	var tstIntGMapFP;
	
	function CheckGMapFP() {
		if (document.getElementById("map")) {
			if (document.getElementById("map").offsetWidth != document.getElementById("map").getAttribute("oldValue")) {
				document.getElementById("map").setAttribute("oldValue",document.getElementById("map").offsetWidth);
				init_GMapFP();
			}
		}
	}
	
	function pre_init_GMapFP() {
	   document.getElementById("map").setAttribute("oldValue",0);
	   tstIntGMapFP = setInterval("CheckGMapFP()",500);
	}

	function resize(){
			//Ajustement des fentres d'diteur		   
			var maDivForm = document.adminForm.offsetWidth;
			var maDivTitre = document.getElementById("gmapfp_titres").offsetWidth;
			var maDivEdit1 = document.getElementById("Edit1");
			var maDivEdit2 = document.getElementById("Edit2");
			var maTaille = ''+(maDivForm-maDivTitre-30)+'px';
			maDivEdit1.style.width = maTaille;
			maDivEdit2.style.width = maTaille;
	}

    function showAddress(e) {
		if (geocoder) {
			geocoder.geocode( { 'address' : e.value}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
				  map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.adminForm.glat.value = results[0].geometry.location.lat();
					document.adminForm.glng.value = results[0].geometry.location.lng();
					autocomplet_champs(results[0].geometry.location, false);
				} else {
				  alert(address + " not found for the following reason: " + status);
				}
			})
		}
    }

    function getCoordinate() {
		var lat, lng;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom = <?php echo $_zoom?>;

		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if (ValueIsReal) {
			var latlng = new google.maps.LatLng(lat, lng);
			map.setZoom(zoom_carte);
			map.setCenter(latlng);
			marker1.setPosition(latlng); 
			autocomplet_champs(latlng, false);
		}
    }
	
	function changeDisplayImage(chemin) {
		if (document.adminForm.img.value !='') {
			document.adminForm.imagelib.src=chemin + document.adminForm.img.value;
		} else {
			document.adminForm.imagelib.src='<?php echo JURI::root(); ?>images/gmapfp/blank/blank.png';
		}
	}

	function changeDisplayIcon(chemin) {
		if (document.adminForm.icon.value !='') {
			document.adminForm.imageicon.src=chemin + document.adminForm.icon.value;
		} else {
			document.adminForm.imageicon.src=chemin + '../blank/blank.png';
		}
	}

    function addphoto(namefile, file){
        var optX = new Option(file, namefile);
        var selX = document.adminForm.elements['img'];
        var lenghX = selX.length;
        selX.options[lenghX] = optX;
                selX.options[lenghX].selected = true;
    }

	function jSelectArticle(id, title, object) {
		document.getElementById(object + '_id').value = id;
		document.getElementById(object + '_name').value = title;
		document.getElementById('sbox-window').close();
	}

	function UpdateAddress(){
 		document.adminForm.localisation.value = document.adminForm.adresse.value + " " + document.adminForm.adresse2.value + " " + document.adminForm.codepostal.value + " " + document.adminForm.ville.value + " " + document.adminForm.departement.value + ", " + document.adminForm.pay.value;	
	}

	function IsReal(id){
		MonNombre=document.getElementById(id).value;
		if(isNaN(MonNombre))
		{
			alert("\"" + MonNombre + "\" <?php echo JText::_( 'GMAPFP_PAS_NOMBRE' ); ?>");
			return false;
		}	
		return true;
	}

	function change_disable (nom) {
		document.getElementById(nom).removeAttribute('readonly');
		document.getElementById('disable'+nom).className = "";
		document.getElementById('button'+nom).style.display = "none";
		eval('modif_'+nom+' = true;');
	}
	
	function Geolocalise() {
		if(navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(function(position) {
			  var pos = new google.maps.LatLng(position.coords.latitude,
											   position.coords.longitude);
				marker1.setPosition(pos);
				map.setCenter(pos);
				document.adminForm.glat.value = marker1.getPosition().lat();
				document.adminForm.glng.value = marker1.getPosition().lng();
				autocomplet_champs('', true);
				jQuery('#info_geolocalisation').html('');
			}, function() {
				jQuery('#info_geolocalisation').html('<?php echo JText::_('GMAPFP_ERROR_GEOLOC'); ?>');
			});
		} else {
			// Browser doesn't support Geolocation
			jQuery('#info_geolocalisation').html('<?php echo JText::_('GMAPFP_ERROR_GEOLOC_DONT_SUPPORT'); ?>');
		}	
	}
	
	//Ajoute les class de validation custom
		jQuery(document).ready(function(){
			document.formvalidator.setHandler('dropdown', function (value, element) {
				if(value == -1){
				   return false;
				}else{
				   return true;
				}
			});
			document.formvalidator.setHandler('tel', function(value, element) {
				var regex = /^(\+)?(\d| )*\.?\d*$/;
				return regex.test(value);
			});
			document.formvalidator.setHandler('checkbox', function (value, element) {
				var name = element.attr('name');
				var checkboxes = jQuery('input[name="'+name+'"]');
				var datalength = checkboxes.length;
				var check = false;

				for (i = 0; i < datalength; i++) {
					if (checkboxes[i].checked) check = true;
				}
				if (check)
					for (i = 0; i < datalength; i++) {
						checkboxes[i].removeClass('invalid');
					}
				
				if(check){
				   return true;
				}else{
				   return false;
				}
			});
			document.formvalidator.setHandler('url', function(value, element) {
				value = punycode.toASCII(value);
				var regex = /^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/\w \.-]*)*\/?$/;
				return regex.test(value);
			});
		});
	
</script>

<?php 
	//fonction dropfile
?>
<script language="javascript" type="text/javascript">
	jQuery(document).ready(function ($){
		$('#dropzonefp').unbind();
		$('#dropzonefp').filedrop({
			fallback_id: 'upload_filefp_input',   // an identifier of a standard file input element, becomes the target of \"click\" events on the dropzone
			url: 'index.php?option=com_gmapfp&controller=dropfiles&task=upload_image&<?php echo JSession::getFormToken();?>=1',              // upload handler, handles each file separately, can also be a function taking the file and returning a url
			paramname: 'image1',          // POST parameter name used on serverside to reference file, can also be a function taking the filename and returning the paramname
			maxfiles: 1,
			maxfilesize: 20,    // max file size in MBs
			queuefiles: 1,
			data: {
				module_id : function(){
					return $('input[name=id]').val(); 
				}
			},
			error: function(err, file) {
				switch(err) {
					case 'BrowserNotSupported':
						bootbox.alert(Joomla.JText._('GMAPFP_BROWSER_NOT_SUPPORT_HTML5'));
						break;
					case 'TooManyFiles':
						// user uploaded more than 'maxfiles'
						bootbox.alert(Joomla.JText._('GMAPFP_TOO_MANY_FILES') + ' !');
						break;
					case 'FileTooLarge':
						// program encountered a file whose size is greater than 'maxfilesize'
						// FileTooLarge also has access to the file which was too large
						// use file.name to reference the filename of the culprit file
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TOO_LARGE') + ' !');
						break;
					case 'FileTypeNotAllowed':
						// The file type is not in the specified list 'allowedfiletypes'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TYPE_NOT_ALLOWED') + ' !');
						break;
					case 'FileExtensionNotAllowed':
						// The file extension is not in the specified list 'allowedfileextensions'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_EXTENSION_TYPE_NOT_ALLOWED') + ' !');
						break;
					default:
						break;
				}
			},
			dragOver: function() {
				$(this).css('border', '3px dashed red');
				// user dragging files over #dropzone
			},
			dragLeave: function() {
				$(this).css('border', '3px dashed #BBBBBB');
				// user dragging files out of #dropzone
			},
			drop: function() {
				// user drops file
				$(this).css('border', '3px dashed #BBBBBB');
			},
			uploadStarted: function(i, file, len){
				// a file began uploading
				// i = index => 0, 1, 2, 3, 4 etc
				// file is the actual file of the index
				// len = total files user dropped
				var bar = $('<div class="progress progress-striped active">'+
								'<div class="bar"></div>'+
							'</div>');
				$('#gmapfp_image').append(bar);
				
				var preview = $('#gmapfp_image');
				var image = $('img', preview);

				var reader = new FileReader();

				reader.onload = function(e){

						// e.target.result holds the DataURL which
						// can be used as a source of the image:

						image.attr('src',e.target.result);
				};

				// Reading the file as a DataURL. When finished,
				// this will trigger the onload function above:
				reader.readAsDataURL(file);

				preview.appendTo('#gmapfp_image');
				// Associating a preview container
				// with the file, using jQuery's $.data():

				$.data(file,preview);
			},
			uploadFinished: function(i, file, response, time) {
				// response is the data you got back from server in JSON format.
				var preview = $('#gmapfp_image');
				var image = $('img', preview);
				if (response.response != true) {
					bootbox.alert(response.datas);
					if ($('#img').val()) {
						image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/thumbsArt/' + $('#img').val());
					} else {
						image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/blank/blank.png');
					}
					preview.appendTo('#gmapfp_image');
				} else {
					$('<option />', {val: response.datas, text: file.name}).appendTo($('#img'))
					$('#img option[value="' + response.datas + '"]').attr('selected', 'selected');
					// $('#img').trigger('chosen:updated'); //nouvelle methode
					$('#img').val(response.datas).trigger('liszt:updated'); //ancienne methode
					image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/thumbsArt/' + response.datas);
					preview.appendTo('#gmapfp_image');
				}
			},
			progressUpdated: function(i, file, progress) {
				// this function is used for large files and updates intermittently
				// progress is the integer value of file being uploaded percentage to completion
				$.data(file).find('.progress .bar').width(progress+'%');
			},
			beforeEach: function(file) {
				// file is a file object
				// return false to cancel upload
				if(!file.type.match(/^image\//)){
					bootbox.alert(Joomla.JText._('GMAPFP_ONLY_IMAGE_ALLOWED') + ' !');
					return false;
				}
				/*
				var id_insert = $.md5(file.name);
				var id_audio = 	'#'+id_insert;			
				if ($(id_audio).val()=='') {
					bootbox.alert(Joomla.JText._('GMAPFP_ALREADY_EXIST') + ' !');
					return false;
				}*/
			},
			afterAll: function() {
				// runs after all files have been uploaded or otherwise dealt with
				$('#dropzonefp .progress').delay(300).fadeIn(300).hide(300, function(){
				  $(this).remove();
				});
			}
		});
		jQuery('#upload_filefp_button').on('click',function(){
			jQuery('#upload_filefp_input').trigger('click');
			return false;
		});
	});

</script>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
</h1>
</div>
<?php endif; ?>

<form action="<?php echo JRoute::_('index.php?',false);//echo JRoute::_('index.php?option=com_gmapfp&view=editlieux&controller=editlieux',false); ?>" class="gmapfp " method="post" name="adminForm" id="adminForm">
	<div style="height:70px">
    <div class="toolbar" id="toolbar" style="height:70px"> 
		<table class="toolbar"><tr> 
 
            <td> 
            <button name="apply" class="button_gmapfp" onclick="return validateForm(this, 'apply');">
                <span class="icon-32-apply" title="<?php echo JText::_( 'GMAPFP_APPLY' ); ?>"> 
                </span> 
                <?php echo JText::_( 'GMAPFP_APPLY' ); ?>
            </button>
            </td> 
             
            <td> 
            <button name="save" class="button_gmapfp" onclick="return validateForm(this, 'save');" >
                <span class="icon-32-save" title="<?php echo JText::_( 'JSAVE' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JSAVE' ); ?>
            </button>
            </td> 
             
        <?php if ((($this->params->get('nombre_manage') > $this->total) or ($this->params->get('nombre_manage')=="")) and $this->canDo['core.create']) {?>
            <td> 
            <button name="save" class="button_gmapfp" onclick="return validateForm(this, 'save_copie');" >
                <span class="icon-32-save" title="<?php echo JText::_( 'GMAPFP_JSAVE_COPIE' ); ?>"> 
                </span> 
                <?php echo JText::_( 'GMAPFP_JSAVE_COPIE' ); ?>
            </button>
            </td> 
        <?php };?>
             
            <td>
            <button name="cancel" class="button_gmapfp" onclick="return validateForm(this, 'cancel');" >
                <span class="icon-32-cancel" title="<?php echo JText::_( 'JCANCEL' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JCANCEL' ); ?>
            </button>
            </td>
 
        </tr></table> 
    </div>
    </div>

<div id="gmapfp_submit">
	<table class="adminform">
		<tr>
			<td style="width:100px;" id="gmapfp_titres" class="key">
				<label for="nom">
					<?php 
                        if (@$this->custom[6]->nom) {
                            echo $this->custom[6]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_NOM' );
                        }
                    ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->nom); ?>" />
			</td>
		</tr>
		<tr>
			<td style="width:100px;" align="right" class="key">
				<label for="alias">
					<?php echo JText::_( 'JFIELD_ALIAS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="alias" id="alias" placeholder="<?php echo JText::_( 'JFIELD_ALIAS_PLACEHOLDER' ); ?>" size="32" maxlength="250" value="<?php echo $this->items->alias;?>" />
			</td>
		</tr>
		<tr>
			<td style="width:100px;" class="key">
				<label for="catid">
					<?php echo JText::_( 'JCATEGORY' ); ?>
                </label>
			</td>
			<td>
				<?php
					echo $this->lists['catid'];
				?>
			</td>
		</tr>
		<tr <?php if ($this->canDo['core.edit.state']!=1) {echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
				<label for="published">
				<?php echo JText::_( 'JPUBLISHED' ); ?>
                </label>
			</td>
			<td class="controls">
				<fieldset class="radio btn-group">
					<input type="radio" name="published" id="published0" value="0"  <?php if (!$this->items->published) echo 'checked="checked"' ?>>
					<label for="published0" class="btn"><?php echo JText::_( 'JNO' ); ?></label>
					<input type="radio" name="published" id="published1" value="1"  <?php if ($this->items->published) echo 'checked="checked"' ?>>
					<label for="published1" class="btn"><?php echo JText::_( 'JYES' ); ?></label>
				</fieldset>
			</td>
		</tr>
		<tr <?php if ($this->canDo['core.edit.state']!=1) {echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
				<label for="featured">
				<?php echo JText::_( 'JFEATURED' ); ?>
                </label>
			</td>
			<td class="controls">
				<fieldset class="radio btn-group">
					<input type="radio" name="featured" id="featured0" value="0"  <?php if (!$this->items->featured) echo 'checked="checked"' ?>>
					<label for="featured0" class="btn"><?php echo JText::_( 'JNO' ); ?></label>
					<input type="radio" name="featured" id="featured1" value="1"  <?php if ($this->items->featured) echo 'checked="checked"' ?>>
					<label for="featured1" class="btn"><?php echo JText::_( 'JYES' ); ?></label>
				</fieldset>
			</td>
		</tr>
    </table>
   <?php             
		echo JHtml::_('bootstrap.startTabSet', 'content-sliders-'.$this->items->id, array('active' => 'adminform'));
		echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminform', JText::_( 'GMAPFP_LOCALISATION' ));
    ?>
	<div class="clearboth"></div>
	<div class="adminform">
		<div class="col_gauche span8">
			<table>
				<?php
					if (@$this->extension_fields[0])
					foreach($this->extension_fields[0] as $field) {
						echo $field;
					};
				?>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==2) { ?>
					<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
						<td class="key">
							<label for="codepostal">
								<?php echo JText::_( 'GMAPFP_VILLE' ); ?>
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
							<input type="button" class="btn" onclick="Geolocalise();" value="<?php echo JText::_('GMAPFP_ME_LOCALISER'); ?>"> 
						</td>
					</tr>
				<?php } ?>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==1) { ?>
					<tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?>>
						<td style="width:100px;" class="key">
							<label for="adresse">
								<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="adresse" id="adresse" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" onchange="UpdateAddress()"/>
						</td>
					</tr>
				<?php } else { ?>
					<tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?> id="disableadresse" class="disable">
						<td style="width:100px;" class="key">
							<label for="adresse">
								<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="adresse" id="adresse" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" onchange="UpdateAddress()" <?php echo $readonly; ?>/>
							<div class="blank enable" id="buttonadresse" style="margin-right:5px; float: left;"> 
									<input type="button" style="margin:0px;" class="btn" onclick="change_disable('adresse');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
							</div> 
						</td>
					</tr>
				<?php } ?>
				<tr <?php if (@$this->params->get('choix_adr2')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td style="width:100px;" class="key">
						<label for="adresse2">
							<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 2
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="adresse2" id="adresse2" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse2); ?>" onchange="UpdateAddress()"/>
					</td>
				</tr>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==1) { ?>
					<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
						<td class="key">
							<label for="codepostal">
								<?php echo JText::_( 'GMAPFP_VILLE' ); ?>
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
							<input type="button" class="btn" onclick="Geolocalise();" value="<?php echo JText::_('GMAPFP_ME_LOCALISER'); ?>"> 
						</td>
					</tr>
				<?php } ?>
				<tr <?php if (@$this->params->get('choix_cp')){echo 'style="display: none; visibility: hidden;"';}?> id="disablecodepostal" class="disable">
					<td style="width:100px;" class="key">
						<label for="codepostal">
							<?php echo JText::_( 'GMAPFP_CODEPOSTAL' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="codepostal" id="codepostal" size="30" maxlength="80" value="<?php echo str_replace('"', '&quot;',$this->items->codepostal); ?>" onchange="UpdateAddress();"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttoncodepostal" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="btn" onclick="change_disable('codepostal');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if (@$this->params->get('choix_ville')){echo 'style="display: none; visibility: hidden;"';}?> id="disableville" class="disable">
					<td style="width:100px;" class="key">
						<label for="ville">
							<?php echo JText::_( 'GMAPFP_VILLE' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="ville" id="ville" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->ville); ?>" onchange="UpdateAddress();"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttonville" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="btn" onclick="change_disable('ville');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if (@$this->params->get('choix_dep')){echo 'style="display: none; visibility: hidden;"';}?> id="disabledepartement" class="disable">
					<td style="width:100px;" class="key">
						<label for="departement">
							<?php echo JText::_( 'GMAPFP_DEPARTEMENT' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="departement" id="departement" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->departement); ?>" onchange="UpdateAddress()"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttondepartement" style="margin-right:5px; float: left;"> 
							<input type="button" style="margin:0px;" class="btn" onclick="change_disable('departement');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if (@$this->params->get('choix_pays')){echo 'style="display: none; visibility: hidden;"';}?> id="disablepay" class="disable">
					<td style="width:100px;" class="key">
						<label for="pay">
							<?php echo JText::_( 'GMAPFP_PAYS' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="pay" id="pay" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->pay); ?>" onchange="UpdateAddress()"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttonpay" style="margin-right:5px; float: left;"> 
							<input type="button" style="margin:0px;" class="btn" onclick="change_disable('pay');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
					<td>
					</td>
					<td>
						<input type="button" class="btn" onclick="autocomplet_champs('', true);" value="<?php echo JText::_('GMAPFP_REACATUALISER_DESC'); ?>" />
					</td>
				</tr>
				<?php
					if (@$this->extension_fields[1])
					foreach($this->extension_fields[1] as $field) {
						echo $field;
					};
				?>
				<?php
					if (@$this->extension_fields[2])
					foreach($this->extension_fields[2] as $field) {
						echo $field;
					};
				?>
				<tr <?php if (@$this->params->get('choix_email')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td style="width:100px;" class="key">
						<label for="email">
							<?php echo JText::_( 'GMAPFP_EMAIL' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="email" name="email" id="email" size="30" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->email); ?>" />
					</td>
				</tr>
				<tr <?php if (@$this->params->get('choix_web')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td style="width:100px;" class="key">
						<label for="web">
							<?php echo JText::_( 'GMAPFP_SITE_WEB' ); ?>
						</label>
					</td>
					<td>
						<input class="inputbox" type="url" name="web" id="web" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->web); ?>" />
					</td>
				</tr>
				<?php
					if (@$this->extension_fields[3])
					foreach($this->extension_fields[3] as $field) {
						echo $field;
					};
				?>
			</table>
		</div>
		<div class="col_droite span4">
			<table>
				<tr <?php if ((!$this->params->get('choix_list_image'))&&(!$this->params->get('choix_upload_image'))){echo 'style="display: none; visibility: hidden;"';}?>>
					<td valign="top">
						<?php 
							if (@$this->params->get('choix_upload_image')){
								$id_data = 'id="dropzonefp"';
							} else {
								$id_data = 'id="imgzonefp"';
							}
						?>							
						<div <?php echo $id_data; ?>>
							<label for="img" style="cursor:default;">
								<?php echo JText::_('GMAPFP_IMAGE'); ?>:
								<?php if ($this->params->get('gmapfp_submit_picture')){echo $image;} ?>
							</label>
							<?php 
								if (@$this->params->get('choix_upload_image')){
							?>															
								<label class="drop_info" style="cursor:default;">
									<?php echo JText::_('GMAPFP_DROP_ZONE_IMAGE'); ?>
								</label>
							<?php 
								};
							?>															
							<div id="gmapfp_image" style="overflow:auto;">
							<?php 
								$directory		= JURI::root().'images/gmapfp/thumbsArt/';
			
								if ((stristr($this->items->img,'bmp'))||(stristr($this->items->img,'gif'))||(stristr($this->items->img,'jpg'))||(stristr($this->items->img,'jpeg'))||(stristr($this->items->img,'png'))) {
									?>
									<img src="<?php echo $directory.$this->items->img; ?>" name="imagelib"/>
									<?php
								} else {
									?>
									<img src="images/gmapfp/blank/blank.png" name="imagelib" />
									<?php
								}
							?>
								<br />
								<?php if($this->params->get('choix_upload_image')) { ?>
									<input type="file" id="upload_filefp_input" multiple="">
									<a href="" id="upload_filefp_button" class="btn btn-primary"><i class="icon-picture"></i>&nbsp;<?php echo '&nbsp;&nbsp;&nbsp;'.JText::_('GMAPFP_UPLOAD') ?></span></a>
								<?php }; ?>
							</div>
						</div>
						<?php 
							echo '<div '; if (!@$this->params->get('choix_list_image')){echo 'style="display: none; visibility: hidden;"';}; echo'>';
								echo $this->lists['images'];
							echo'</div>';
						?>
				   </td>
				</tr>
			</table>
		</div>
	</div>
    <table>
        <?php $adresselocalisation = "".$this->items->adresse." ".$this->items->adresse2." ".$this->items->codepostal." ".$this->items->ville." ".$this->items->pay.""; ?>
        <tr>
			<td style="width:100px;" class="key">
            	<label for="localisation">       
            		<?php echo JText::_('GMAPFP_MAJ_ADRESSE'); ?>
            	</label>
            </td>
            <td valign="top">
            	<input type="text" style="width:90% !important" id="localisation" name="localisation" value=<?php echo ('"'.str_replace('"', '&quot;',$adresselocalisation).'"'); ?> /><input type="button" class="btn" onclick="showAddress(document.adminForm.localisation);" value="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            </td>
		</tr>
        <tr <?php if (@$this->params->get('choix_lat_lng')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="glat">
                	<?php echo JText::_('GMAPFP_LAT'); ?>
              	</label>
            	<label for="glng">
                	 - <?php echo JText::_('GMAPFP_LON'); ?>
              	</label>
            	<label for="gzoom">
                	- Zoom:
              	</label>
            </td>
            <td valign="top">
                <input class="inputbox" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="20" maxlength="30" value="<?php echo $this->items->glat ?>" />
                <input class="inputbox" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="20" maxlength="30" value="<?php echo $this->items->glng ?>" />
                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="2" maxlength="12" value="<?php echo $this->items->gzoom ?>" />
                <input type="button" class="btn" onclick="getCoordinate();" value="<?php echo JText::_('GMAPFP_CHERCHER_COORDONNEES'); ?>" />
            </td>
    	</tr>
        <tr <?php if (@$this->params->get('choix_map')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
              	<label for="title">
              		<?php echo JText::_('GMAPFP_CARTE'); ?>
              	</label>
            </td>
            <td>
            	<div id="map" style="width:100%; height:<?php echo $this->params->get('gmapfp_height');?>px; overflow:hidden;"></div>
				<div id="info_geolocalisation" class="gmapfp_geolocal_info2"></div>
            </td>
        </tr>
		<?php 
		if ($this->params->get('choix_marqueur')) {
			echo '<tr>';
		} else {
			echo '<tr style="display: none;">';
		}
		?>
			<td style="width:100px;" class="key">
				<label for="marker"><?php echo JText::_( 'GMAPFP_MARKER' ); ?></label>
			</td>
			<td>
				<table>
					<tr>
					<?php 
						$marqueurs = '';
						$marqueur_cat = '';
						$id_marqueur_cat = 0;
						$marqueurs_a_afficher = $this->params->get('marqueur_def', array());
						if (!is_array($marqueurs_a_afficher)) $marqueurs_a_afficher = array($marqueurs_a_afficher);
						$deja_checked = false;
						if (property_exists($this, 'items') and property_exists($this->items, 'cat_params') and property_exists(json_decode($this->items->cat_params), 'default_marqueur_categories'))$id_marqueur_cat = json_decode($this->items->cat_params)->default_marqueur_categories;
						$cnt = 0;
						foreach($this->marqueurs as $marqueur) {
							if (empty($marqueurs_a_afficher) or in_array($marqueur->id, $marqueurs_a_afficher)) { /**/
								$checked = '';
								if (empty($this->items->index_marqueur) and (in_array(0, $marqueurs_a_afficher) or empty($marqueurs_a_afficher))) { $checked = 'checked="checked"'; }
								if (empty($marqueurs_a_afficher) and ($marqueur->id == $id_marqueur_cat or (!$id_marqueur_cat and !$cnt)) or in_array(0, $marqueurs_a_afficher)) {
									$marqueur_cat = '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.JUri::root().'images/gmapfp/marqueurs/cat_default.png" title="'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="0" '.$checked.' /></div>';
								}
								$checked = '';
								if ((!empty($marqueurs_a_afficher) and !in_array(0, $marqueurs_a_afficher) and in_array($marqueur->id, $marqueurs_a_afficher) and !$deja_checked) or $this->items->index_marqueur == $marqueur->id) { 
									$checked = 'checked="checked"'; 
									$deja_checked = true;
								}
								$marqueurs .= '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:'.($marqueur->marker_width+10).'px; text-align: center;"><img src="'.str_replace('..', JUri::root(), $marqueur->url).'" title="'.$marqueur->nom.'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="'.$marqueur->id.'" '.$checked.' /></div>';
								$cnt++;
							}
						}
						echo $marqueur_cat.$marqueurs;
						unset($marqueur);
					?>
					</tr>
				</table>
			</td>
		</tr>
	</table>
   <?php             
	echo JHtml::_('bootstrap.endTab');
	if (!$this->params->get('choix_classements') or !$this->params->get('choix_labels') or !$this->params->get('choix_pictos')) {
		echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminicon', JText::_( 'GMAPFP_ICONS' ));
	}
    ?>            
	<div class="clearboth"></div>
	<table style="min-height:400px;">
        <tr <?php if (@$this->params->get('choix_classements'))echo 'style="display: none; visibility: hidden;"'; else echo'style=" height: 40px; "';?>>
            <td width="110" class="key">
                <label for="classements">
                <?php 
                    echo JText::_( 'GMAPFP_CLASSEMENTS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox">
                <?php echo $this->lists['classements']; ?>
            </td>
        </tr>
        <tr <?php if (@$this->params->get('choix_labels'))echo 'style="display: none; visibility: hidden;"'; else echo'style=" height: 40px; "';?>>
            <td width="110" class="key">
                <label for="labels">
                <?php 
                    echo JText::_( 'GMAPFP_LABELS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox">
                <?php echo $this->lists['labels']; ?>
            </td>
        </tr>
        <tr <?php if (@$this->params->get('choix_pictos')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="110" class="key" style=" vertical-align: top; ">
                <label for="pictos">
                <?php 
                    echo JText::_( 'GMAPFP_PICTOS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox" style=" vertical-align: top; ">
                <?php echo $this->lists['pictos']; ?>
            </td>
        </tr>
	</table>
   <?php             
		if (!$this->params->get('choix_classements') or !$this->params->get('choix_labels') or !$this->params->get('choix_pictos')) {
			echo JHtml::_('bootstrap.endTab');
		}
		echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'admindetail', JText::_( 'GMAPFP_DETAILS' ));
    ?>            
	<div class="clearboth"></div>
	<table>
		<?php
            if (@$this->extension_fields[4])
            foreach($this->extension_fields[4] as $field) {
                echo $field;
            };
        ?>
    	<tr <?php if (@$this->params->get('choix_message')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="text_message">
					<?php 
                        if (@$this->custom[10]->nom) {
                            echo $this->custom[10]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_MESSAGE' );
                        }
                    ?>
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<div id="Edit1" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						echo '<textarea class="inputbox" rows="6" cols="" style="width:90%;" id="text_message" name="text_message">'.$this->items->text.'</textarea>';
					}else{
                    	echo $editor->display( 'text_message', $this->items->text, '90%', '100', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_horaire')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="text_horaires_prix">
					<?php 
                        if (@$this->custom[11]->nom) {
                            echo $this->custom[11]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_HORAIRES_PRIX' );
                        }
                    ?>
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<div id="Edit2" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						echo '<textarea class="inputbox" rows="6" cols="" style="width:90%;" id="text_horaires_prix" name="text_horaires_prix">'.$this->items->horaires_prix.'</textarea>';
					}else{
                    	echo $editor->display( 'text_horaires_prix', $this->items->horaires_prix, '90%', '100', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
		<?php
            if (@$this->extension_fields[5])
            foreach($this->extension_fields[5] as $field) {
                echo $field;
            };
        ?>
		<?php
            if (@$this->extension_fields[7])
            foreach($this->extension_fields[7] as $field) {
                echo $field;
            };
        ?>
	</table>
   <?php             
		echo JHtml::_('bootstrap.endTab');
		if (@$this->params->get('gmapfp_view_galerie')) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'admingalerie', JText::_( 'GMAPFP_GALERIE' ));
		}
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_galerie')) { ?>
        <table class="admintable" width="100%" style="min-height:400px;">
            <tr>
                <td width="100%">
                    <?php 
                        if ($this->items->id){
                    ?>            
            <iframe src="index.php?option=com_gmapfp&controller=editlieux&task=galerie&tmpl=component&cid=<?php echo $this->items->id;?>" id="folderframe" name="folderframe" width="100%" height="420px" marginwidth="0" marginheight="0" scrolling="auto" frameborder="0"></iframe>
                    <?php 
                        }else{
                            echo JText::_('GMAPFP_VALIDATE_BEFORE');
                        }
                    ?>            
                </td>
            </tr> 
        </table>
   <?php }; ?>
   <?php             
		if (@$this->params->get('gmapfp_view_galerie'))
			echo JHtml::_('bootstrap.endTab');
		
		//Traite les ongles perso
		foreach ($this->pane_name as $key => $pane_name) {
			$html = '';
			$display = '" style = "display:none;';
			foreach ($this->extension_fields as $key2 => $gmapfp_pane) {
				if (is_numeric($key2) and $key == (0-$key2)) {
					foreach ($gmapfp_pane as $datas) {
						$html .= $datas;
						if (substr($datas, 12, 5) != 'style') $display = '';
					}
				}
			}
			if ($html) {
				echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'perso_pane_'.$key.$display, str_replace("'", "&apos;", $pane_name['nom']));
				echo '<table class="admintable">';
				echo $html;
				echo '</table>';
				echo JHtml::_('bootstrap.endTab');
			}
		}

			
		if (@$this->params->get('gmapfp_view_external_link')) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminexterne', JText::_( 'GMAPFP_EXTERNE' ));
		}
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_external_link')) { ?>
        <table class="admintable" style="min-height:400px;">
            <tr>
                <td class="key">
                    <label for="id_name">
                        <?php echo JText::_( 'GMAPFP_LINK' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="text_link" id="id_name" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->link); ?>" />
                </td>
            </tr>
            <tr>
                <td width="30%" class="key">
                    <label for="icon">
                        <?php echo JText::_('GMAPFP_ICON'); ?>:
                    </label>
                </td>
                <td valign="center"">
                    <?php 
						$chemin			= 'images/gmapfp/icons';
						$directory		= JURI::root().'/'.$chemin.'/';
						$javascript		= 'onchange="changeDisplayIcon('."'".$directory."'".');"';
						echo "<span>/images/gmapfp/icons/ ";
						echo $lists		= JHTML::_('list.images', 'icon', $this->items->icon, $javascript, $chemin, "bmp|gif|jpg|jpeg|png"  );
						echo "</span><span>";
						if ((stristr($this->items->icon,'bmp'))||(stristr($this->items->icon,'gif'))||(stristr($this->items->icon,'jpg'))||(stristr($this->items->icon,'jpeg'))||(stristr($this->items->icon,'png'))) {
                            echo '<img src='.$directory.$this->items->icon.' name="imageicon" style="height:32px;" />';
						} else {
                            echo '<img src="images/gmapfp/blank/blank.png" name="imageicon" style="height:32px;" />';
						}
						echo "</span>";
                   ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="icon_label">
                        <?php echo JText::_( 'GMAPFP_ICON_LABEL' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="icon_label" id="icon_label" size="60" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->icon_label); ?>" />
                </td>
            </tr>
        </table>
   <?php }; ?>
   <?php             
		if (@$this->params->get('gmapfp_view_external_link'))
			echo JHtml::_('bootstrap.endTab');
		if ($this->params->get('gmapfp_view_publishing', 1) || $this->params->get('choix_meta', 1) || $this->params->get('choix_langue', 1)) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminautre', JText::_( 'GMAPFP_AUTRE' ));
		}
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_publishing')) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'GMAPFP_PUBLISHING' ); ?></legend>
	<table class="admintable" style="width:100%">
        <tr>
            <td class="key">
                <label for="publish_up">
                    <?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_UP_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php 
				if ($this->items->publish_up == '' or $this->items->publish_up == '0000-00-00 00:00:00') $publish_up = '';
				else $publish_up = JHtml::_('date',  $this->items->publish_up, 'Y-m-d H:i:s' );
				echo JHTML::_('calendar', $publish_up, 'publish_up', 'publish_up', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19')); 
				?>
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="publish_down">
                    <?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_DOWN_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php 
				if ($this->items->publish_down == '' or $this->items->publish_down == '0000-00-00 00:00:00') $publish_down = '';
				else $publish_down = JHtml::_('date',  $this->items->publish_down, 'Y-m-d H:i:s' );
				echo JHTML::_('calendar', $publish_down, 'publish_down', 'publish_down', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19')); 
				?>
            </td>
        </tr>
        <tr>
            <td valign="top" class="key">
                <label for="access">
                    <?php echo JText::_( 'JFIELD_ACCESS_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['access']; ?>
            </td>
        </tr>
    </table>
    </fieldset>
    <?php }; ?>
	<?php if ($this->params->get('choix_langue', 1)) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?></legend>
	<table class="admintable" style="width:100%">
		<tr>
			<td style="width:100px;" class="key">
				<label for="language">
					<?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?>
				</label>
			</td>
			<td>
                <?php echo $this->lists['langue']; ?>
			</td>
		</tr>
	</table>
	</fieldset>
    <?php }; ?>
	<?php if (@$this->params->get('choix_meta')) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'GMAPFP_MOTEUR' ); ?></legend>
	<table class="admintable" style="width:100%">
		<tr>
			<td style="width:100px;" class="key">
				<label for="metadesc">
					<?php echo JText::_( 'JFIELD_META_DESCRIPTION_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metadesc" id="metadesc" cols="50" rows="3"><?php echo $this->items->metadesc; ?></textarea>
			</td>
		</tr>
		<tr>
			<td style="width:100px;" class="key">
				<label for="metakey">
					<?php echo JText::_( 'JFIELD_META_KEYWORDS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metakey" id="metakey" cols="50" rows="3"><?php echo $this->items->metakey; ?></textarea>
			</td>
		</tr>
	</table>
	</fieldset>
    <?php }; ?>
	<?php if (@$this->extension_fields[6]) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'JHIDE' ); ?></legend>
	<table class="admintable" style="width:100%">
   <?php             
		
		foreach($this->extension_fields[6] as $field) {
			echo $field;
		};
	?>
	</table>
	</fieldset>
    <?php }; ?>
   <?php             
		if (@$this->params->get('gmapfp_view_publishing'))
			echo JHtml::_('bootstrap.endTab');
		echo JHtml::_('bootstrap.endTabSet');
    ?>            
    
</div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->items->id; ?>" />
<input type="hidden" name="version" value="<?php echo $this->items->version; ?>" />
<input type="hidden" name="created_by" value="<?php echo $this->items->created_by; ?>" />
<input type="hidden" name="created" value="<?php echo $this->items->created; ?>" />
<input type="hidden" name="hits" value="<?php echo $this->items->hits; ?>" />
<input type="hidden" name="metadata" value='<?php echo $this->items->metadata; ?>' />
<input type="hidden" name="sef" value='<?php echo $this->items->sef; ?>' />
<input type="hidden" name="kml" value='<?php echo $this->items->kml; ?>' />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="editlieux" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php if ($this->params->get('gmapfp_licence')) : ?>
    <div class="copyright" align="center">
        <br />
        <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
    </div>
<?php endif; ?>
