<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.108pro
	* Creation date: Mars 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');

	$document = JFactory::getDocument();
	$document->addScriptDeclaration("
	window.addEvent('domready', function() {
		window.top.document.updateUploader && window.top.document.updateUploader();
		$$('a.img-preview').each(function(el) {
			el.addEvent('click', function(e) {
				new Event(e).stop();
				window.top.document.preview.fromElement(el);
			});
		});
	});");

?>
<?php 
	//fonction dropfile
?>
<script language="javascript" type="text/javascript">
	jQuery(document).ready(function ($){
		$('#dropzonefp').unbind();
		$('#dropzonefp').filedrop({
			fallback_id: 'upload_filefp_input',   // an identifier of a standard file input element, becomes the target of \"click\" events on the dropzone
			url: 'index.php?option=com_gmapfp&controller=dropfiles&task=file_upload_galerie&<?php echo JSession::getFormToken();?>=1',              // upload handler, handles each file separately, can also be a function taking the file and returning a url
			paramname: 'image1',          // POST parameter name used on serverside to reference file, can also be a function taking the filename and returning the paramname
			maxfiles: 15,
			maxfilesize: 20,    // max file size in MBs
			queuefiles: 2,
			data: {
				module_id : function(){
					return $('input[name=id]').val(); 
				},
				cid : <?php echo $this->items->id; ?>
			},
			error: function(err, file) {
				switch(err) {
					case 'BrowserNotSupported':
						bootbox.alert(Joomla.JText._('GMAPFP_BROWSER_NOT_SUPPORT_HTML5'));
						break;
					case 'TooManyFiles':
						// user uploaded more than 'maxfiles'
						bootbox.alert(Joomla.JText._('GMAPFP_TOO_MANY_FILES') + ' !');
						break;
					case 'FileTooLarge':
						// program encountered a file whose size is greater than 'maxfilesize'
						// FileTooLarge also has access to the file which was too large
						// use file.name to reference the filename of the culprit file
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TOO_LARGE') + ' !');
						break;
					case 'FileTypeNotAllowed':
						// The file type is not in the specified list 'allowedfiletypes'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TYPE_NOT_ALLOWED') + ' !');
						break;
					case 'FileExtensionNotAllowed':
						// The file extension is not in the specified list 'allowedfileextensions'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_EXTENSION_TYPE_NOT_ALLOWED') + ' !');
						break;
					default:
						break;
				}
			},
			dragOver: function() {
				$(this).css('border', '3px dashed red');
				// user dragging files over #dropzone
			},
			dragLeave: function() {
				$(this).css('border', '3px dashed #BBBBBB');
				// user dragging files out of #dropzone
			},
			drop: function() {
				// user drops file
				$(this).css('border', '3px dashed #BBBBBB');
			},
			uploadStarted: function(i, file, len){
				// a file began uploading
				// i = index => 0, 1, 2, 3, 4 etc
				// file is the actual file of the index
				// len = total files user dropped
				var preload = $('<div id="preload" style="float: left; width: 200px; height:200px;">'+
								'<img style="height:90px;" src="">'+
								'<div class="progress progress-striped active">'+
									'<div class="bar"></div>'+
								'</div>'+
							'</div>');
				$('#gmapfp_image').append(preload);
				
				var preview = $('#preload');
				var image = $('img', preview);

				var reader = new FileReader();

				reader.onload = function(e){
						// e.target.result holds the DataURL which
						image.attr('src',e.target.result);
				};

				// Reading the file as a DataURL. When finished,
				// this will trigger the onload function above:
				reader.readAsDataURL(file);

				preview.appendTo('#gmapfp_image');
				// Associating a preview container
				// with the file, using jQuery's $.data():

				$.data(file,preview);
			},
			uploadFinished: function(i, file, response, time) {
				// response is the data you got back from server in JSON format.
				if (response.response != true) {
					bootbox.alert(response.datas);
					$('#preload').remove();
				} else {
					var preview = $(''+
								'<div class="imgOutline">'+
									'<div class="imgTotal">'+
										'<div style="align:center; height:100%; width:100%;" class="imgBorder">'+
											'<a class="modal" href="<?php echo JURI::base(); ?>images/gmapfp/GA<?php echo $this->items->id; ?>/' + file.name + '" title="' + file.name + '" style="display: block; width: 100%; height: 100%">'+
												'<div class="image">'+
													'<img class="thumb" src="<?php echo JURI::base(); ?>images/gmapfp/GA<?php echo $this->items->id; ?>/thumbs/' + file.name + '" title="' + file.name + '" alt="' + file.name + '" border="0" >'+
												'</div></a>'+
										'</div>'+
									'</div>'+
									'<div class="controls" style="height:25px;">'+
										'<a class="delete-item" href="<?php echo JURI::base(); ?>index.php?option=com_gmapfp&controller=editlieux&task=file_delete&tmpl=component&<?php echo JSession::getFormToken(); ?>=1&cid=<?php echo $this->items->id; ?>&rm[]=' + file.name + '" rel="' + file.name + '"><img src="media/com_gmapfp/images/editlieux/publish_r.png" width="16" height="16" border="0" title="<?php echo JText::_( 'JACTION_DELETE' ); ?>" alt="<?php echo JText::_( 'JACTION_DELETE' ); ?>" ></a>'+
										'<a class="delete-item" href="<?php echo JURI::base(); ?>index.php?option=com_gmapfp&controller=editlieux&task=infos&tmpl=component&<?php echo JSession::getFormToken(); ?>=1&cid=<?php echo $this->items->id; ?>&file=' + file.name + '&num=<?php echo '0'; ?>" rel="' + file.name + '"><img src="media/com_gmapfp/images/editlieux/info.png" width="16" height="16" border="0" title="<?php echo JText::_( 'JGLOBAL_DESCRIPTION' ); ?>" alt="<?php echo JText::_( 'GMAPFP_ADD_COMMENT' ); ?>" ></a>'+
									'</div>'+
									'<div class="imginfo">'+
										'<a class="modal" href="<?php echo JURI::base(); ?>images/gmapfp/GA<?php echo $this->items->id; ?>/' + file.name + '" title="' + file.name + '">' + file.name.substr(0,10) + '...' + '</a>'+
									'</div>'+
								'</div>'+
					'');
					preview.appendTo('#gmapfp_image');
					$('#preload').remove();
					SqueezeBox.assign($('a.modal').get(), {
						parse: 'rel'
					});
				}
			},
			progressUpdated: function(i, file, progress) {
				// this function is used for large files and updates intermittently
				// progress is the integer value of file being uploaded percentage to completion
				$.data(file).find('.progress .bar').width(progress+'%');
			},
			beforeEach: function(file) {
				// file is a file object
				// return false to cancel upload
				if(!file.type.match(/^image\//)){
					bootbox.alert(Joomla.JText._('GMAPFP_ONLY_IMAGE_ALLOWED') + ' !');
					return false;
				}
			},
			afterAll: function() {
				// runs after all files have been uploaded or otherwise dealt with
				$('#dropzonefp .progress').delay(300).fadeIn(300).hide(300, function(){
				  $(this).remove();
				});
			}
		});
		jQuery('#upload_filefp_button').on('click',function(){
			jQuery('#upload_filefp_input').trigger('click');
			return false;
		});
	});

</script>

<fieldset id="folderview">
    <legend><?php //echo JText::_( 'Files' ); ?></legend>
    <div class="view">
        <form action="index.php?option=com_gmapfp&controller=editlieux&task=galerie&tmpl=component" method="post" id="mediamanager-form" name="mediamanager-form">
            <div id="dropzonefp" class="manager">
				<label class="drop_info" style="cursor:default;">
					<?php echo JText::_('GMAPFP_DROP_ZONE_IMAGE'); ?>
				</label>
 				<div id="gmapfp_image" style="overflow:auto;">
				<?php for ($i=0,$n=count($this->galerie); $i<$n; $i++) :
						$this->setImage($i);
						if (!empty($this->_tmp_img->name)) {?>
							<div class="imgOutline">
								<div class="imgTotal">
									<div style="align:center; height:100%; width:100%;" class="imgBorder">
										<a class="modal" href="<?php echo $this->_tmp_img->path_relative.'/'.$this->_tmp_img->name; ?>" title="<?php echo $this->_tmp_img->name; ?>" style="display: block; width: 100%; height: 100%">
											<div class="image">
												<?php
													if ($this->_tmp_img->titre) {
														$titre = $this->_tmp_img->titre;
													} else {
														$titre = $this->_tmp_img->name;
													};
													$titre .= ' - '.$this->_tmp_img->size.'Ko';
													if ($this->_tmp_img->description) {
														$titre .= "\n\n".$this->_tmp_img->description;
													}
												?>
												<img class="thumb" src="<?php echo $this->_tmp_img->path_relative.'/thumbs/'.$this->_tmp_img->name; ?>" title="<?php echo $titre; ?>" alt="<?php echo $this->_tmp_img->name; ?>" border="0" >
											</div></a>
									</div>
								</div>
								<div class="controls" style="height:25px;">
									<a class="delete-item" href="<?php echo JURI::base(); ?>index.php?option=com_gmapfp&controller=editlieux&task=file_delete&tmpl=component&<?php echo JSession::getFormToken(); ?>=1&cid=<?php echo $this->items->id; ?>&rm[]=<?php echo $this->_tmp_img->name; ?>" rel="<?php echo $this->_tmp_img->name; ?>"><img src="media/com_gmapfp/images/editlieux/publish_r.png" width="16" height="16" border="0" title="<?php echo JText::_( 'JACTION_DELETE' ); ?>" alt="<?php echo JText::_( 'JACTION_DELETE' ); ?>" ></a>
									<a class="delete-item" href="<?php echo JURI::base(); ?>index.php?option=com_gmapfp&controller=editlieux&task=infos&tmpl=component&<?php echo JSession::getFormToken(); ?>=1&cid=<?php echo $this->items->id; ?>&file=<?php echo $this->_tmp_img->name; ?>&num=<?php echo $i; ?>" rel="<?php echo $this->_tmp_img->name; ?>"><img src="media/com_gmapfp/images/editlieux/info.png" width="16" height="16" border="0" title="<?php echo JText::_( 'JGLOBAL_DESCRIPTION' ); ?>" alt="<?php echo JText::_( 'GMAPFP_ADD_COMMENT' ); ?>" ></a>
								</div>
								<div class="imginfo">
									<a class="modal" href="<?php echo $this->_tmp_img->path_relative.'/'.$this->_tmp_img->name; ?>" title="<?php echo $this->_tmp_img->name; ?>"><?php echo $this->escape( substr( $this->_tmp_img->name, 0, 10 ) . ( strlen( $this->_tmp_img->name ) > 10 ? '...' : '')); ?></a>
								</div>
							</div>
					   <?php 
						};
					endfor; ?>
				</div>
				<input type="file" id="upload_filefp_input" multiple="">
				<a href="" id="upload_filefp_button" class="btn btn-primary"><i class="icon-picture"></i>&nbsp;<?php echo '&nbsp;&nbsp;&nbsp;'.JText::_('GMAPFP_UPLOAD') ?></span></a>
            </div>

            <input type="hidden" name="task" value="" />
            <?php echo JHTML::_( 'form.token' ); ?>
        </form>
    </div>
</fieldset>
<legend><?php echo JText::_( 'GMAPFP_UPLOAD' ); ?> [ <?php echo JText::_( 'Max' ); ?>&nbsp;<?php echo ($this->config_media->get('upload_maxsize')); ?>M ]</legend>


