<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: September 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

JHTML::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');
// JHtml::_('behavior.calendar'); Bloque le fonctionnement du calendrier
JHtml::_('behavior.modal');

$mainframe 	= JFactory::getApplication(); 
$Itemid = (int) $mainframe->input->get('Itemid');

//$editor = JFactory::getEditor();
$conf = JFactory::getConfig();
$editor = JEditor::getInstance($conf->get('editor'));
unset($conf);

$JPane = $this->params->get('choix_jpane', 0);

$image = '&nbsp;&nbsp;&nbsp;<img src="media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder').'/switch.png" height="16px" title="'.JText::_( 'GMAPFP_OBLIGATOIRE' ).'" >';

$_lat = $this->params->get('gmapfp_centre_lat');
$_lng = $this->params->get('gmapfp_centre_lng');
$_zoom = $this->params->get('gmapfp_zoom');

if (empty($_lat)) {$_lat = 47.927385663;};
if (empty($_lng)) {$_lng = 2.1437072753;};
if (empty($_zoom)) {$_zoom = 10;};

if ($this->params->get('gmapfp_autocomplete_adresse', 0)) {
	echo '
		<style type="text/css">
			.disable {color: grey; font-size: 80%; }
		</style>
	';
	$readonly = 'readonly="readonly"';
} else {
	echo '
		<style type="text/css">
			.enable {display: none; }
		</style>
	';
	$readonly = '';
};
?>
<script language="javascript" type="text/javascript">

	function validateForm() {
		<?php
		echo $editor->save( 'text_message' );
		echo $editor->save( 'text_horaires_prix' );
		?>
		var valid = document.formvalidator.isValid(document.id('adminForm'));
		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if ((valid == false) || !ValueIsReal) {
			if (ValueIsReal) {
				var msg = '<?php echo JText::_( 'GMAPFP_NON_OK' ); ?>';
				alert(msg);
			}
			return false;
		} else {
			document.id('adminForm').task.value = "submit";
			document.id('adminForm').submit();
			return true;
		}
	}
</script>
	
<script language="javascript" type="text/javascript">
	<?php
	echo 'var field_catid_json = '.$this->extension_fields['json'].';'."\n";
	?>
	function display_catid_field() {
		var value = jQuery('#catid').val();
		
		if(Object.keys(field_catid_json).length > 0)
			for ( var cle in field_catid_json ) {
				var my_array_cat = field_catid_json[cle];
				var correspond = false;
				if (my_array_cat && value)
					for (var i = 0; i < my_array_cat.length; i++) {
						for (var j = 0; j < value.length; j++) {
							if (my_array_cat[i] == 'cat'+value[j]) {
								correspond = true;
							}
						}
					}
				if (correspond) {
					document.getElementById(cle).style.display = "table-row";
				} else {
					document.getElementById(cle).style.display = "none";
				}
			}
	}
</script>

<script language="javascript" type="text/javascript">
    var geocoder;
    var map;
    var marker1;
	var modif_adresse = false;
	var modif_codepostal = false;
	var modif_ville = false;
	var modif_departement = false;
	var modif_pay = false;

    function autocomplet_champs(latlng, change) {
	  //rcupre ville cp dpartement et pays
		if (latlng == "") latlng = marker1.getPosition();
		geocoder.geocode({'latLng': latlng}, function(results, status) {
		  if (status == google.maps.GeocoderStatus.OK) {
			  var adresse=""; var cp=""; var pays=""; var region=""; var dep=""; var dep=""; var canton="";
			if (results[0]) {
				for ( var i=0; i<results[0].address_components.length; i++) {
					switch (results[0].address_components[i].types[0]) {
						case "street_number":
							adresse = results[0].address_components[i].long_name;
							break;
						case "route":
							adresse = adresse + ' ' + results[0].address_components[i].long_name;
							break;
						case "postal_code":
							cp = results[0].address_components[i].long_name;
							break;
						case "country":
							pays = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_1": //FR:region US:state
							region = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_2": //FR:dpartement US:counties
							dep = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_3": //FR:canton US:?
							canton = results[0].address_components[i].long_name;
							break;
						case "locality":
							ville = results[0].address_components[i].long_name;
							break;
					}
				}
				<?php 
				if ($this->params->get('gmapfpadresse1_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0) and $this->params->get('gmapfp_autocomplete_adresse_adresse',1)==2) echo "if (!modif_adresse || change) document.getElementById('adresse').value = adresse;";
				if ($this->params->get('gmapfp_cp_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_codepostal || change) document.getElementById('codepostal').value = cp;";
				if ($this->params->get('gmapfp_pays_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_pay || change) document.getElementById('pay').value = pays;";
				switch ($this->params->get('gmapfp_autocomplete_adresse_dep',0)) {
					case 0 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = dep;";
					break;
					case 1 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = region;";
					break;
					case 2 :
					if ($this->params->get('gmapfp_departement_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_departement || change) document.getElementById('departement').value = canton;";
				}
				if ($this->params->get('gmapfp_ville_view',1) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if (!modif_ville || change) document.getElementById('ville').value = ville;"; ?>
				UpdateAddress();
			} else {
			  alert("No results found");
			}
		  } else {
			alert("Geocoder failed due to: " + status);
		  }
		});		  
	}
	
    function init() {
		
		UpdateAddress();
		geocoder = new google.maps.Geocoder();
        
		var lat, lng, zoom_carte;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom_carte = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  <?php if (!$this->params->get('gmapfp_draggable', 1)) { //dplacement de la carte ?>
		  draggable: false,
		  keyboardShortcuts: false,
		  panControl: false,
		  <?php } ?>
		  <?php if (!$this->params->get('gmapfp_enable_zoom', 1)) { //zoom de la carte ?>
		  disableDoubleClickZoom: true,
		  zoomControl: false,
		  keyboardShortcuts: false,
		  scrollwheel: false,
		  <?php } ?>
		  <?php if ($this->params->get('gmapfp_zoom_min')) { //zoom min de la carte ?>
		  minZoom: <?php echo $this->params->get('gmapfp_zoom_min', 10)?>,
		  <?php } ?>
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		map = new google.maps.Map(document.getElementById("map"), myOptions);
		map.setMapTypeId('<?php echo $this->params->get('gmapfp_type_admin', 'ROADMAP')?>');

		<?php 
		  	if ($this->params->get('gmapfp_KML')) { //fichier KML 
				$kmls = explode(';', $this->params->get('gmapfp_KML'));
				$count = 0;
		?>
			var optionkml = {
				preserveViewport: true
			}
		<?php 
				foreach ($kmls as $kml) {
					$count++;
		?>
            ctaLayer<?php echo $count;?> = new google.maps.KmlLayer('<?php echo $kml;?>', optionkml);
                ctaLayer<?php echo $count;?>.setMap(map);
		<?php 
				}
		  	}
		?>

        var input = document.getElementById('autocomplete_adresse');
        var autocomplete = new google.maps.places.Autocomplete(input);

		google.maps.event.addListener(autocomplete, 'place_changed', function() {
			document.getElementById('localisation').value = document.getElementById('adresse').value + ' ' + document.getElementById('adresse2').value + ' ' + document.getElementById('autocomplete_adresse').value;
			showAddress(document.getElementById('localisation'));
		});

	  google.maps.event.addListener(map, "bounds_changed", function() {
		   document.adminForm.gzoom.value = map.getZoom();
	  });

		var infos_marqueur = ["http://www.google.com/mapfiles/marker.png", 20, 34, 10, 34];
		var image_marker = new google.maps.MarkerImage(
			infos_marqueur[0],
            new google.maps.Size(infos_marqueur[1], infos_marqueur[2]),
            new google.maps.Point(0,0),
            new google.maps.Point(infos_marqueur[3], infos_marqueur[4])
		);
		var shape_marker = {
			coord: [0, 0, infos_marqueur[1], infos_marqueur[2]],
			type: 'rect'
		};

	  // Create a draggable marker which will later on be binded to a
      marker1 = new google.maps.Marker({
          map: map,
          position: new google.maps.LatLng(lat, lng),
          draggable: true,
            icon: image_marker,
			shape: shape_marker,
          title: '<?php echo JText::_( 'GMAPFP_DRAG_ME' ); ?>'
      });
	  google.maps.event.addListener(marker1, "drag", function() {
		document.adminForm.glat.value = marker1.getPosition().lat();
		document.adminForm.glng.value = marker1.getPosition().lng();
	  });
	  google.maps.event.addListener(marker1, "dragend", function() {
		autocomplet_champs(marker1.getPosition(), false);
	  });
    }

    // Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', init);
  
    function showAddress(e) {
		if (geocoder) {
			geocoder.geocode( { 'address' : e.value}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
				  map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.adminForm.glat.value = results[0].geometry.location.lat();
					document.adminForm.glng.value = results[0].geometry.location.lng();
					autocomplet_champs(results[0].geometry.location, false);
				} else {
				  alert(address + " not found for the following reason: " + status);
				}
			})
		} else {
			alert('Fonction geocodeur non active !');
		}
    }

    function getCoordinate() {
		var lat, lng;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		map.setZoom(zoom_carte);
		map.setCenter(latlng);
		marker1.setPosition(latlng); 
		autocomplet_champs(latlng, false);
    }
	
	function changeDisplayImage(chemin) {
		if (document.adminForm.img.value !='') {
			document.adminForm.imagelib.src=chemin + document.adminForm.img.value;
		} else {
			document.adminForm.imagelib.src=chemin + '../blank/blank.png';
		}
	}

    function addphoto(namefile, file){
        var optX = new Option(file, namefile);
        var selX = document.adminForm.elements['img'];
        var lenghX = selX.length;
        selX.options[lenghX] = optX;
                selX.options[lenghX].selected = true;
    }

	function jSelectArticle(id, title, object) {
		document.getElementById(object + '_id').value = id;
		document.getElementById(object + '_name').value = title;
		document.getElementById('sbox-window').close();
	}

	function UpdateAddress(){
 		document.adminForm.localisation.value = document.adminForm.adresse.value + " " + document.adminForm.adresse2.value + " " + document.adminForm.codepostal.value + " " + document.adminForm.ville.value + " " + document.adminForm.departement.value + ", " + document.adminForm.pay.value;	
	}

	function IsReal(id){
		MonNombre=document.getElementById(id).value;
		if(isNaN(MonNombre))
		{
			alert("\"" + MonNombre + "\" <?php echo JText::_( 'GMAPFP_PAS_NOMBRE' ); ?>");
			return false;
		}	
		return true;
	}

	function change_disable (nom) {
		document.getElementById(nom).removeAttribute('readonly');
		document.getElementById('disable'+nom).className = "";
		document.getElementById('button'+nom).style.display = "none";
		eval('modif_'+nom+' = true;');
	}
	
	function Geolocalise() {
		if(navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(function(position) {
			  var pos = new google.maps.LatLng(position.coords.latitude,
											   position.coords.longitude);
				marker1.setPosition(pos);
				map.setCenter(pos);
				document.adminForm.glat.value = marker1.getPosition().lat();
				document.adminForm.glng.value = marker1.getPosition().lng();
				autocomplet_champs('', true);
				jQuery('#info_geolocalisation').html('');
			}, function() {
				jQuery('#info_geolocalisation').html('<?php echo JText::_('GMAPFP_ERROR_GEOLOC'); ?>');
			});
		} else {
			// Browser doesn't support Geolocation
			jQuery('#info_geolocalisation').html('<?php echo JText::_('GMAPFP_ERROR_GEOLOC_DONT_SUPPORT'); ?>');
		}	
	}
	
	//Ajoute les class de validation custom
		jQuery(document).ready(function(){
			document.formvalidator.setHandler('dropdown', function (value, element) {
				if(value == -1){
				   return false;
				}else{
				   return true;
				}
			});
			document.formvalidator.setHandler('tel', function(value, element) {
				var regex = /^(\+)?(\d| )*\.?\d*$/;
				return regex.test(value);
			});
			document.formvalidator.setHandler('checkbox', function (value, element) {
				var name = element.attr('name');
				var checkboxes = jQuery('input[name="'+name+'"]');
				var datalength = checkboxes.length;
				var check = false;

				for (i = 0; i < datalength; i++) {
					if (checkboxes[i].checked) check = true;
				}
				if (check)
					for (i = 0; i < datalength; i++) {
						checkboxes[i].removeClass('invalid');
					}
				
				if(check){
				   return true;
				}else{
				   return false;
				}
			});
			document.formvalidator.setHandler('url', function(value, element) {
				value = punycode.toASCII(value);
				var regex = /^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/\w \.-]*)*\/?$/;
				return regex.test(value);
			});
		});
</script>

<?php 
	//fonction dropfile
?>
<script language="javascript" type="text/javascript">
	jQuery(document).ready(function ($){
		$('#dropzonefp').unbind();
		$('#dropzonefp').filedrop({
			fallback_id: 'upload_filefp_input',   // an identifier of a standard file input element, becomes the target of \"click\" events on the dropzone
			url: 'index.php?option=com_gmapfp&controller=dropfiles&task=upload_image&<?php echo JSession::getFormToken();?>=1',              // upload handler, handles each file separately, can also be a function taking the file and returning a url
			paramname: 'image1',          // POST parameter name used on serverside to reference file, can also be a function taking the filename and returning the paramname
			maxfiles: 1,
			maxfilesize: 20,    // max file size in MBs
			queuefiles: 1,
			data: {
				module_id : function(){
					return $('input[name=id]').val(); 
				}
			},
			error: function(err, file) {
				switch(err) {
					case 'BrowserNotSupported':
						bootbox.alert(Joomla.JText._('GMAPFP_BROWSER_NOT_SUPPORT_HTML5'));
						break;
					case 'TooManyFiles':
						// user uploaded more than 'maxfiles'
						bootbox.alert(Joomla.JText._('GMAPFP_TOO_MANY_FILES') + ' !');
						break;
					case 'FileTooLarge':
						// program encountered a file whose size is greater than 'maxfilesize'
						// FileTooLarge also has access to the file which was too large
						// use file.name to reference the filename of the culprit file
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TOO_LARGE') + ' !');
						break;
					case 'FileTypeNotAllowed':
						// The file type is not in the specified list 'allowedfiletypes'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_FILE_TYPE_NOT_ALLOWED') + ' !');
						break;
					case 'FileExtensionNotAllowed':
						// The file extension is not in the specified list 'allowedfileextensions'
						bootbox.alert(file.name + Joomla.JText._('GMAPFP_EXTENSION_TYPE_NOT_ALLOWED') + ' !');
						break;
					default:
						break;
				}
			},
			dragOver: function() {
				$(this).css('border', '3px dashed red');
				// user dragging files over #dropzone
			},
			dragLeave: function() {
				$(this).css('border', '3px dashed #BBBBBB');
				// user dragging files out of #dropzone
			},
			drop: function() {
				// user drops file
				$(this).css('border', '3px dashed #BBBBBB');
			},
			uploadStarted: function(i, file, len){
				// a file began uploading
				// i = index => 0, 1, 2, 3, 4 etc
				// file is the actual file of the index
				// len = total files user dropped
				var bar = $('<div class="progress progress-striped active">'+
								'<div class="bar"></div>'+
							'</div>');
				$('#gmapfp_image').append(bar);
				
				var preview = $('#gmapfp_image');
				var image = $('img', preview);

				var reader = new FileReader();

				reader.onload = function(e){

						// e.target.result holds the DataURL which
						// can be used as a source of the image:

						image.attr('src',e.target.result);
				};

				// Reading the file as a DataURL. When finished,
				// this will trigger the onload function above:
				reader.readAsDataURL(file);

				preview.appendTo('#gmapfp_image');
				// Associating a preview container
				// with the file, using jQuery's $.data():

				$.data(file,preview);
			},
			uploadFinished: function(i, file, response, time) {
				// response is the data you got back from server in JSON format.
				var preview = $('#gmapfp_image');
				var image = $('img', preview);
				if (response.response != true) {
					bootbox.alert(response.datas);
					if ($('#img').val()) {
						image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/thumbsArt/' + $('#img').val());
					} else {
						image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/blank/blank.png');
					}
					preview.appendTo('#gmapfp_image');
				} else {
					$('<option />', {val: response.datas, text: file.name}).appendTo($('#img'))
					$('#img option[value="' + response.datas + '"]').attr('selected', 'selected');
					// $('#img').trigger('chosen:updated'); //nouvelle methode
					$('#img').val(response.datas).trigger('liszt:updated'); //ancienne methode
					image.attr('src','<?php echo JURI::root(); ?>images/gmapfp/thumbsArt/' + response.datas);
					preview.appendTo('#gmapfp_image');
				}
			},
			progressUpdated: function(i, file, progress) {
				// this function is used for large files and updates intermittently
				// progress is the integer value of file being uploaded percentage to completion
				$.data(file).find('.progress .bar').width(progress+'%');
			},
			beforeEach: function(file) {
				// file is a file object
				// return false to cancel upload
				if(!file.type.match(/^image\//)){
					bootbox.alert(Joomla.JText._('GMAPFP_ONLY_IMAGE_ALLOWED') + ' !');
					return false;
				}
				/*
				var id_insert = $.md5(file.name);
				var id_audio = 	'#'+id_insert;			
				if ($(id_audio).val()=='') {
					bootbox.alert(Joomla.JText._('GMAPFP_ALREADY_EXIST') + ' !');
					return false;
				}*/
			},
			afterAll: function() {
				// runs after all files have been uploaded or otherwise dealt with
				$('#dropzonefp .progress').delay(300).fadeIn(300).hide(300, function(){
				  $(this).remove();
				});
			}
		});
		jQuery('#upload_filefp_button').on('click',function(){
			jQuery('#upload_filefp_input').trigger('click');
			return false;
		});
	});

</script>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
</h1>
</div>
<?php endif; ?>

<p>
<?php echo $this->params->get('intro'); ?>
</p>
<div id="system-message-container">
</div>

<form action="<?php  echo JRoute::_('index.php?',false);?>" class="gmapfp form-validate" method="post" name="adminForm" id="adminForm">
<div id="gmapfp_submit" style="overflow:auto;">
	<fieldset class="adminform" id="gmapfp_titre">
	<table class="admintable">
		<tr>
			<td width="20%" class="key">
				<label for="nom">
					<?php 
                        if (@$this->custom[6]->nom) {
                            echo $this->custom[6]->nom.$image;;
                        }else{
                            echo JText::_( 'GMAPFP_NOM' ).$image;;
                        }
                    ?>
				</label>
			</td>
			<td>
				<input class="inputbox required" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->nom); ?>" />
			</td>
		</tr>
		<?php if($this->params->get('choix_categorie')) { ?>
        <tr>
            <td class="key">
                <label for="catid">
                    <?php 
                        if (@$this->custom[12]->nom) {
                            echo $this->custom[12]->nom.$image;;
                        }else{
                            echo JText::_( 'JCATEGORY' ).$image;;
                        }
                    ?>
                </label>
            </td>
            <td>
                <?php
                    echo $this->lists['catid'];
                ?>
            </td>
        </tr>
        <?php }else{ 
            if (!$this->params->get('catids')) {
                echo '<script language="javascript" type="text/javascript">
                    alert("'.JText::_( 'GMAPFP_CAT_DANS_MENU' ).'")
                    </script>';
            }else{
				$catids = $this->params->get('catids');
                echo '<input type="hidden" name="catid" value="'.implode(',', $catids).'" />';
            };
        }; ?>
        <tr <?php if (@$this->params->get('choix_langue')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td class="key">
                <label for="langue">
                    <?php 
                    echo JText::_( 'JFIELD_LANGUAGE_LABEL' );
                    ?>
                </label>
            </td>
            <td>
                <?php
                    echo $this->lists['langue'];
                ?>
            </td>
        </tr>
	</table>
    </fieldset>
   <?php             
		if ($JPane) {
			echo JHtml::_('bootstrap.startTabSet', 'content-sliders-'.$this->items->id, array('active' => 'adminform'));
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminform', JText::_( 'GMAPFP_LOCALISATION' ));
		} else {
			echo '<fieldset class="adminform">'."\n";
			echo '<legend>'.JText::_( 'GMAPFP_LOCALISATION' ).'</legend>'."\n";
		}
    ?>
	<div class="clearboth"></div>
	<div class="adminform">
		<div class="col_gauche span8">
			<table>
				<?php
					if (@$this->extension_fields[0])
					foreach($this->extension_fields[0] as $field) {
						echo $field;
					};
				?>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==2) { ?>
					<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
						<td class="key">
							<label for="codepostal">
								<?php echo JText::_( 'GMAPFP_VILLE' ); ?>
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
							<input type="button" class="btn" onclick="Geolocalise();" value="<?php echo JText::_('GMAPFP_ME_LOCALISER'); ?>"> 
						</td>
					</tr>
				<?php } ?>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==1) { ?>
					<tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?>>
						<td width="15%" class="key">
							<label for="adresse">
								<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
								<?php if ($this->params->get('gmapfp_submit_adr1')){echo $image;} ?>
							</label>
						</td>
						<td>
							<input class="inputbox <?php if ($this->params->get('gmapfp_submit_adr1')){echo 'required';} ?>" type="text" name="adresse" id="adresse" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" />
						</td>
					</tr>
				<?php } else { ?>
					<tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?> id="disableadresse" class="disable">
						<td width="15%" class="key">
							<label for="adresse">
								<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
								<?php if ($this->params->get('gmapfp_submit_adr1')){echo $image;} ?>
							</label>
						</td>
						<td>
							<input class="inputbox <?php if ($this->params->get('gmapfp_submit_adr1')){echo 'required';} ?>" type="text" name="adresse" id="adresse" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" <?php echo $readonly; ?>/>
							<div class="blank enable" id="buttonadresse" style="margin-right:5px; float: left;"> 
									<input type="button" style="margin:0px;" class="btn" onclick="change_disable('adresse');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
							</div> 
						</td>
					</tr>
				<?php } ?>
				<tr <?php if (@$this->params->get('choix_adr2')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td width="15%" class="key">
						<label for="adresse2">
							<?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 2
							<?php if ($this->params->get('gmapfp_submit_adr2')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_adr2')){echo 'required';} ?>" type="text" name="adresse2" id="adresse2" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse2); ?>" />
					</td>
				</tr>
				<?php if ($this->params->get('gmapfp_autocomplete_adresse_adresse',1)==1) { ?>
					<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
						<td class="key">
							<label for="codepostal">
								<?php echo JText::_( 'GMAPFP_VILLE' ); ?>
							</label>
						</td>
						<td>
							<input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
							<input type="button" class="btn" onclick="Geolocalise();" value="<?php echo JText::_('GMAPFP_ME_LOCALISER'); ?>"> 
						</td>
					</tr>
				<?php } ?>
				<tr <?php if ($this->params->get('choix_cp', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disablecodepostal" class="disable">
					<td width="15%" class="key">
						<label for="codepostal">
							<?php echo JText::_( 'GMAPFP_CODEPOSTAL' );
							if ($this->params->get('gmapfp_submit_cp')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_cp')){echo 'required';} ?>" type="text" name="codepostal" id="codepostal" onchange="UpdateAddress();" size="30" maxlength="80" value="<?php echo str_replace('"', '&quot;',$this->items->codepostal); ?>"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttoncodepostal" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="btn" onclick="change_disable('codepostal');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if ($this->params->get('choix_ville', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disableville" class="disable">
					<td width="15%" class="key">
						<label for="ville">
							<?php echo JText::_( 'GMAPFP_VILLE' );
							if ($this->params->get('gmapfp_submit_ville')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_ville')){echo 'required';} ?>" type="text" name="ville" id="ville" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->ville); ?>"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttonville" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="btn" onclick="change_disable('ville');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if ($this->params->get('choix_dep', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disabledepartement" class="disable">
					<td width="15%" class="key">
						<label for="departement">
							<?php echo JText::_( 'GMAPFP_DEPARTEMENT' );
							if ($this->params->get('gmapfp_submit_departement')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_departement')){echo 'required';} ?>" type="text" name="departement" id="departement" maxlength="200" onchange="UpdateAddress();" size="30" value="<?php echo str_replace('"', '&quot;',$this->items->departement); ?>"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttondepartement" style="margin-right:5px; float: left;"> 
							<input type="button" style="margin:0px;" class="btn" onclick="change_disable('departement');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
						</div> 
					</td>
				</tr>
				<tr <?php if ($this->params->get('choix_pays', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disablepay" class="disable">
					<td width="15%" class="key">
						<label for="pay">
							<?php echo JText::_( 'GMAPFP_PAYS' );
							if ($this->params->get('gmapfp_submit_pays')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_pays')){echo 'required';} ?>" type="text" name="pay" id="pay" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->pay); ?>"  <?php echo $readonly; ?>/>
						<div class="blank enable" id="buttonpay" style="margin-right:5px; float: left;"> 
							<input type="button" style="margin:0px;" class="btn" onclick="change_disable('pay');" value="<?php echo JText::_('JACTION_EDIT'); ?>"/>
						</div> 
					</td>
				</tr>
				<tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0) or (
									$this->params->get('choix_ville', 1) and 
									$this->params->get('choix_cp', 1) and 
									$this->params->get('choix_dep', 1) and 
									$this->params->get('choix_pays', 1) 
									)){echo 'style="display: none; visibility: hidden;"';}?>>
					<td>
					</td>
					<td>
						<input type="button" class="hasTip btn" onclick="autocomplet_champs('', true);" title="<?php 
							echo JText::_('GMAPFP_REACATUALISER').'::'.JText::_('GMAPFP_REACATUALISER_DESC'); 
							$tmp = array();
							if (!$this->params->get('choix_ville', 1)) $tmp[] = substr(JText::_('GMAPFP_VILLE'), 0, -8);
							if (!$this->params->get('choix_cp', 1)) $tmp[] = substr(JText::_('GMAPFP_CODEPOSTAL'), 0, -8);
							if (!$this->params->get('choix_dep', 1)) $tmp[] = substr(JText::_('GMAPFP_DEPARTEMENT'), 0, -8);
							if (!$this->params->get('choix_pays', 1)) $tmp[] = substr(JText::_('GMAPFP_PAYS'), 0, -8);
							echo implode(', ', $tmp);
						?>"  value="<?php 
							echo JText::_('GMAPFP_REACATUALISER'); ?>"/>
					</td>
				</tr>
				<?php
					if (@$this->extension_fields[1])
					foreach($this->extension_fields[1] as $field) {
						echo $field;
					};
				?>
				<?php
					if (@$this->extension_fields[2])
					foreach($this->extension_fields[2] as $field) {
						echo $field;
					};
				?>
				<tr <?php if (@$this->params->get('choix_email')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td width="15%" class="key">
						<label for="email">
							<?php echo JText::_( 'GMAPFP_EMAIL' );
							if ($this->params->get('gmapfp_submit_email')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_email')){echo 'required validate-email';} ?>" type="email" name="email" id="email" size="30" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->email); ?>" />
					</td>
				</tr>
				<tr <?php if (@$this->params->get('choix_web')){echo 'style="display: none; visibility: hidden;"';}?>>
					<td width="15%" class="key">
						<label for="web">
							<?php echo JText::_( 'GMAPFP_SITE_WEB' );
							if ($this->params->get('gmapfp_submit_web')){echo $image;} ?>
						</label>
					</td>
					<td>
						<input class="inputbox <?php if ($this->params->get('gmapfp_submit_web')){echo 'required';} ?>" type="url" name="web" id="web" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->web); ?>" />
					</td>
				</tr>
				<?php
					if (@$this->extension_fields[3])
					foreach($this->extension_fields[3] as $field) {
						echo $field;
					};
				?>
			</table>
		</div>
		<div class="col_droite span4">
			<table <?php if ((!$this->params->get('choix_list_image'))&&(!$this->params->get('choix_upload_image'))){echo 'style="display: none; visibility: hidden;"';}?>>
				<tr>
					<td valign="center">           	
						<?php 
							if (@$this->params->get('choix_upload_image')){
								$id_data = 'id="dropzonefp"';
							} else {
								$id_data = 'id="imgzonefp"';
							}
						?>							
						<div <?php echo $id_data; ?>>
							<label for="img" style="cursor:default;">
								<?php echo JText::_('GMAPFP_IMAGE'); ?>:
								<?php if ($this->params->get('gmapfp_submit_picture')){echo $image;} ?>
							</label>
							<?php 
								if (@$this->params->get('choix_upload_image')){
							?>															
								<label class="drop_info" style="cursor:default;">
									<?php echo JText::_('GMAPFP_DROP_ZONE_IMAGE'); ?>
								</label>
							<?php 
								};
							?>															
							<div id="gmapfp_image" style="overflow:auto;">
							<?php 
								$directory		= JURI::base().'images/gmapfp/thumbsArt/';
			
								if ((stristr($this->items->img,'bmp'))||(stristr($this->items->img,'gif'))||(stristr($this->items->img,'jpg'))||(stristr($this->items->img,'jpeg'))||(stristr($this->items->img,'png'))) {
									?>
									<img src="<?php echo $directory.$this->items->img; ?>" name="imagelib"/>
									<?php
								} else {
									?>
									<img src="images/gmapfp/blank/blank.png" name="imagelib" />
									<?php
								}
							?>
								<br />
								<?php if($this->params->get('choix_upload_image')) { ?>
									<input type="file" id="upload_filefp_input" multiple="">
									<a href="" id="upload_filefp_button" class="btn btn-primary"><i class="icon-picture"></i>&nbsp;<?php echo '&nbsp;&nbsp;&nbsp;'.JText::_('GMAPFP_UPLOAD') ?></span></a>
								<?php }; ?>
							</div>
						</div>
						<?php 
							echo '<div '; if (!@$this->params->get('choix_list_image')){echo 'style="display: none; visibility: hidden;"';}; echo'>';
								echo $this->lists['images'];
							echo'</div>';
						?>
					</td>
				</tr>
			</table>
		</div>
	</div>
	<table>
		<tr <?php if (@$this->params->get('choix_rechercher')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="localisation">       
            		<?php echo JText::_('GMAPFP_MAJ_ADRESSE'); ?>
            	</label>
            </td>
            <td valign="top">
            	<input type="text" style="width:90% !important" id="localisation" name="localisation" value="" /><input type="button" class="btn" onclick="showAddress(document.getElementById('localisation'));" value="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            </td>
		</tr>
        <tr <?php if (@$this->params->get('choix_lat_lng')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="glat">
                	<?php echo JText::_('GMAPFP_LAT'); ?> 
              	</label>
            	<label for="glng">
                	- <?php echo JText::_('GMAPFP_LON'); ?> 
              	</label>
            	<label for="gzoom">
                	- Zoom:
              	</label>
            	<label>
					<?php if ($this->params->get('gmapfp_submit_lat_lng')){echo $image;} ?>
              	</label>
            </td>
            <td valign="top">
                <input class="inputbox <?php if ($this->params->get('gmapfp_submit_lat_lng')){echo 'required';} ?>" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="24" maxlength="30" value="<?php echo $this->items->glat ?>" />
                <input class="inputbox <?php if ($this->params->get('gmapfp_submit_lat_lng')){echo 'required';} ?>" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="24" maxlength="30" value="<?php echo $this->items->glng ?>" />
                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="2" maxlength="2" value="<?php echo $this->items->gzoom ?>" />
                <input type="button" onclick="getCoordinate();" class="btn" value="<?php echo JText::_('GMAPFP_CHERCHER_COORDONNEES'); ?>" />
            </td>
    	</tr>
        <tr <?php if (@$this->params->get('choix_map')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
              	<label for="glat">
              		<?php echo JText::_('GMAPFP_CARTE'); ?>
              	</label>
            </td>
            <td>
            	<div id="map" style="width:100%; height:<?php echo (int)$this->params->get('gmapfp_height', 400);?>px; overflow:hidden;"></div>
 				<div id="info_geolocalisation" class="gmapfp_geolocal_info2"></div>
           </td>
        </tr>
		<?php 
		if($this->params->get('choix_marqueur', 0)) { 
			echo'<tr>';
		}else {
			echo'<tr style="display:none;">';
		}
		?>
            <td width="15%" class="key">
				<label for="marker"><?php echo JText::_( 'GMAPFP_MARKER' ); ?></label>
			</td>
			<td>
				<table>
					<tr>
					<?php 
						$marqueurs = '';
						$marqueur_cat = '';
						$id_marqueur_cat = 0;
						$marqueurs_a_afficher = $this->params->get('marqueur_def', array());
						if (!is_array($marqueurs_a_afficher)) $marqueurs_a_afficher = array($marqueurs_a_afficher);
						$deja_checked = false;
						if (property_exists($this, 'item') and property_exists($this->item, 'cat_params') and property_exists(json_decode($this->item->cat_params), 'default_marqueur_categories'))
							$id_marqueur_cat = json_decode($this->item->cat_params)->default_marqueur_categories;
						$cnt = 0;
						foreach($this->marqueurs as $marqueur) {
							if (empty($marqueurs_a_afficher) or in_array($marqueur->id, $marqueurs_a_afficher)) { /**/
								$checked = '';
								if (in_array(0, $marqueurs_a_afficher) or empty($marqueurs_a_afficher)) { $checked = 'checked="checked"'; }
								if ((empty($marqueurs_a_afficher) and ($marqueur->id == $id_marqueur_cat or (!$id_marqueur_cat and !$cnt))) or in_array(0, $marqueurs_a_afficher)) {
									$marqueur_cat = '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.JUri::root().'images/gmapfp/marqueurs/cat_default.png" title="'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="0" '.$checked.' /></div>';
								}
								$checked = '';
								if (!empty($marqueurs_a_afficher) and !in_array(0, $marqueurs_a_afficher) and in_array($marqueur->id, $marqueurs_a_afficher) and !$deja_checked) { 
									$checked = 'checked="checked"'; 
									$deja_checked = true;
								}
								$marqueurs .= '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.str_replace('..', JUri::root(), $marqueur->url).'" title="'.$marqueur->nom.'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="'.$marqueur->id.'" '.$checked.' /></div>';
								$cnt++;
							}
						}
						echo $marqueur_cat.$marqueurs;
						unset($marqueur);
					?>
					</tr>
				</table>
			</td>
		</tr>
	</table>
   <?php             
		if ($JPane) {
			echo JHtml::_('bootstrap.endTab');
		} else {
			echo '</fieldset>'."\n";
		}
		if (!$this->params->get('choix_classements') or !$this->params->get('choix_labels') or !$this->params->get('choix_pictos')) {
			$hidden = '';
		} else {
			$hidden = 'style="display: none; visibility: hidden;"';
		}
		if ($JPane and empty($hidden)) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminicon', JText::_( 'GMAPFP_ICONS' ));
		} else {
			echo '<fieldset class="adminicon" '.$hidden.'>'."\n";
			echo '<legend>'.JText::_( 'GMAPFP_ICONS' ).'</legend>'."\n";
		}
    ?>
	<table style="min-height:400px;">
    	<tr <?php if (@$this->params->get('choix_labels'))echo 'style="display: none; visibility: hidden;"'; else echo'style=" height: 40px; "';?>>
            <td width="15%" class="key">
                <label for="labels">
                    <?php echo JText::_( 'GMAPFP_LABELS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_labels')){echo $image;} ?>
                </label>
            </td>
            <td>
                <?php echo $this->lists['labels'];?>
			</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_classements'))echo 'style="display: none; visibility: hidden;"'; else echo'style=" height: 40px; "';?>>
            <td width="15%" class="key">
                <label for="classements">
                    <?php echo JText::_( 'GMAPFP_CLASSEMENTS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_classements')){echo $image;} ?>
                </label>
            </td>
            <td>
                <?php echo $this->lists['classements'];?>
			</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_pictos')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key" style=" vertical-align: top; ">
                <label for="pictos">
                    <?php echo JText::_( 'GMAPFP_PICTOS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_pictos')){echo $image;} ?>
                </label>
            </td>
            <td style=" vertical-align: top; ">
                <?php echo $this->lists['pictos'];?>
			</td>
		</tr>
	</table>
	<?php             
		if (empty($hidden) and $JPane) {
			echo JHtml::_('bootstrap.endTab');
		} else {
			echo '</fieldset>'."\n";
		}
		if ($this->params->get('choix_message', 0) and $this->params->get('choix_horaire', 0) and empty($this->extension_fields[4]) and empty($this->extension_fields[5]) and empty($this->extension_fields[6])) {
			$hidden = 'style="display: none; visibility: hidden;"';
		} else {
			$hidden = '';
		}
		if ($JPane and empty($hidden)) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'admindetail', JText::_( 'GMAPFP_DETAILS' ));
		} else {
			echo '<fieldset class="admindetail" '.$hidden.'>'."\n";
			echo '<legend>'.JText::_( 'GMAPFP_DETAILS' ).'</legend>'."\n";
		}
    ?>
	<table>
		<?php
            if (@$this->extension_fields[4])
            foreach($this->extension_fields[4] as $field) {
                echo $field;
            };
        ?>
    	<tr <?php if (@$this->params->get('choix_message')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td class="key" id="gmapfp_titres" class="key">
            	<label for="text_message">
					<?php 
                        if (@$this->custom[10]->nom) {
                            echo $this->custom[10]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_MESSAGE' );
                        }
                    ?>
					<?php if ($this->params->get('gmapfp_submit_mess')){echo $image;} ?>
            	</label>
            </td>
        	<td>
            	<div id="Edit1" style="overflow:auto;">
                    <?php
					if (GMAPFP_ANDROID) {
						if ($this->params->get('gmapfp_submit_mess')){$class = 'required';}else{$class = '';}
						echo '<textarea class="inputbox '.$class.'" rows="6" cols="" style="width:95%;" id="text_message" name="text_message">'.$this->items->text.'</textarea>';
					}else
                    	echo $editor->display( 'text_message', $this->items->text, '95%', '300', '75', '20', true, 'text_message');
                    ?>
                </div>
        	</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_horaire')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="text_horaires_prix">
					<?php 
                        if (@$this->custom[11]->nom)
                            echo $this->custom[11]->nom;
                        else
                            echo JText::_( 'GMAPFP_HORAIRES_PRIX' );
                    ?>
					<?php if ($this->params->get('gmapfp_submit_prix')){echo $image;} ?>
            	</label>
            </td>
        	<td>
            	<div id="Edit2" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						if ($this->params->get('gmapfp_submit_prix')){$class = 'required';}else{$class = '';}
						echo '<textarea class="inputbox '.$class.'" rows="6" cols="" style="width:95%;" id="text_horaires_prix" name="text_horaires_prix">'.$this->items->horaires_prix.'</textarea>';
					}else
                    	echo $editor->display( 'text_horaires_prix', $this->items->horaires_prix, '95%', '200', '75', '20', false, 'text_horaires_prix');
                    ?>
                </div>
        	</td>
		</tr>
		<?php
            if (@$this->extension_fields[5])
            foreach($this->extension_fields[5] as $field) {
                echo $field;
            };
            if (@$this->extension_fields[7])
            foreach($this->extension_fields[7] as $field) {
                echo $field;
            };
            if (@$this->extension_fields[6])
            foreach($this->extension_fields[6] as $field) {
                echo $field;
            };
        ?>
	</table>
    <?php             
		if (empty($hidden) and $JPane) {
			echo JHtml::_('bootstrap.endTab');
		} else {
			echo '</fieldset>'."\n";
		}
		
		//Traite les ongles perso
		foreach ($this->pane_name as $key => $pane_name) {
			$html = '';
			$display = '" style = "display:none;';
			foreach ($this->extension_fields as $key2 => $gmapfp_pane) {
				if (is_numeric($key2) and $key == (0-$key2)) {
					foreach ($gmapfp_pane as $datas) {
						$html .= $datas;
						if (substr($datas, 12, 5) != 'style') $display = '';
					}
				}
			}
			if ($html) {
				if ($JPane) {
					echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'perso_pane_'.$key.$display, $pane_name['nom']);
				} else {
					echo '<fieldset class="admin_perso_onglet'.$display.'" >'."\n";
					echo '<legend>'.$pane_name['nom'].'</legend>'."\n";
				}
				echo '<table class="admintable">';
				echo $html;
				echo '</table>';
				if ($JPane) {
					echo JHtml::_('bootstrap.endTab');
				} else {
					echo '</fieldset>'."\n";
				}
			}
		}
		
		if ($this->params->get('choix_meta')) {
			$hidden = 'style="display: none; visibility: hidden;"';
		} else {
			$hidden = '';
		}
		if ($JPane and empty($hidden)) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminmeta', JText::_( 'GMAPFP_MOTEUR' ));
		} else {
			echo '<fieldset class="adminmeta" '.$hidden.'>'."\n";
			echo '<legend>'.JText::_( 'GMAPFP_MOTEUR' ).'</legend>'."\n";
		}
    ?>
	<table>
		<tr <?php if (@$this->params->get('choix_meta')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td class="key" width="15%">
				<label for="metadesc">
					<?php echo JText::_( 'JFIELD_META_DESCRIPTION_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metadesc" id="metadesc" cols="" rows="4" style="width:95% !important;"><?php echo $this->items->metadesc; ?></textarea>
			</td>
		</tr>
		<tr <?php if (@$this->params->get('choix_meta')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
				<label for="metakey">
					<?php echo JText::_( 'JFIELD_META_KEYWORDS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metakey" id="metakey" cols="" rows="4" style="width:95% !important;"><?php echo $this->items->metakey; ?></textarea>
			</td>
		</tr>
	</table>
    <?php             
		if (empty($hidden) and $JPane) {
			echo JHtml::_('bootstrap.endTab');
		} else {
			echo '</fieldset>'."\n";
		}
		if ($JPane)
			echo JHtml::_('bootstrap.endTabSet');
	?>

	<?php if ($this->params->get('choix_published', 0)):
		if ($JPane and empty($hidden)) {
			echo JHtml::_('bootstrap.addTab', 'content-sliders-'.$this->items->id, 'adminmeta', JText::_( 'GMAPFP_PUBLISHING' ));
		} else {
			echo '<fieldset class="adminmeta" '.$hidden.'>'."\n";
			echo '<legend>'.JText::_( 'GMAPFP_PUBLISHING' ).'</legend>'."\n";
		}
	?>
		<table>
			<tr>
				<td class="key">
					<label for="publish_up">
						<?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_UP_LABEL' ); ?>:
					</label>
				</td>
				<td>
					<?php 
					$required = '';
					if ($this->params->get('gmapfp_submit_publish_up')) $required = 'required';
					echo JHtml::calendar($this->items->publish_up,'publish_up','publish_up','%Y-%m-%d %H:%M:%S', array('class'=>'inputbox '.$required, 'showTime'=>'true')); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label for="publish_down">
						<?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_DOWN_LABEL' ); ?>:
					</label>
				</td>
				<td>
					<?php 
					$required = '';
					if ($this->params->get('gmapfp_submit_publish_down')) $required = 'required';
					echo JHtml::calendar($this->items->publish_down,'publish_down','publish_down','%Y-%m-%d %H:%M:%S', array('class'=>'inputbox '.$required, 'showTime'=>'true')); ?>
				</td>
			</tr>
		</table>
		<?php             
			if (empty($hidden) and $JPane) {
				echo JHtml::_('bootstrap.endTab');
			} else {
				echo '</fieldset>'."\n";
			}
			if ($JPane)
				echo JHtml::_('bootstrap.endTabSet');
		?>
	<?php endif;?>
</div>
<?php
    $user   = JFactory::getUser();
    if (($this->params->get('gmapfp_submit_captcha'))&&!$user->get('gid')) { 
    
        switch ($this->params->get('captcha_type')) {
        case 1 :
        ?>
            <div class=gmapfp_captcha>
                <?php
                  require_once(JPATH_COMPONENT.'/libraries/recaptcha/recaptchalib.php');
                    $lang 		= JFactory::getLanguage(); 
                    $tag_lang	= substr($lang->getTag(),0,2);
                  echo recaptcha_get_html($this->params->get('gmapfp_recaptcha_key_public').'&hl='.$tag_lang);
                ?>
                <script type="text/javascript"> 
                    standard_class = document.getElementById('recaptcha_response_field').className;
                    document.getElementById('recaptcha_response_field').className = standard_class + ' required'; 
                </script>
            </div>
        <?php
            break;
        default :
        ?>
            <div>
                <?php $link = JURI :: root().'index.php?option=com_gmapfp&task=captacha&tmpl=component'; ?>
                <p>
                    <img class="captcha" onclick="jcomments.clear('captcha');" id="comments-form-captcha-image" name="captcha-image" src="<?php echo $link; ?>" style="width:121px; height:60px;" />
                    <script type="text/javascript" src="<?php echo JURI :: root() ?>media/com_gmapfp/js/reload.js"></script> 
                    <a href="javascript:ReloadCaptchaImages('captcha-image');">
                        <img alt='reload.gif' src="<?php echo JURI :: root() ?>media/com_gmapfp/images/icons/<?php echo $this->params->get('gmapfp_icon_folder'); ?>/reload.gif" id='ContactCaptchaReload' name='ContactCaptchaReload' border="0" />
                    </a> 
                </p>
                <label for="keystring">
                    <?php echo JText::_('GMAPFP_CAPTCHA') ?><br />
                </label>
                <input class="gmapfp inputbox <?php echo $mod_class_suffix ?> required" type="text" id="keystring" name="keystring">
            </div>
    <?php 
        };
    };
?>
<div> 
	<fieldset>
        <div class="icon-32-back" style="float:right; width:32px; height:32px;"></div>
        <div class="next" style="float:right;">
			<button type="button" class="btn" onclick="return validateForm();">
				<?php echo JText::_('GMAPFP_SOUMETTRE') ?>
			</button>
        </div>
        <div class="icon-32-forward" style="float:right; width:256px; height:32px;"></div>
	</fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="controller" value="editlieux" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="return" value="<?php echo base64_encode(JRoute::_('index.php?',false)); ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php if ($this->params->get('gmapfp_licence')) : ?>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
<?php endif; ?>
