<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.93pro
	* Creation date: Mars 2016
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 
		
$dispatcher	= JEventDispatcher::getInstance();

echo '<div class="gmapfp" id="gmapfp_article" itemscope itemtype="http://schema.org/Place">';
	$config 	= JComponentHelper::getParams('com_gmapfp');
	$document   = JFactory::getDocument();
	$app		= JFactory::getApplication();

	foreach ($this->lieux as $lieu) { 
	// insertion du lien canonique pour viter l'indexation par les robbots des lien comporant le "tmpl=component"
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&map_id='.$lieu->slug, false);
		$document->addCustomTag( '<link rel="canonical" href="'.$link.'" />');
		
		$this->lieu = $this->getItem(0, $this->params);
		$this->champs = $this->getChamps(0); 

		// Ajout des vnements
		$this->lieu->event = new stdClass;
		$offset = 0;
		$results = $dispatcher->trigger('onGMapFPAfterIcon', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
		$this->lieu->event->afterDisplayIcon = trim(implode("\n", $results));

		$results = $dispatcher->trigger('onGMapFPAfterTitle', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
		$this->lieu->event->afterDisplayTitle = trim(implode("\n", $results));

		$results = $dispatcher->trigger('onGMapFPBeforeDisplay', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
		$this->lieu->event->beforeDisplayContent = trim(implode("\n", $results));

		$results = $dispatcher->trigger('onGMapFPAfterDisplay', array('com_gmapfp.article', &$this->lieu, &$this->params, $offset));
		$this->lieu->event->afterDisplayContent = trim(implode("\n", $results));

		$path = COM_GMAPFP_IMAGES_FOLDER."/GA".$lieu->id;
		$path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id.'/';
		$path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id."/thumbs/";

		if ($app->get('MetaAuthor') == '1' && $lieu->author)
		{
			$this->document->setMetaData('author', $lieu->author);
		}

		if ($lieu->metadesc) {
			$document->setDescription( $lieu->metadesc );
		}
		if ($lieu->metakey) {
			$document->setMetadata('keywords', $lieu->metakey);
		}
		
		$catids = explode(',', $lieu->catid);
		$cat_title = array();
		foreach ($catids as $catid) {
			$cat_title[] = $this->categories[$catid]->title;
		}
		$document->setTitle(@$lieu->ville.' : '.$lieu->nom.' ('.implode(', ', $cat_title).')');
		$mdata = new JRegistry($this->lieu->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}
	?>
		<div id="enregistrement">
			<?php
					//affichage du dtail d'un lieu
					$template = '';
					if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template_article').'_article.php'))) {
						$template = '_'.$this->params->get('gmapfp_template_article');
					}			
					$this->_layout='tmpl'.$template;
					echo JViewLegacy::Display('article');
					$this->_layout='default';
			?>
		</div>
	<?php       
		//champs perso sous onglets
		echo $this->getChampsHtml(7, 1);
	};
?>
</div>
