<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.124pro
	* Creation date: Avril 2020
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

$javascript ="
<script type=\"text/javascript\"> 
	//document.onkeydown = KeyCheck;       
 
	function NewPicture(NewPicture) {
		document.images['main_image_gal'].src = NewPicture;
	}
	
	function KeyCheck(Event)
	{
		if(Event==null) 
		Event=event; 
	
		var KeyID = Event.keyCode; 
		if (!KeyID) 
		var KeyID = Event.wich; 
		
	   switch(KeyID)
	   {
		  case 37:
		  alert(\"Arrow Left\");
		  break;
		  case 39:
		  alert(\"Arrow Right\");
		  break;
	   }
	}
</script> 
";

echo $javascript;

	if (!isset($this->startTab)) $this->startTab = true;

	$galerie = '';
	$main_image_galerie = '';
	$files = false;
	if (JFolder::exists($this->path)) $files = JFolder::files($this->path);
	if ($files){
			$count 	 = 0;
			natsort($files);
			$largeur = $this->params->get('gmapfp_largeur_main_gal');
			$hauteur_main = $this->params->get('gmapfp_hauteur_main_gal', 250);
			foreach ($files as $file) 
			{
				$nom=$this->lieu->nom;
				if(($file!="." && $file!="..") && substr($file,0,1) != '.' && strtolower($file) != 'thumbs.db' && strtolower($file) != 'thumbs' && strtolower($file) !== 'index.html' && strtolower($file) !== '')
				{
					$xml_file = substr($file, 0, -(strlen(strrchr($file, '.'))));
					$xml_file .= '.xml';
					if (file_exists($this->path.'/infos/'.$xml_file)) {
						$xml_str = file_get_contents($this->path.'/infos/'.$xml_file);
						$xml_data = new SimpleXMLElement($xml_str);
							$titre = (string) $xml_data->titre;
							$description = (string) $xml_data->description;
					} else {
							$titre = '';
							$description = '';
					}
					if (!$titre)
						$titre = $file;
					if ($description)
						$titre .= "\n\n".$description;
					
					$galerie .= "<div align=\"center\" class=\"gmapfp_gallery_imgBorder\" style=\"display: inline-block;\">";
					$galerie .= "<a data-fancybox= \"images\" data-caption=\"$titre\" class=\"lightboxgmafp\" title=\"$titre\" style=\"display: block; width: 100%; height: 100%\" href='$this->path2$file' data-fb-options=\"group:pix caption2:`$nom` showPrint:true printLinkPos:tr\">";
					$galerie .= "	<div class=\"gmapfp_gallery_image\">";
					$galerie .= "		<img src='$this->path_thumbs$file' onMouseOver='NewPicture(\"$this->path2$file\")' style=\"border:0px; padding: 5px;\" alt=\"$titre\">";
					$galerie .= "	</div>";
					$galerie .= "</a>";
					$galerie .= "</div>\n";
					if (empty($main_image_galerie)) $main_image_galerie = "<img name=\"main_image_gal\" src='$this->path2$file' style=\"border:0px; padding-top: 10px; padding-bottom: 10px; height: ".$hauteur_main."px;\" alt=\"$titre\">";
					$count++;
				}
			}
	}
	//galerie
	if ($galerie){
		if ($this->startTab) {
			echo JHtml::_('bootstrap.addTab', 'gmapfp_pane', 'galerie', JText::_( 'GMAPFP_GALERIE' ));
			if (!$this->params->get('gmapfp_article_onglets', 1)) echo '<h2>'.JText::_( 'GMAPFP_GALERIE' ).'</h2>';
			$min_height = 'min-height:'.$this->params->get('gmapfp_height').'px;';
		} else
			$min_height = '';
		if (!$this->params->get('gmapfp_article_onglets', 1)) $min_height = '';

		if ($count > 1 and !$this->params->get('gmapfp_fancybox', 0)) {
			echo "<button id=\"lightboxgmafp-button\" >".JText::_( 'GMAPFP_SLIDESHOW' )."</button>";
		};
		echo "<div id=\"gmapfp_main_gallery\" class='gmapfp_gallery_manager' style='width:100%; $min_height max-height:100%;' >";
				echo "<div class=\"gmapfp_gallery_main_picture\" style=\"text-align: center;\">";
					echo $main_image_galerie;
				echo "</div>";
				echo "<div class=\"gmapfp_gallery_scroll\" style=\"overflow-x: scroll;\">";
					echo $galerie;
				echo "</div>";
		echo "<div class=\"clr\"></div>";
		echo "</div>";
		if (!$this->params->get('gmapfp_fancybox', 0))
			echo "
			<script type=\"text/javascript\">
				jQuery(document).ready(function($) {
					$('[data-fancybox]').fancybox({
						loop: true,
						protect: true
					});
					fancyGallery = $(\"#gmapfp_main_gallery\").find(\"a\");
					fancyGallery.fancybox({
						type: \"image\"
					});
					$('#lightboxgmafp-button').on('click', function() {
						fancyGallery.eq(0).click(); 
					});
				});
			</script>
			";
		if ($this->startTab) echo JHtml::_('bootstrap.endTab');
	}
