<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.122pro
	* Creation date: Juin 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 
		
	if (!isset($this->startTab)) $this->startTab = true;

	$galerie = '';
	$files = false;
	if (JFolder::exists($this->path)) $files = JFolder::files($this->path);
	if ($files){
			$count 	 = 0;
			natsort($files);
			$largeur = $this->params->get('gmapfp_largeur_main_gal');
			$hauteur_main = $this->params->get('gmapfp_hauteur_main_gal', 250);
			foreach ($files as $file) 
			{
				$nom=$this->lieu->nom;
				if(($file!="." && $file!="..") && substr($file,0,1) != '.' && strtolower($file) != 'thumbs.db' && strtolower($file) != 'thumbs' && strtolower($file) !== 'index.html' && strtolower($file) !== '')
				{
					$titre = '';
					$description = '';
					if ($this->params->get('gmapfp_galerie_v3_show_info', 1)) {
						$xml_file = substr($file, 0, -(strlen(strrchr($file, '.'))));
						$xml_file .= '.xml';
						if (file_exists($this->path.'/infos/'.$xml_file)) {
							$xml_str = file_get_contents($this->path.'/infos/'.$xml_file);
							$xml_data = new SimpleXMLElement($xml_str);
								$titre = (string) $xml_data->titre;
								$description = (string) $xml_data->description;
						}
						if (!$titre)
							$titre = $file;
					}
					$galerie .= "<li>"."\n";
					$galerie .= "	<img src=\"$this->path_thumbs$file\" data-large-src=\"$this->path2$file\"alt=\"$titre\" data-description=\"$description\">"."\n";
					$galerie .= "</li>"."\n";
					$count++;
				}
			}
	}

	//galerie
	if ($galerie){
		$doc		= JFactory::getDocument();
		$doc->addStyleSheet("media/com_gmapfp/PgwSlideshow-master/pgwslideshow.min.css");
		$doc->addScript("media/com_gmapfp/PgwSlideshow-master/pgwslideshow.min.js");

		$javascript ="
		<script type=\"text/javascript\"> 
		jQuery(document).ready(function() {
			jQuery('.pgwSlideshow').pgwSlideshow({
				autoSlide:true,";
		if (!$this->params->get('gmapfp_galerie_v3_miniature',1)) $javascript .="
				displayList:false,";
		$javascript .="
				maxHeight:".$this->params->get('gmapfp_galerie_v3_max_heigth', 500).",
				intervalDuration:".$this->params->get('gmapfp_galerie_v3_duration', 5000).",
				transitionEffect:'".$this->params->get('gmapfp_galerie_v3_transitionEffect', 'sliding')."'
			});
		});
		</script> 
		";
		echo $javascript;
		if ($this->startTab) {
			echo JHtml::_('bootstrap.addTab', 'gmapfp_pane', 'galerie', JText::_( 'GMAPFP_GALERIE' ));
			if (!$this->params->get('gmapfp_article_onglets', 1)) echo '<h2>'.JText::_( 'GMAPFP_GALERIE' ).'</h2>';
			$min_height = 'min-height:'.$this->params->get('gmapfp_height').'px;';
		} else
			$min_height = '';
		if (!$this->params->get('gmapfp_article_onglets', 1)) $min_height = '';
		
		echo "<div class='gmapfp_gallery_manager' style='width:100%; padding: 20px 0; $min_height max-height:100%;' >";
	?>
		<!-- thumb navigation carousel items -->
		<ul class="pgwSlideshow">
			<?php echo $galerie; ?>
		</ul>
	<?php
		echo "<div class=\"clr\"></div>";
		echo "</div>";
		if ($this->startTab) echo JHtml::_('bootstrap.endTab');
	}
