<?php 
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.125pro
	* Creation date: Juin 2020
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 
$document	= JFactory::getDocument();
$document->addCustomTag( '<link rel="stylesheet" href="media/com_gmapfp/css/gmapfp_print.css" media="print" type="text/css" />'); 
$document->addCustomTag( '<meta name="ROBOTS" content="NOINDEX,NOFOLLOW"/>'); 
$config = JComponentHelper::getParams('com_gmapfp'); 
$path = JUri::root(false).'images/gmapfp/';
$image_classements = $path.'classements/';
$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$uri = JURI::getInstance();
$baseUrl = $uri->toString( array('scheme', 'host', 'port'));

?>
<div  id="gmapfp_print" class="gmapfp">
	<div  class="map" style="width: 700px !important;">
	<?php 
		echo $this->map['map'];
		if ($this->map['iti']) {
			echo '<legend class="gmnoprint" style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>';
			echo $this->map['iti']; 
		}
	?>
	</div>
<?php
foreach ($this->lieux as $lieu) {	
	$this->lieu = $lieu;
	$this->champs =& $this->getChamps(0);
	$this->path = COM_GMAPFP_IMAGES_FOLDER."/GA".$lieu->id;
	$this->path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id.'/';
	$this->path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id."/thumbs/";
?>
	<div class="lieu_gmapfp" style="clear: both;">
        <?php
		if(!class_exists('GMapFPHelperRoute')) require_once (JPATH_SITE . '/components/com_gmapfp/helpers/route.php');
		$link = JRoute::_(GMapFPHelperRoute::getArticleRoute($lieu->slug), false);
		echo '<div class="gmapfp_print_link">'.$baseUrl.$link.'</div>';
		
		if ($lieu->classements) {
			echo '<div class="classements" style="float:left;">';
			$Classements = explode(',', $lieu->classements);
			foreach ($Classements as $Classement) {
				if (array_key_exists($Classement, $this->lists['classements']))
					echo '<img title="'.$this->lists['classements'][$Classement]->nom.'" src="'.$image_classements.$this->lists['classements'][$Classement]->img.'" />';
			}
			echo '</div>';
		}
		?>
    	<h2><?php echo $lieu->nom; ?></h2>
        <h4>(<?php 
			$catids = explode(',', $lieu->catid);
			$cat_title = array();
			foreach ($catids as $catid) {
				$cat_title[] = $this->categories[$catid]->title;
			}
			echo implode(', ', $cat_title); 
		?>)</h4><br />
		<div class="main_image" style="float:left; padding-left:10px;">
			<?php
				if ($lieu->img!=null) { 
					$image=JUri::base(true).'/images/gmapfp/thumbsGMap/'.$lieu->img;
					echo '<img src="'.$image.'" alt="'.$lieu->img.'" />';
				}
			?> 
			
        </div>
		<?php
			echo $this->getChampsHtml(0);
		?>
		<div class="infos" style="float:left; padding-left:10px;">
            <?php if ($lieu->adresse!=null) {?><label><?php echo JText::_('GMAPFP_ADRESSE');?></label><span><?php echo $lieu->adresse;?></span><br /> <?php };?> 
            <?php if ($lieu->adresse2!=null) {?><label><?php echo JText::_('GMAPFP_ADRESSE');?></label><span><?php echo $lieu->adresse2;?></span><br /> <?php };?> 
            <?php if ($lieu->codepostal!=null) {?><label><?php echo JText::_('GMAPFP_CODEPOSTAL');?></label><span><?php echo $lieu->codepostal;?></span><br /> <?php };?> 
            <?php if ($lieu->ville!=null) {?><label><?php echo JText::_('GMAPFP_VILLE'); ?></label><span><?php  echo $lieu->ville;?></span><br /> <?php };?> 
            <?php if ($lieu->departement!=null) {?><label><?php echo JText::_('GMAPFP_DEPARTEMENT');?></label><span><?php echo $lieu->departement;?></span><br /> <?php };?> 
            <?php if ($lieu->pay!=null) {?><label><?php echo JText::_('GMAPFP_PAYS');?></label><span><?php echo $lieu->pay;?></span><br /> <?php };?> 
            <?php
				echo $this->getChampsHtml(1);
			?>
            <?php
				echo $this->getChampsHtml(2);
			?>
            <?php if ($lieu->email!=null) {?><label><?php echo JText::_('GMAPFP_EMAIL');?></label><span><?php echo $lieu->email;?></span><br /> <?php };?> 
            <?php if ($lieu->web!=null) {?><label><?php echo JText::_('GMAPFP_SITE_WEB');?> </label><span><?php echo $lieu->web;?></span> <br /> <?php };?> 
            <?php
				echo $this->getChampsHtml(3);
			?>
		</div>
        <div class="gmapfp_article" style="float:left; padding-left:10px;">
        <?php
			echo $this->getChampsHtml(4);
			echo $lieu->introtext; echo $lieu->fulltext; ?>
		</div>
        <?php 
		if ($lieu->horaires_prix!=null) {?><div id="horaires"><label><?php if ($this->custom[11]->nom) {echo $this->custom[11]->nom;} else {echo JText::_('GMAPFP_HORAIRES_PRIX');};?> </label><br /><span><?php echo $lieu->horaires_prix;?></span></div> <?php };
		echo $this->getChampsHtml(5);
		echo $this->getChampsHtml(0, 1, 1);
	echo "</div>";	
}; ?>
</div>