<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$layout = JRequest::getVar('layout', '', '', 'str');
$view	= JRequest::getVar('view', '', '', 'str');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));

$row	= $this->lieu;
$champs = $this->champs;

$largeur_taille1 = 'width:'.$this->params->get( 'gmapfp_largeur_img_art' ).'px';
$base_icon = 'media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder', 'standard').'/';
if (!$is_article){
	$msg=JURI::base().$base_icon.'xfmail.png';
	$largeur_taille1 = 'width:'.$this->params->get( 'gmapfp_largeur_img' ).'px';
}
$titre = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_titre_article.php';

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<div id="gmapfp_article<?php echo $row->id;?>" class="gmapfp gmapfp_table<?php echo $this->params->get('pageclass_sfx');?>">
	<?php include $titre; ?>
	<div class="gmapfp_pictos">
	<?php
		if (!array_search(33, array_column($this->champs, 'type'))) {
			echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
		}
		if (!array_search(32, array_column($this->champs, 'type'))) {
			echo JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
		}
	?>
	</div>
	<div class="gmapfp_detail">
		<?php 
		//affichage de l'image principale si non réaffectée
		if (!$is_article or !array_search(28, array_column($this->champs, 'type'))) {
			echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
		}
		?>
		<div class="gmapfp_taille" style="display:inline-block;" itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
			<?php
			echo $this->getChampsHtml(0);
			if (!array_search(31, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('adresse', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			echo $this->getChampsHtml(1);
			?>
		</div>
		<div class="gmapfp_champs2" style="display:inline-block;">
			<?php
			echo $this->getChampsHtml(2);
			if (!array_search(30, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('main_email', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			if (!array_search(35, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('site_web', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			echo $this->getChampsHtml(3);
			?>
		</div>
	</div>
	<?php echo $row->event->beforeDisplayContent; ?>
	<div class="gmapfp_article">
		<?php
		if (!$is_article){
			if ($row->introtext!=null) {
				if ($this->custom[10]->nom) {
					echo '<label>'.$this->custom[10]->nom.'</label>';
				}else{
					echo '<label>'.JText::_('GMAPFP_MESSAGE').'</label>';
				}
				echo '<span>'.JHtml::_('content.prepare', $row->introtext).'</span>';
			};
			if ($row->fulltext!=null) {
				echo '<p class="readmore">';
				echo $a.' btn">'.'<span class="icon-chevron-right"></span>'.JText::_('GMAPFP_LIRE_SUITE').'</a>';
				echo '</p>';
			};
		}else{
			echo $this->getChampsHtml(4);
			//affiche le champ description si non réaffecté
			if (!array_search(29, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('description', array('params' => $this->params, 'row' => $row), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
		}
	?>
	</div>
</div>
<?php if (!$is_article) echo $row->event->afterDisplayContent; ?>
<div class="clearboth article_separator">&nbsp;</div>
