<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$height_h_p = $this->params->get( 'gmapfp_lb_height_h_p', '80%' );
$width_h_p = $this->params->get( 'gmapfp_lb_width_h_p', '80%' );

$height_map = $this->params->get( 'gmapfp_lb_height_map', '80%' );
$width_map = $this->params->get( 'gmapfp_lb_width_map', '80%' );

$height_msg = $this->params->get( 'gmapfp_lb_height_msg', '600px' );
$width_msg = $this->params->get( 'gmapfp_lb_width_msg', '450px' );

$height_link = $this->params->get( 'gmapfp_lb_height_link', '80%' );
$width_link = $this->params->get( 'gmapfp_lb_width_link', '80%' );

$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$layout = JRequest::getVar('layout', '', '', 'str');
$view	= JRequest::getVar('view', '', '', 'str');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));

$row	= $this->lieu;
$champs = $this->champs;

$hauteur_taille2 = $this->params->get( 'gmapfp_hauteur_img_art' );
$largeur_taille1 = 'width:'.($this->params->get( 'gmapfp_largeur_img_art' )+26).'px';
$base_icon = 'media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder', 'standard').'/';
if (!$is_article){
	$hauteur_taille2 = $this->params->get( 'gmapfp_hauteur_img' );
	$largeur_taille1 = 'width:'.($this->params->get( 'gmapfp_largeur_img' )+48).'px';
}
$base_icon = 'media/com_gmapfp/images/icons/'.$this->params->get('gmapfp_icon_folder', 'standard').'/';

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

$published_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_published_detail.php';
$icon_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_icons_detail.php';
$main_link = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/main_link.php';

//gmapfp_table => style="width:49%;float:left;height:400px;" pour affichage sur 2 colonnes
?>
<div id="gmapfp_article" class="gmapfp gmapfp_table<?php echo $this->params->get('pageclass_sfx');?>">
		<table class="gmapfp_detail">
			<tr>
				<td class="gmapfp_largeur_titre">
				</td>
				<?php
					//si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
					if ( $this->params->get( 'show_category' )) {
						if (($layout!='categorie')) {
							$catids = explode(',', $row->catid);
							$cat_title = array();
							foreach ($catids as $catid) {
								$cat_title[] = $this->categories[$catid]->title;
							}
							echo '<td><h4>('.implode(', ', $cat_title).')</h4></td><br>';
						};
					}
				//affichage des icon
				echo '<td class="gmapfp_icon" align="right">';
					include $icon_detail; 
				?>
				</td>
			</tr>
		</table>
	<table class="gmapfp_detail">
		<tr>
			<?php 
			if ($row->img!=null or !$is_article) echo '<td class="gmapfp_taille1 gmapfp_main_image" style="'.$largeur_taille1.'">';
			//affichage de l'image principale si non raffecte
			if (!$is_article or !array_search(28, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('main_img', array('params' => $this->params, 'row' => $row, 'article' => $is_article), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			if ($row->img!=null or !$is_article) echo '</td>';
				echo '<td class="gmapfp_taille2_all">';
				echo '<table>';
				
				echo '<h2>';
					include $main_link;
					echo $a.'">'.$row->nom.'</a>';
					if (!array_search(34, array_column($this->champs, 'type'))) {
						echo JLayoutHelper::render('classements', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
					}
				echo '</h2>';

				if (!array_search(33, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				echo '<tr><td class="infos" style="height: 60%">';

				echo $this->getChampsHtml(4);

				if (!array_search(32, array_column($this->champs, 'type'))) {
					echo JLayoutHelper::render('pictos', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				}
				echo '</td></tr></table>';

				echo $row->event->beforeDisplayContent;
				if ($row->introtext!=null) {
					if ($this->custom[10]->nom) {
						echo '<label>'.$this->custom[10]->nom.'</label>';
					}else{
						echo '<label>'.JText::_('GMAPFP_MESSAGE').'</label>';
					}
					echo '<span>'.JHtml::_('content.prepare', $row->introtext).'</span>';
				};
			?>
			</td>
		</tr>
	</table>
	<?php 
		echo '<p class="readmore">';
		echo $a.' btn">'.'<span class="icon-chevron-right"></span>'.JText::_('GMAPFP_LIRE_SUITE').'</a>';
		echo '</p>';
	?>
</div>
<?php include $published_detail; ?>	
<?php echo $row->event->afterDisplayContent; ?>
<div class="clearboth article_separator">&nbsp;</div>
