<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.108pro
	* Creation date: Mars 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$layout = JRequest::getVar('layout', '', '', 'str');

$row	= $this->lieu;
$champs = $this->champs;

$path = JURI::base().'images/gmapfp/';
$image_classements = $path.'classements/';
$image = $path.$row->img;
$image_art = $path.'thumbsArt/'.$row->img;

//fonction pour execution des plugins
$dispatcher = JEventDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

$icon_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_icons_detail.php';
$main_link = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/main_link.php';

?>
<table class="blog<?php echo $this->escape($this->params->get('pageclass_sfx')); ?> gmapfp">
    <tr>
		<td class="gmapfp_largeur_titre<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="100%">
        	<table><tr><td>
<h2 class="contentheading">
	<a href="<?php echo JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&map_id='.$row->slug.$tmpl,false).'">'.$row->nom;?></a>
	<?php 
        if ($row->classements) {
            echo '&nbsp;&nbsp;&nbsp;';
            $Classements = explode(',', $row->classements);
            foreach ($Classements as $Classement) {
                if (array_key_exists($Classement, $this->lists['classements']))
                    echo '<img title="'.$this->lists['classements'][$Classement]->nom.'" src="'.$image_classements.$this->lists['classements'][$Classement]->img.'" />';
            }
        }
    ?>
</h2>
               </td>
			<?php
                //si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
        		if ( $this->params->get( 'show_category' )) {
					if (($layout!='article')&&($layout!='categorie')) {
						echo '<td><h4>('.$row->title.')</h4></td>';
					};
				}
            ?>
            </tr></table>
		</td>
		<?php
		if (($row->author!=null)&&($this->params->get('show_author')==1)) {
		?>
        <td align="right" width="100%" >
            <?php
				echo '<h4>'.JText::_('GMAPFP_AUTEUR').': <span>'.$row->author.'</span></h4><br />';
			?>
        </td>
		<?php
		}
		if (($row->horaires_prix!=null)&&($this->params->get('gmapfp_afficher_horaires_prix')==1)&&($layout!='article')) {
		?>
        <td align="right" width="100%" >
            <?php
				$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=horaires_item&map_id='.$row->id.'&Itemid='.JRequest::getVar('Itemid', 0, '', 'int'));
				if ($this->custom[11]->nom) {
					$h_p = $this->custom[11]->nom;
				}else{
					$h_p = JText::_('GMAPFP_HORAIRES_PRIX');
				}
				
				echo ' <a class="lightboxgmafp" rev="width:'.$width_h_p.' height:'.$height_h_p.' disableScroll:true" href="'.$link.'"  title="'.$h_p.'"><img src="'.$clock.'" height="24px"/></a>&nbsp;&nbsp;&nbsp; ';
			?>
        </td>
		<?php
		}
        if ( $this->params->get( 'show_map_icon' )&&($layout!='article')) {
		?>
        <td align="right" width="100%" >
            <?php
				$link = JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=item_carte&flag=1&map_id='.$row->id.'&Itemid='.JRequest::getVar('Itemid', 0, '', 'int'));
				echo '<a class="lightboxgmafp" rev="width:'.$width_map.' height:'.$height_map.' scrolling:auto " href="'.$link.'"  title="'.JText::_('GMAPFP_CARTE').'"><img src="'.$globe.'" height="24px"/></a>&nbsp;&nbsp;&nbsp;';
			?>
        </td>
		<?php
		}
		if (($row->email)&&($this->params->get( 'gmapfp_msg' ))&&($layout!='article')) {
		?>
        <td align="right" width="100%" >
            <?php
				$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=item_msg&flag=1&map_id='.$row->id.'&Itemid='.JRequest::getVar('Itemid', 0, '', 'int'));
				echo '<a href="'.$link.'" class="lightboxgmafp" rev="width:'.$width_msg.' height:'.$height_msg.' scrolling:auto " title="'.JText::_('GMAPFP_DISPLAY_MSG').'"><img src="'.$msg.'" height="24px"/></a>&nbsp;&nbsp;&nbsp;';
			?>
        </td>
		<?php
		}
		?>
        <td align="right" width="100%" >
            <?php
				$link4=substr($row->link,0,4);
				$link5=substr($row->link,0,5);
				$link9=substr($row->link,0,9);
				$link10=substr($row->link,0,10);
				$linkok=0;
				if ((!empty($row->icon))||(!$row->icon='')) {
					if ($row->article_slug>=1) {
						require_once JPATH_SITE . '/components/com_content/helpers/route.php';
						$linkmap=JRoute::_(ContentHelperRoute::getArticleRoute($row->article_slug, $row->article_id.':'.$row->article_alias, 0));
						$linkmap .= '?&tmpl=component';
						$linkok=1;
					};
					if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
						$linkmap=$row->link;
						if ($link4=="www.") {$linkmap="http://".$linkmap;};
						if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
						$linkok=1;
					};
					$icon=JURI::base().'/images/gmapfp/icons/'.$row->icon;
				};
				if (($linkok)&&($row->icon<>'')&&($layout!='article')) {
					echo '<a href="'.$linkmap.'" class="lightboxgmafp" rev="width:'.$width_link.' height:'.$height_link.' disableScroll:true " title="'.$row->icon_label.'"><img src="'.$icon.'" height="24px"/></a>&nbsp;&nbsp;&nbsp;';
				};
			?>
        </td>
		<?php
		$jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
		if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
		?>
        <td align="right" width="100%" >
            <?php
				if ($layout!='article'){
					// insertion de l'icon JComments
					$icon_jcomment=JURI::base().'administrator/components/com_jcomments/assets/icon-48-jcomments.png';
					$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=jcomment_item&map_id='.$row->id.'&Itemid='.JRequest::getVar('Itemid', 0, '', 'int'));
					echo '<a class="lightboxgmafp" rev="width:600 height:600 disableScroll:true" href="'.$link.'"  title="'.JText::_('GMAPFP_JCOMMENT').'"><img src="'.$icon_jcomment.'" height="24px"/></a>';
					require_once($jcomments);
					echo JComments::getCommentsCount($row->id, 'com_gmapfp');
				}
			?>
		</td>
		<?php
		}
        if ( $this->params->get( 'show_print_icon' )) {
		?>
		<td align="right" width="100%" >
			<?php
				echo '<a href="javascript:void(0)" title="'.JText::_('GMAPFP_IMPRIMER').'" onclick="Print_GMapFP_lieu(\''.$this->num.'\', '.JRequest::getVar('Itemid', 0, '', 'int').', '.$row->id.')"><img src='.$printer.' /></a>&nbsp;&nbsp;&nbsp;';
            ?>
        </td>
		<?php
        }
        if ( $this->params->get( 'show_hit' )) {
		?>
		<td align="right" width="100%" nowrap="nowrap">
			<?php
				echo '<h4>'.JText::_('JGLOBAL_HITS').': '.$row->hits.'</h4>';
            ?>
        </td>
		<?php
        }
		?>
    </tr>
</table>
<table class="gmapfp_detail<?php echo $this->escape($this->params->get('pageclass_sfx')); ?> gmapfp" width="100%">
	<?php if ($this->params->get('show_create_date') || $this->params->get('show_modify_date')) : ?>
	<tr>
		<td>
			<?php
        	if ( $this->params->get( 'show_create_date' )) {
 				echo JText::_('GMAPFP_DATE_TIME').' : <span>'.JHTML::_('date',  $row->created,  JText::_('DATE_FORMAT_LC2') ).'</span><br />';
			}
        	if ( $this->params->get( 'show_modify_date' )) {
 				echo JText::_('GMAPFP_MODIFIED').' : <span>'.JHTML::_('date',  $row->modified,  JText::_('DATE_FORMAT_LC2') ).'</span><br />';
			}
			?>
            <br />
        </td>
    </tr>
	<?php endif; ?>
	<tr>
		<td>
			<?php
				if ($row->img!=null) { ?> 
                	<a class="lightboxgmafp" href="<?php echo $image; ?>" >
                    	<img src="<?php echo $loupe; ?>" height="18px" style="float:right;" />
                        <img src="<?php echo $image_art; ?>" style="float:right;" />
                    </a> 
				<?php }; 

				echo $this->getChampsHtml(0);
				if ($row->adresse!=null) {echo '<span>'.$row->adresse.'</span><br />';};
				if ($row->adresse2!=null) {echo '<span>'.$row->adresse2.'</span><br />';};
				if (($row->codepostal!=null)&&($this->params->get('gmapfp_zipcode_ville'))) {echo '<span>'.$row->codepostal.'</span>&nbsp;';};
				if ($row->ville!=null) {echo '<span>'.$row->ville.'</span>';};
				if ($row->departement!=null) {echo '<span>, '.$row->departement.'</span>';};
				if ($row->pay!=null) {echo '<span>, '.$row->pay.'</span>';};
                if (($row->codepostal!=null)&&(!$this->params->get('gmapfp_zipcode_ville'))) {echo '&nbsp;<span>'.$row->codepostal.'</span><br />';};
				echo $this->getChampsHtml(1);
				
				echo $this->getChampsHtml(2);
				if (($row->email!=null)and($this->params->get('gmapfp_msg')==0)) {echo '<label>'.JText::_('GMAPFP_EMAIL').'</label><span>'.@JHTML::_('email.cloak',$row->email).'</span><br />';};
				if ($row->web!=null) {
					if (substr($row->web,0,4)!="http") {$lien_web = "http://".$row->web;} else {$lien_web = $row->web;};
					echo '<label>'.JText::_('GMAPFP_SITE_WEB').'</label><span><a href="'.$lien_web.'" target="_blank" > '.$row->web.' </a></span> <br />';
				};
				echo $this->getChampsHtml(3);
            ?>
		</td>
	</tr>
</table>
<?php echo $row->event->beforeDisplayContent; ?>
<table class="gmapfp_article<?php echo $this->escape($this->params->get('pageclass_sfx')); ?> gmapfp" width="100%">
	<tr>
		<td>
			<?php
				if ($layout!='article') {
					if ($row->introtext!=null) {
						if ($this->custom[10]->nom) {
							echo '<label>'.$this->custom[10]->nom.'</label>';
						}else{
							echo '<label>'.JText::_('GMAPFP_MESSAGE').'</label>';
						}
						echo '<span>'.JHtml::_('content.prepare', $row->introtext).'</span>';
					};
					if ($row->fulltext!=null) {
						echo '<br />';
						echo $a.JText::_('GMAPFP_LIRE_SUITE').'</a>';
					}; 
				}else{
					echo $this->getChampsHtml(4);
					if ($this->params->get('gmapfp_afficher_intro_italique')==1) { ?>
						<span><em><?php echo JHtml::_('content.prepare', $row->introtext); ?></em><?php echo JHtml::_('content.prepare', $row->fulltext); ?></span><?php ;
					} else { ?>
						<span><?php echo JHtml::_('content.prepare', $row->introtext); echo JHtml::_('content.prepare', $row->fulltext); ?></span><?php ;
					}
				}
            ?>
		</td>
	</tr>
</table>
<?php echo $row->event->afterDisplayContent; ?>
<div class="clearboth article_separator">&nbsp;</div>
