<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die; 

$app	= JFactory::getApplication(); 
$layout	= $app->input->get('layout', '', '', 'str');
$itemid	= $app->input->get('Itemid', '', '', 'int');

$dispatcher	= JEventDispatcher::getInstance();

$row=$this->lieu;
$champs = $this->champs;

$path = JURI::root(false).'images/gmapfp/';
if ($row->img)
	$image_art = $path.$row->img;
else
	$image_art = $path.'blank/non_disponible.gif';
$image_classements = $path.'classements/';

$published_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_published_detail.php';
$icon_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_icons_detail.php';
$main_link = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/main_link.php';

?>
<div class="span4">
	<div class="item column-<?php echo $this->column; ?>" itemprop="blogPost" itemscope itemtype="https://schema.org/Place">
		<div id="enter_title<?php echo $row->id; ?>" class="rstpl-box-personal">
			<div class="rstpl-box-image rstpl-thick-border">
				<div class="gmapfp_classement" style="display: inline-block;">
				<?php 				
					echo JLayoutHelper::render('classements', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				?>
				</div>
				<div class="gmapfp_label" style="display: inline-block;">
				<?php 				
					echo JLayoutHelper::render('labels', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
				?>
				</div>
				<?php
					include $main_link;
					echo $a.'"><div class="gmapfp_auto_height_main_img"><img class="main_image_gmapfp" src="'.$image_art.'" alt="image de '.$row->nom.'" style="max-width:100% !important;max-height:100% !important;"></div></a>';
				?>
			</div>
			<div class="gmapfp_titre">
				<div class="gmapfp_largeur_titre">
					<?php 
						$taille_cesure_titre = $this->params->get('gmapfp_taille_cesure_titre', 7);
						if ($taille_cesure_titre > 0) {
							$nom = GMapFPHelper::truncateHtml($row->nom, $taille_cesure_titre);
						} else 
							$nom = $row->nom;
						
						echo '<h2 itemprop="name" style="display: inline-block;">';
							echo $a.'">'.$nom.'</a>';
						echo '</h2>';
					?>
					<?php
						//si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
						if ( $this->params->get( 'show_category' )) {
							if (($layout!='categorie')) {
								$catids = explode(',', $row->catid);
								$cat_title = array();
								foreach ($catids as $catid) {
									$cat_title[] = $this->categories[$catid]->title;
								}

								echo '<div style="display: inline-block;"><h4>('.implode(', ', $cat_title).')</h4></div>';
							};
						}
				?>	
				</div>
			</div>
			<?php include $published_detail; ?>	
			<?php echo $row->event->afterDisplayTitle; ?>
			<div class="rstpl-box-content">
			<?php 
				//description
				echo "<div class='description'  itemprop='description'>";
					if ($row->introtext!=null) {
						echo "<div>";
						$taille_cesure_intro = $this->params->get('gmapfp_taille_cesure_intro', 20);
						if ($taille_cesure_intro > 0) {
							$intro = html_entity_decode($row->introtext);
							$intro = GMapFPHelper::truncateHtml($intro, $taille_cesure_intro);
							$intro = strip_tags($intro, '<br><br/>');
							echo $intro; 
						} else 
							echo JHtml::_('content.prepare', $row->introtext); 
						echo "</div>";
					}
				echo $a.' rstpl-more icon-plus" style="white-space: nowrap;" title="Voir la fiche"> '.JText::_('GMAPFP_READ_MORE').'</a>&nbsp;';
				echo "</div>";
			?>
			</div>
			<?php 
				include $icon_detail; 
			?>	
			<p class="rstpl-delimiter">&nbsp;</p>
		</div>
	</div>
</div>
