<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3.123pro
	* Creation date: Septembre 2019
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/
	
defined('_JEXEC') or die; 

$app	= JFactory::getApplication(); 
$layout	= $app->input->get('layout', '', '', 'str');
$view	= $app->input->get('view', '', '', 'str');
$itemid	= $app->input->get('Itemid', '', '', 'int');

$is_article = (($layout == 'article') or ($view == 'gmapfpcontact'));
$row	= $this->lieu;

$published_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_published_detail.php';
$icon_detail = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/item_icons_detail.php';
$main_link = JPATH_ROOT.'/components/com_gmapfp/views/gmapfp/tmpl/main_link.php';

?>
<div class="gmapfp_titre">
	<div class="gmapfp_largeur_titre">
		<?php 
			$tif_id = '';
			if(property_exists($row, 'tif_id') and $row->tif_id) $tif_id = 'tif-id="'.$row->tif_id.'"';
			if ($is_article and !$this->params->get('show_page_heading', 1)) {
				echo '<h1 itemprop="name" style="display: inline-block;padding-right:10px;" '.$tif_id.'>';
				echo $row->nom;
			}else{
				$taille_cesure_titre = $this->params->get('gmapfp_taille_cesure_titre', 7);
				if ($taille_cesure_titre > 0) {
					$nom = GMapFPHelper::truncateHtml($row->nom, $taille_cesure_titre);
				} else 
					$nom = $row->nom;
					
				if (property_exists($row, 'distance'))
					$nom = $nom.'<span class="distance" style="font-size:50%;">'.JText::Sprintf('GMAPFP_DISTANCE', round($row->distance), JText::_('GMAPFP_KM')).'</span>';
					
				echo '<h2 itemprop="name" style="display: inline-block;padding-right:10px"  '.$tif_id.'>';
				include $main_link;
			    if ($is_article) echo $nom;
				else  echo $a.'">'.$nom.'</a>';
			};
			if ($is_article and !$this->params->get('show_page_heading', 1)) echo '</h1>';
			else echo '</h2>';
			
			if (!array_search(34, array_column($this->champs, 'type'))) {
				echo JLayoutHelper::render('classements', array('params' => $this->params, 'row' => $row, 'lists' => $this->lists), JPATH_ROOT.'/components/com_gmapfp/layouts');
			}
			
			echo $this->getChampsHtml(8);
		?>
	<?php
		//si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
		if ( $this->params->get( 'show_category' )) {
			if ($layout != 'article' and $view != 'gmapfpcontact') {
				$catids = explode(',', $row->catid);
				$cat_title = array();
				foreach ($catids as $catid) {
					$cat_title[] = $this->categories[$catid]->title;
				}

				echo '<div style="display: inline-block;"><h4>('.implode(', ', $cat_title).')</h4></div>';
			};
		}
	?>
	</div>
<?php
	
	//affichage des icon
	if ($is_article)
		$icons =array('print');
	else
		$icons =array('all');
	include $icon_detail;

	?>
</div>
<?php include $published_detail; ?>	
<?php echo $row->event->afterDisplayTitle; ?>

